prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190100 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2019.03.31'
,p_release=>'19.1.0.00.15'
,p_default_workspace_id=>1265582172219532
,p_default_application_id=>109
,p_default_owner=>'WSUDEMY'
);
end;
/
 
prompt APPLICATION 109 - Sweet Alert 2
--
-- Application Export:
--   Application:     109
--   Name:            Sweet Alert 2
--   Date and Time:   15:31 Saturday May 4, 2019
--   Exported By:     ADMIN
--   Flashback:       0
--   Export Type:     Application Export
--   Version:         19.1.0.00.15
--   Instance ID:     250191867015729
--

-- Application Statistics:
--   Pages:                      3
--     Items:                    3
--     Processes:                4
--     Regions:                  4
--     Buttons:                  2
--     Dynamic Actions:          1
--   Shared Components:
--     Logic:
--     Navigation:
--       Lists:                  2
--       Breadcrumbs:            1
--         Entries:              1
--     Security:
--       Authentication:         1
--       Authorization:          1
--     User Interface:
--       Themes:                 1
--       Templates:
--         Page:                 9
--         Region:              16
--         Label:                7
--         List:                12
--         Popup LOV:            1
--         Calendar:             1
--         Breadcrumb:           1
--         Button:               3
--         Report:              10
--       LOVs:                   1
--       Shortcuts:              1
--     Globalization:
--     Reports:
--     E-Mail:
--   Supporting Objects:  Included

prompt --application/delete_application
begin
wwv_flow_api.remove_flow(wwv_flow.g_flow_id);
end;
/
prompt --application/create_application
begin
wwv_flow_api.create_flow(
 p_id=>wwv_flow.g_flow_id
,p_owner=>nvl(wwv_flow_application_install.get_schema,'WSUDEMY')
,p_name=>nvl(wwv_flow_application_install.get_application_name,'Sweet Alert 2')
,p_alias=>nvl(wwv_flow_application_install.get_application_alias,'109')
,p_page_view_logging=>'YES'
,p_page_protection_enabled_y_n=>'Y'
,p_checksum_salt=>'8E98BC1FF53A59AF004F87EA475ACBE7E713FA656A122F758129B06871DCF7C6'
,p_bookmark_checksum_function=>'SH512'
,p_compatibility_mode=>'19.1'
,p_flow_language=>'en'
,p_flow_language_derived_from=>'FLOW_PRIMARY_LANGUAGE'
,p_allow_feedback_yn=>'Y'
,p_direction_right_to_left=>'N'
,p_flow_image_prefix => nvl(wwv_flow_application_install.get_image_prefix,'')
,p_documentation_banner=>'Application created from create application wizard 2019.05.04.'
,p_authentication=>'PLUGIN'
,p_authentication_id=>wwv_flow_api.id(4727943901840617)
,p_application_tab_set=>1
,p_logo_image=>'TEXT:Sweet Alert 2'
,p_app_builder_icon_name=>'app-icon.svg'
,p_proxy_server=>nvl(wwv_flow_application_install.get_proxy,'')
,p_no_proxy_domains=>nvl(wwv_flow_application_install.get_no_proxy_domains,'')
,p_flow_version=>'Release 1.0'
,p_flow_status=>'AVAILABLE_W_EDIT_LINK'
,p_exact_substitutions_only=>'Y'
,p_browser_cache=>'N'
,p_browser_frame=>'D'
,p_rejoin_existing_sessions=>'N'
,p_csv_encoding=>'Y'
,p_auto_time_zone=>'N'
,p_substitution_string_01=>'APP_NAME'
,p_substitution_value_01=>'Sweet Alert 2'
,p_last_updated_by=>'ADMIN'
,p_last_upd_yyyymmddhh24miss=>'20190504144510'
,p_file_prefix => nvl(wwv_flow_application_install.get_static_app_file_prefix,'')
,p_files_version=>5
,p_ui_type_name => null
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_menu
begin
wwv_flow_api.create_list(
 p_id=>wwv_flow_api.id(4728767344840617)
,p_name=>'Desktop Navigation Menu'
,p_list_status=>'PUBLIC'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(4867188869840691)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'Home'
,p_list_item_link_target=>'f?p=&APP_ID.:1:&APP_SESSION.::&DEBUG.:'
,p_list_item_icon=>'fa-home'
,p_list_item_current_type=>'TARGET_PAGE'
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_bar
begin
wwv_flow_api.create_list(
 p_id=>wwv_flow_api.id(4856912734840682)
,p_name=>'Desktop Navigation Bar'
,p_list_status=>'PUBLIC'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(4868631343840693)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'&APP_USER.'
,p_list_item_link_target=>'#'
,p_list_item_icon=>'fa-user'
,p_list_text_02=>'has-username'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(4869129574840693)
,p_list_item_display_sequence=>20
,p_list_item_link_text=>'---'
,p_list_item_link_target=>'separator'
,p_parent_list_item_id=>wwv_flow_api.id(4868631343840693)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(4869502705840693)
,p_list_item_display_sequence=>30
,p_list_item_link_text=>'Sign Out'
,p_list_item_link_target=>'&LOGOUT_URL.'
,p_list_item_icon=>'fa-sign-out'
,p_parent_list_item_id=>wwv_flow_api.id(4868631343840693)
,p_list_item_current_type=>'TARGET_PAGE'
);
end;
/
prompt --application/shared_components/files/app_icon_svg
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '3C73766720786D6C6E733D22687474703A2F2F7777772E77332E6F72672F323030302F7376672220786D6C6E733A786C696E6B3D22687474703A2F2F7777772E77332E6F72672F313939392F786C696E6B222076696577426F783D223020302036342036';
wwv_flow_api.g_varchar2_table(2) := '34223E3C646566733E3C7374796C653E2E636C732D317B66696C6C3A75726C282372616469616C2D6772616469656E74293B7D2E636C732D327B6F7061636974793A302E313B7D2E636C732D332C2E636C732D347B66696C6C3A236666663B7D2E636C73';
wwv_flow_api.g_varchar2_table(3) := '2D337B6F7061636974793A302E363B7D3C2F7374796C653E3C72616469616C4772616469656E742069643D2272616469616C2D6772616469656E74222063783D223332222063793D222E30352220723D22363422206772616469656E74556E6974733D22';
wwv_flow_api.g_varchar2_table(4) := '7573657253706163654F6E557365223E3C73746F70206F66667365743D2230222073746F702D636F6C6F723D2223666666222073746F702D6F7061636974793D22302E3135222F3E3C73746F70206F66667365743D222E35222073746F702D636F6C6F72';
wwv_flow_api.g_varchar2_table(5) := '3D2223666666222073746F702D6F7061636974793D22302E31222F3E3C73746F70206F66667365743D2231222073746F702D636F6C6F723D2223666666222073746F702D6F7061636974793D2230222F3E3C2F72616469616C4772616469656E743E3C73';
wwv_flow_api.g_varchar2_table(6) := '796D626F6C2069643D22616D6269656E742D6C69676874696E67222076696577426F783D22302030203634203634223E3C7061746820636C6173733D22636C732D312220643D224D302030683634763634682D36347A222F3E3C2F73796D626F6C3E3C2F';
wwv_flow_api.g_varchar2_table(7) := '646566733E3C7469746C653E6261722D6C696E652D63686172743C2F7469746C653E3C726563742077696474683D22363422206865696768743D223634222066696C6C3D2223383142423546222F3E3C672069643D2269636F6E73223E3C706174682063';
wwv_flow_api.g_varchar2_table(8) := '6C6173733D22636C732D322220643D224D313920343668357631682D357A4D323620343668357631682D357A4D333320343668357631682D357A4D343020343668357631682D357A222F3E3C7061746820636C6173733D22636C732D332220643D224D31';
wwv_flow_api.g_varchar2_table(9) := '3920333868357638682D357A4D32362033326835763134682D357A4D33332033326835763134682D357A4D34302032376835763139682D357A222F3E3C6720636C6173733D22636C732D32223E3C636972636C652063783D2234322E35222063793D2232';
wwv_flow_api.g_varchar2_table(10) := '302E352220723D22312E35222F3E3C636972636C652063783D2233352E35222063793D2232352E352220723D22312E35222F3E3C636972636C652063783D2232382E35222063793D2232352E352220723D22312E35222F3E3C636972636C652063783D22';
wwv_flow_api.g_varchar2_table(11) := '32312E35222063793D2233312E352220723D22312E35222F3E3C7061746820643D224D32312E3832352033312E3837396C2D2E36352D2E37353820372E31342D362E31323168372E3032356C362E3836392D342E3930372E3538322E3831342D372E3133';
wwv_flow_api.g_varchar2_table(12) := '3120352E303933682D362E3937356C2D362E383620352E3837397A222F3E3C2F673E3C636972636C6520636C6173733D22636C732D34222063783D2234322E35222063793D2231392E352220723D22312E35222F3E3C636972636C6520636C6173733D22';
wwv_flow_api.g_varchar2_table(13) := '636C732D34222063783D2233352E35222063793D2232342E352220723D22312E35222F3E3C636972636C6520636C6173733D22636C732D34222063783D2232382E35222063793D2232342E352220723D22312E35222F3E3C636972636C6520636C617373';
wwv_flow_api.g_varchar2_table(14) := '3D22636C732D34222063783D2232312E35222063793D2233302E352220723D22312E35222F3E3C7061746820636C6173733D22636C732D342220643D224D32312E3832352033302E3837396C2D2E36352D2E37353820372E31342D362E31323168372E30';
wwv_flow_api.g_varchar2_table(15) := '32356C362E3836392D342E3930372E3538322E3831342D372E31333120352E303933682D362E3937356C2D362E383620352E3837397A222F3E3C2F673E3C7573652077696474683D22363422206865696768743D2236342220786C696E6B3A687265663D';
wwv_flow_api.g_varchar2_table(16) := '2223616D6269656E742D6C69676874696E67222069643D226C69676874696E67222F3E3C2F7376673E';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(4858127514840684)
,p_file_name=>'app-icon.svg'
,p_mime_type=>'image/svg+xml'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/app_icon_css
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2E6170702D69636F6E207B0A202020206261636B67726F756E642D696D6167653A2075726C286170702D69636F6E2E737667293B0A202020206261636B67726F756E642D7265706561743A206E6F2D7265706561743B0A202020206261636B67726F756E';
wwv_flow_api.g_varchar2_table(2) := '642D73697A653A20636F7665723B0A202020206261636B67726F756E642D706F736974696F6E3A203530253B0A202020206261636B67726F756E642D636F6C6F723A20233831424235463B0A7D';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(4858491955840684)
,p_file_name=>'app-icon.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/sweetalert2_all_min_js
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2166756E6374696F6E28742C65297B226F626A656374223D3D747970656F66206578706F727473262622756E646566696E656422213D747970656F66206D6F64756C653F6D6F64756C652E6578706F7274733D6528293A2266756E6374696F6E223D3D74';
wwv_flow_api.g_varchar2_table(2) := '7970656F6620646566696E652626646566696E652E616D643F646566696E652865293A742E5377656574616C657274323D6528297D28746869732C66756E6374696F6E28297B2275736520737472696374223B66756E6374696F6E20662874297B726574';
wwv_flow_api.g_varchar2_table(3) := '75726E28663D2266756E6374696F6E223D3D747970656F662053796D626F6C26262273796D626F6C223D3D747970656F662053796D626F6C2E6974657261746F723F66756E6374696F6E2874297B72657475726E20747970656F6620747D3A66756E6374';
wwv_flow_api.g_varchar2_table(4) := '696F6E2874297B72657475726E207426262266756E6374696F6E223D3D747970656F662053796D626F6C2626742E636F6E7374727563746F723D3D3D53796D626F6C262674213D3D53796D626F6C2E70726F746F747970653F2273796D626F6C223A7479';
wwv_flow_api.g_varchar2_table(5) := '70656F6620747D292874297D66756E6374696F6E206F28742C65297B69662821287420696E7374616E63656F66206529297468726F77206E657720547970654572726F72282243616E6E6F742063616C6C206120636C61737320617320612066756E6374';
wwv_flow_api.g_varchar2_table(6) := '696F6E22297D66756E6374696F6E206928742C65297B666F7228766172206E3D303B6E3C652E6C656E6774683B6E2B2B297B766172206F3D655B6E5D3B6F2E656E756D657261626C653D6F2E656E756D657261626C657C7C21312C6F2E636F6E66696775';
wwv_flow_api.g_varchar2_table(7) := '7261626C653D21302C2276616C756522696E206F2626286F2E7772697461626C653D2130292C4F626A6563742E646566696E6550726F706572747928742C6F2E6B65792C6F297D7D66756E6374696F6E207228742C652C6E297B72657475726E20652626';
wwv_flow_api.g_varchar2_table(8) := '6928742E70726F746F747970652C65292C6E26266928742C6E292C747D66756E6374696F6E206128297B72657475726E28613D4F626A6563742E61737369676E7C7C66756E6374696F6E2874297B666F722876617220653D313B653C617267756D656E74';
wwv_flow_api.g_varchar2_table(9) := '732E6C656E6774683B652B2B297B766172206E3D617267756D656E74735B655D3B666F7228766172206F20696E206E294F626A6563742E70726F746F747970652E6861734F776E50726F70657274792E63616C6C286E2C6F29262628745B6F5D3D6E5B6F';
wwv_flow_api.g_varchar2_table(10) := '5D297D72657475726E20747D292E6170706C7928746869732C617267756D656E7473297D66756E6374696F6E20732874297B72657475726E28733D4F626A6563742E73657450726F746F747970654F663F4F626A6563742E67657450726F746F74797065';
wwv_flow_api.g_varchar2_table(11) := '4F663A66756E6374696F6E2874297B72657475726E20742E5F5F70726F746F5F5F7C7C4F626A6563742E67657450726F746F747970654F662874297D292874297D66756E6374696F6E207528742C65297B72657475726E28753D4F626A6563742E736574';
wwv_flow_api.g_varchar2_table(12) := '50726F746F747970654F667C7C66756E6374696F6E28742C65297B72657475726E20742E5F5F70726F746F5F5F3D652C747D2928742C65297D66756E6374696F6E206328742C652C6E297B72657475726E28633D66756E6374696F6E28297B6966282275';
wwv_flow_api.g_varchar2_table(13) := '6E646566696E6564223D3D747970656F66205265666C6563747C7C215265666C6563742E636F6E7374727563742972657475726E21313B6966285265666C6563742E636F6E7374727563742E7368616D2972657475726E21313B6966282266756E637469';
wwv_flow_api.g_varchar2_table(14) := '6F6E223D3D747970656F662050726F78792972657475726E21303B7472797B72657475726E20446174652E70726F746F747970652E746F537472696E672E63616C6C285265666C6563742E636F6E73747275637428446174652C5B5D2C66756E6374696F';
wwv_flow_api.g_varchar2_table(15) := '6E28297B7D29292C21307D63617463682874297B72657475726E21317D7D28293F5265666C6563742E636F6E7374727563743A66756E6374696F6E28742C652C6E297B766172206F3D5B6E756C6C5D3B6F2E707573682E6170706C79286F2C65293B7661';
wwv_flow_api.g_varchar2_table(16) := '7220693D6E65772846756E6374696F6E2E62696E642E6170706C7928742C6F29293B72657475726E206E26267528692C6E2E70726F746F74797065292C697D292E6170706C79286E756C6C2C617267756D656E7473297D66756E6374696F6E206C28742C';
wwv_flow_api.g_varchar2_table(17) := '65297B72657475726E21657C7C226F626A65637422213D747970656F66206526262266756E6374696F6E22213D747970656F6620653F66756E6374696F6E2874297B696628766F696420303D3D3D74297468726F77206E6577205265666572656E636545';
wwv_flow_api.g_varchar2_table(18) := '72726F72282274686973206861736E2774206265656E20696E697469616C69736564202D2073757065722829206861736E2774206265656E2063616C6C656422293B72657475726E20747D2874293A657D66756E6374696F6E206428742C652C6E297B72';
wwv_flow_api.g_varchar2_table(19) := '657475726E28643D22756E646566696E656422213D747970656F66205265666C65637426265265666C6563742E6765743F5265666C6563742E6765743A66756E6374696F6E28742C652C6E297B766172206F3D66756E6374696F6E28742C65297B666F72';
wwv_flow_api.g_varchar2_table(20) := '283B214F626A6563742E70726F746F747970652E6861734F776E50726F70657274792E63616C6C28742C652926266E756C6C213D3D28743D73287429293B293B72657475726E20747D28742C65293B6966286F297B76617220693D4F626A6563742E6765';
wwv_flow_api.g_varchar2_table(21) := '744F776E50726F706572747944657363726970746F72286F2C65293B72657475726E20692E6765743F692E6765742E63616C6C286E293A692E76616C75657D7D2928742C652C6E7C7C74297D66756E6374696F6E20702865297B72657475726E204F626A';
wwv_flow_api.g_varchar2_table(22) := '6563742E6B6579732865292E6D61702866756E6374696F6E2874297B72657475726E20655B745D7D297D66756E6374696F6E206D2874297B72657475726E2041727261792E70726F746F747970652E736C6963652E63616C6C2874297D66756E6374696F';
wwv_flow_api.g_varchar2_table(23) := '6E20672874297B636F6E736F6C652E6572726F722822222E636F6E63617428652C222022292E636F6E636174287429297D66756E6374696F6E206828742C65297B2166756E6374696F6E2874297B2D313D3D3D6E2E696E6465784F662874292626286E2E';
wwv_flow_api.g_varchar2_table(24) := '707573682874292C79287429297D282722272E636F6E63617428742C2722206973206465707265636174656420616E642077696C6C2062652072656D6F76656420696E20746865206E657874206D616A6F722072656C656173652E20506C656173652075';
wwv_flow_api.g_varchar2_table(25) := '7365202227292E636F6E63617428652C272220696E73746561642E2729297D66756E6374696F6E20762874297B72657475726E2074262650726F6D6973652E7265736F6C76652874293D3D3D747D66756E6374696F6E20742874297B76617220653D7B7D';
wwv_flow_api.g_varchar2_table(26) := '3B666F7228766172206E20696E207429655B745B6E5D5D3D227377616C322D222B745B6E5D3B72657475726E20657D66756E6374696F6E206228652C742C6E297B6D28652E636C6173734C697374292E666F72456163682866756E6374696F6E2874297B';
wwv_flow_api.g_varchar2_table(27) := '2D313D3D3D70286B292E696E6465784F6628742926262D313D3D3D702842292E696E6465784F662874292626652E636C6173734C6973742E72656D6F76652874297D292C742626745B6E5D2626657428652C745B6E5D297D76617220653D225377656574';
wwv_flow_api.g_varchar2_table(28) := '416C657274323A222C793D66756E6374696F6E2874297B636F6E736F6C652E7761726E2822222E636F6E63617428652C222022292E636F6E636174287429297D2C6E3D5B5D2C773D66756E6374696F6E2874297B72657475726E2266756E6374696F6E22';
wwv_flow_api.g_varchar2_table(29) := '3D3D747970656F6620743F7428293A747D2C433D4F626A6563742E667265657A65287B63616E63656C3A2263616E63656C222C6261636B64726F703A226261636B64726F70222C636C6F73653A22636C6F7365222C6573633A22657363222C74696D6572';
wwv_flow_api.g_varchar2_table(30) := '3A2274696D6572227D292C6B3D74285B22636F6E7461696E6572222C2273686F776E222C226865696768742D6175746F222C22696F73666978222C22706F707570222C226D6F64616C222C226E6F2D6261636B64726F70222C22746F617374222C22746F';
wwv_flow_api.g_varchar2_table(31) := '6173742D73686F776E222C22746F6173742D636F6C756D6E222C2266616465222C2273686F77222C2268696465222C226E6F616E696D6174696F6E222C22636C6F7365222C227469746C65222C22686561646572222C22636F6E74656E74222C22616374';
wwv_flow_api.g_varchar2_table(32) := '696F6E73222C22636F6E6669726D222C2263616E63656C222C22666F6F746572222C2269636F6E222C22696D616765222C22696E707574222C2266696C65222C2272616E6765222C2273656C656374222C22726164696F222C22636865636B626F78222C';
wwv_flow_api.g_varchar2_table(33) := '226C6162656C222C227465787461726561222C22696E7075746572726F72222C2276616C69646174696F6E2D6D657373616765222C2270726F67726573732D7374657073222C226163746976652D70726F67726573732D73746570222C2270726F677265';
wwv_flow_api.g_varchar2_table(34) := '73732D73746570222C2270726F67726573732D737465702D6C696E65222C226C6F6164696E67222C227374796C6564222C22746F70222C22746F702D7374617274222C22746F702D656E64222C22746F702D6C656674222C22746F702D7269676874222C';
wwv_flow_api.g_varchar2_table(35) := '2263656E746572222C2263656E7465722D7374617274222C2263656E7465722D656E64222C2263656E7465722D6C656674222C2263656E7465722D7269676874222C22626F74746F6D222C22626F74746F6D2D7374617274222C22626F74746F6D2D656E';
wwv_flow_api.g_varchar2_table(36) := '64222C22626F74746F6D2D6C656674222C22626F74746F6D2D7269676874222C2267726F772D726F77222C2267726F772D636F6C756D6E222C2267726F772D66756C6C73637265656E222C2272746C225D292C423D74285B2273756363657373222C2277';
wwv_flow_api.g_varchar2_table(37) := '61726E696E67222C22696E666F222C227175657374696F6E222C226572726F72225D292C783D7B70726576696F7573426F647950616464696E673A6E756C6C7D2C533D66756E6374696F6E28742C65297B72657475726E20742E636C6173734C6973742E';
wwv_flow_api.g_varchar2_table(38) := '636F6E7461696E732865297D3B66756E6374696F6E204128742C65297B69662821652972657475726E206E756C6C3B7377697463682865297B636173652273656C656374223A63617365227465787461726561223A636173652266696C65223A72657475';
wwv_flow_api.g_varchar2_table(39) := '726E206F7428742C6B5B655D293B6361736522636865636B626F78223A72657475726E20742E717565727953656C6563746F7228222E222E636F6E636174286B2E636865636B626F782C2220696E7075742229293B6361736522726164696F223A726574';
wwv_flow_api.g_varchar2_table(40) := '75726E20742E717565727953656C6563746F7228222E222E636F6E636174286B2E726164696F2C2220696E7075743A636865636B65642229297C7C742E717565727953656C6563746F7228222E222E636F6E636174286B2E726164696F2C2220696E7075';
wwv_flow_api.g_varchar2_table(41) := '743A66697273742D6368696C642229293B636173652272616E6765223A72657475726E20742E717565727953656C6563746F7228222E222E636F6E636174286B2E72616E67652C2220696E7075742229293B64656661756C743A72657475726E206F7428';
wwv_flow_api.g_varchar2_table(42) := '742C6B2E696E707574297D7D66756E6374696F6E20502874297B696628742E666F63757328292C2266696C6522213D3D742E74797065297B76617220653D742E76616C75653B742E76616C75653D22222C742E76616C75653D657D7D66756E6374696F6E';
wwv_flow_api.g_varchar2_table(43) := '204C28742C652C6E297B7426266526262822737472696E67223D3D747970656F662065262628653D652E73706C6974282F5C732B2F292E66696C74657228426F6F6C65616E29292C652E666F72456163682866756E6374696F6E2865297B742E666F7245';
wwv_flow_api.g_varchar2_table(44) := '6163683F742E666F72456163682866756E6374696F6E2874297B6E3F742E636C6173734C6973742E6164642865293A742E636C6173734C6973742E72656D6F76652865297D293A6E3F742E636C6173734C6973742E6164642865293A742E636C6173734C';
wwv_flow_api.g_varchar2_table(45) := '6973742E72656D6F76652865297D29297D66756E6374696F6E204528742C652C6E297B6E7C7C303D3D3D7061727365496E74286E293F742E7374796C655B655D3D226E756D626572223D3D747970656F66206E3F6E2B227078223A6E3A742E7374796C65';
wwv_flow_api.g_varchar2_table(46) := '2E72656D6F766550726F70657274792865297D66756E6374696F6E204F2874297B76617220653D313C617267756D656E74732E6C656E6774682626766F69642030213D3D617267756D656E74735B315D3F617267756D656E74735B315D3A22666C657822';
wwv_flow_api.g_varchar2_table(47) := '3B742E7374796C652E6F7061636974793D22222C742E7374796C652E646973706C61793D657D66756E6374696F6E20542874297B742E7374796C652E6F7061636974793D22222C742E7374796C652E646973706C61793D226E6F6E65227D66756E637469';
wwv_flow_api.g_varchar2_table(48) := '6F6E204D28742C652C6E297B653F4F28742C6E293A542874297D66756E6374696F6E20562874297B72657475726E212821747C7C2128742E6F666673657457696474687C7C742E6F66667365744865696768747C7C742E676574436C69656E7452656374';
wwv_flow_api.g_varchar2_table(49) := '7328292E6C656E67746829297D66756E6374696F6E206A28297B72657475726E20646F63756D656E742E626F64792E717565727953656C6563746F7228222E222B6B2E636F6E7461696E6572297D66756E6374696F6E20712874297B76617220653D6A28';
wwv_flow_api.g_varchar2_table(50) := '293B72657475726E20653F652E717565727953656C6563746F722874293A6E756C6C7D66756E6374696F6E20492874297B72657475726E207128222E222B74297D66756E6374696F6E204828297B76617220743D697428293B72657475726E206D28742E';
wwv_flow_api.g_varchar2_table(51) := '717565727953656C6563746F72416C6C28222E222B6B2E69636F6E29297D66756E6374696F6E205228297B76617220743D4828292E66696C7465722866756E6374696F6E2874297B72657475726E20562874297D293B72657475726E20742E6C656E6774';
wwv_flow_api.g_varchar2_table(52) := '683F745B305D3A6E756C6C7D66756E6374696F6E204428297B72657475726E2049286B2E7469746C65297D66756E6374696F6E204E28297B72657475726E2049286B2E636F6E74656E74297D66756E6374696F6E205528297B72657475726E2049286B2E';
wwv_flow_api.g_varchar2_table(53) := '696D616765297D66756E6374696F6E205F28297B72657475726E2049286B5B2270726F67726573732D7374657073225D297D66756E6374696F6E207A28297B72657475726E2049286B5B2276616C69646174696F6E2D6D657373616765225D297D66756E';
wwv_flow_api.g_varchar2_table(54) := '6374696F6E205728297B72657475726E207128222E222B6B2E616374696F6E732B22202E222B6B2E636F6E6669726D297D66756E6374696F6E204B28297B72657475726E207128222E222B6B2E616374696F6E732B22202E222B6B2E63616E63656C297D';
wwv_flow_api.g_varchar2_table(55) := '66756E6374696F6E204628297B72657475726E2049286B2E616374696F6E73297D66756E6374696F6E205A28297B72657475726E2049286B2E686561646572297D66756E6374696F6E205128297B72657475726E2049286B2E666F6F746572297D66756E';
wwv_flow_api.g_varchar2_table(56) := '6374696F6E205928297B72657475726E2049286B2E636C6F7365297D66756E6374696F6E202428297B76617220743D6D28697428292E717565727953656C6563746F72416C6C28275B746162696E6465785D3A6E6F74285B746162696E6465783D222D31';
wwv_flow_api.g_varchar2_table(57) := '225D293A6E6F74285B746162696E6465783D2230225D292729292E736F72742866756E6374696F6E28742C65297B72657475726E20743D7061727365496E7428742E6765744174747269627574652822746162696E6465782229292C28653D7061727365';
wwv_flow_api.g_varchar2_table(58) := '496E7428652E6765744174747269627574652822746162696E646578222929293C743F313A743C653F2D313A307D292C653D6D28697428292E717565727953656C6563746F72416C6C2827615B687265665D2C20617265615B687265665D2C20696E7075';
wwv_flow_api.g_varchar2_table(59) := '743A6E6F74285B64697361626C65645D292C2073656C6563743A6E6F74285B64697361626C65645D292C2074657874617265613A6E6F74285B64697361626C65645D292C20627574746F6E3A6E6F74285B64697361626C65645D292C20696672616D652C';
wwv_flow_api.g_varchar2_table(60) := '206F626A6563742C20656D6265642C205B746162696E6465783D2230225D2C205B636F6E74656E746564697461626C655D2C20617564696F5B636F6E74726F6C735D2C20766964656F5B636F6E74726F6C735D2729292E66696C7465722866756E637469';
wwv_flow_api.g_varchar2_table(61) := '6F6E2874297B72657475726E222D3122213D3D742E6765744174747269627574652822746162696E64657822297D293B72657475726E2066756E6374696F6E2874297B666F722876617220653D5B5D2C6E3D303B6E3C742E6C656E6774683B6E2B2B292D';
wwv_flow_api.g_varchar2_table(62) := '313D3D3D652E696E6465784F6628745B6E5D292626652E7075736828745B6E5D293B72657475726E20657D28742E636F6E636174286529292E66696C7465722866756E6374696F6E2874297B72657475726E20562874297D297D66756E6374696F6E204A';
wwv_flow_api.g_varchar2_table(63) := '28297B72657475726E22756E646566696E6564223D3D747970656F662077696E646F777C7C22756E646566696E6564223D3D747970656F6620646F63756D656E747D66756E6374696F6E20582874297B73652E697356697369626C65282926267474213D';
wwv_flow_api.g_varchar2_table(64) := '3D742E7461726765742E76616C7565262673652E726573657456616C69646174696F6E4D65737361676528292C74743D742E7461726765742E76616C75657D66756E6374696F6E204728742C65297B7420696E7374616E63656F662048544D4C456C656D';
wwv_flow_api.g_varchar2_table(65) := '656E743F652E617070656E644368696C642874293A226F626A656374223D3D3D662874293F637428652C74293A74262628652E696E6E657248544D4C3D74297D7661722074742C65743D66756E6374696F6E28742C65297B4C28742C652C2130297D2C6E';
wwv_flow_api.g_varchar2_table(66) := '743D66756E6374696F6E28742C65297B4C28742C652C2131297D2C6F743D66756E6374696F6E28742C65297B666F7228766172206E3D303B6E3C742E6368696C644E6F6465732E6C656E6774683B6E2B2B296966285328742E6368696C644E6F6465735B';
wwv_flow_api.g_varchar2_table(67) := '6E5D2C65292972657475726E20742E6368696C644E6F6465735B6E5D7D2C69743D66756E6374696F6E28297B72657475726E2049286B2E706F707570297D2C72743D66756E6374696F6E28297B72657475726E2161742829262621646F63756D656E742E';
wwv_flow_api.g_varchar2_table(68) := '626F64792E636C6173734C6973742E636F6E7461696E73286B5B226E6F2D6261636B64726F70225D297D2C61743D66756E6374696F6E28297B72657475726E20646F63756D656E742E626F64792E636C6173734C6973742E636F6E7461696E73286B5B22';
wwv_flow_api.g_varchar2_table(69) := '746F6173742D73686F776E225D297D2C73743D275C6E203C64697620617269612D6C6162656C6C656462793D22272E636F6E636174286B2E7469746C652C272220617269612D64657363726962656462793D2227292E636F6E636174286B2E636F6E7465';
wwv_flow_api.g_varchar2_table(70) := '6E742C272220636C6173733D2227292E636F6E636174286B2E706F7075702C272220746162696E6465783D222D31223E5C6E2020203C64697620636C6173733D2227292E636F6E636174286B2E6865616465722C27223E5C6E20202020203C756C20636C';
wwv_flow_api.g_varchar2_table(71) := '6173733D2227292E636F6E636174286B5B2270726F67726573732D7374657073225D2C27223E3C2F756C3E5C6E20202020203C64697620636C6173733D2227292E636F6E636174286B2E69636F6E2C222022292E636F6E63617428422E6572726F722C27';
wwv_flow_api.g_varchar2_table(72) := '223E5C6E202020202020203C7370616E20636C6173733D227377616C322D782D6D61726B223E3C7370616E20636C6173733D227377616C322D782D6D61726B2D6C696E652D6C656674223E3C2F7370616E3E3C7370616E20636C6173733D227377616C32';
wwv_flow_api.g_varchar2_table(73) := '2D782D6D61726B2D6C696E652D7269676874223E3C2F7370616E3E3C2F7370616E3E5C6E20202020203C2F6469763E5C6E20202020203C64697620636C6173733D2227292E636F6E636174286B2E69636F6E2C222022292E636F6E63617428422E717565';
wwv_flow_api.g_varchar2_table(74) := '7374696F6E2C27223E3C2F6469763E5C6E20202020203C64697620636C6173733D2227292E636F6E636174286B2E69636F6E2C222022292E636F6E63617428422E7761726E696E672C27223E3C2F6469763E5C6E20202020203C64697620636C6173733D';
wwv_flow_api.g_varchar2_table(75) := '2227292E636F6E636174286B2E69636F6E2C222022292E636F6E63617428422E696E666F2C27223E3C2F6469763E5C6E20202020203C64697620636C6173733D2227292E636F6E636174286B2E69636F6E2C222022292E636F6E63617428422E73756363';
wwv_flow_api.g_varchar2_table(76) := '6573732C27223E5C6E202020202020203C64697620636C6173733D227377616C322D737563636573732D63697263756C61722D6C696E652D6C656674223E3C2F6469763E5C6E202020202020203C7370616E20636C6173733D227377616C322D73756363';
wwv_flow_api.g_varchar2_table(77) := '6573732D6C696E652D746970223E3C2F7370616E3E203C7370616E20636C6173733D227377616C322D737563636573732D6C696E652D6C6F6E67223E3C2F7370616E3E5C6E202020202020203C64697620636C6173733D227377616C322D737563636573';
wwv_flow_api.g_varchar2_table(78) := '732D72696E67223E3C2F6469763E203C64697620636C6173733D227377616C322D737563636573732D666978223E3C2F6469763E5C6E202020202020203C64697620636C6173733D227377616C322D737563636573732D63697263756C61722D6C696E65';
wwv_flow_api.g_varchar2_table(79) := '2D7269676874223E3C2F6469763E5C6E20202020203C2F6469763E5C6E20202020203C696D6720636C6173733D2227292E636F6E636174286B2E696D6167652C2722202F3E5C6E20202020203C683220636C6173733D2227292E636F6E636174286B2E74';
wwv_flow_api.g_varchar2_table(80) := '69746C652C27222069643D2227292E636F6E636174286B2E7469746C652C27223E3C2F68323E5C6E20202020203C627574746F6E20747970653D22627574746F6E2220636C6173733D2227292E636F6E636174286B2E636C6F73652C27223E2674696D65';
wwv_flow_api.g_varchar2_table(81) := '733B3C2F627574746F6E3E5C6E2020203C2F6469763E5C6E2020203C64697620636C6173733D2227292E636F6E636174286B2E636F6E74656E742C27223E5C6E20202020203C6469762069643D2227292E636F6E636174286B2E636F6E74656E742C2722';
wwv_flow_api.g_varchar2_table(82) := '3E3C2F6469763E5C6E20202020203C696E70757420636C6173733D2227292E636F6E636174286B2E696E7075742C2722202F3E5C6E20202020203C696E70757420747970653D2266696C652220636C6173733D2227292E636F6E636174286B2E66696C65';
wwv_flow_api.g_varchar2_table(83) := '2C2722202F3E5C6E20202020203C64697620636C6173733D2227292E636F6E636174286B2E72616E67652C27223E5C6E202020202020203C696E70757420747970653D2272616E676522202F3E5C6E202020202020203C6F75747075743E3C2F6F757470';
wwv_flow_api.g_varchar2_table(84) := '75743E5C6E20202020203C2F6469763E5C6E20202020203C73656C65637420636C6173733D2227292E636F6E636174286B2E73656C6563742C27223E3C2F73656C6563743E5C6E20202020203C64697620636C6173733D2227292E636F6E636174286B2E';
wwv_flow_api.g_varchar2_table(85) := '726164696F2C27223E3C2F6469763E5C6E20202020203C6C6162656C20666F723D2227292E636F6E636174286B2E636865636B626F782C272220636C6173733D2227292E636F6E636174286B2E636865636B626F782C27223E5C6E202020202020203C69';
wwv_flow_api.g_varchar2_table(86) := '6E70757420747970653D22636865636B626F7822202F3E5C6E202020202020203C7370616E20636C6173733D2227292E636F6E636174286B2E6C6162656C2C27223E3C2F7370616E3E5C6E20202020203C2F6C6162656C3E5C6E20202020203C74657874';
wwv_flow_api.g_varchar2_table(87) := '6172656120636C6173733D2227292E636F6E636174286B2E74657874617265612C27223E3C2F74657874617265613E5C6E20202020203C64697620636C6173733D2227292E636F6E636174286B5B2276616C69646174696F6E2D6D657373616765225D2C';
wwv_flow_api.g_varchar2_table(88) := '27222069643D2227292E636F6E636174286B5B2276616C69646174696F6E2D6D657373616765225D2C27223E3C2F6469763E5C6E2020203C2F6469763E5C6E2020203C64697620636C6173733D2227292E636F6E636174286B2E616374696F6E732C2722';
wwv_flow_api.g_varchar2_table(89) := '3E5C6E20202020203C627574746F6E20747970653D22627574746F6E2220636C6173733D2227292E636F6E636174286B2E636F6E6669726D2C27223E4F4B3C2F627574746F6E3E5C6E20202020203C627574746F6E20747970653D22627574746F6E2220';
wwv_flow_api.g_varchar2_table(90) := '636C6173733D2227292E636F6E636174286B2E63616E63656C2C27223E43616E63656C3C2F627574746F6E3E5C6E2020203C2F6469763E5C6E2020203C64697620636C6173733D2227292E636F6E636174286B2E666F6F7465722C27223E5C6E2020203C';
wwv_flow_api.g_varchar2_table(91) := '2F6469763E5C6E203C2F6469763E5C6E27292E7265706C616365282F285E7C5C6E295C732A2F672C2222292C75743D66756E6374696F6E2874297B69662866756E6374696F6E28297B76617220743D6A28293B74262628742E706172656E744E6F64652E';
wwv_flow_api.g_varchar2_table(92) := '72656D6F76654368696C642874292C6E74285B646F63756D656E742E646F63756D656E74456C656D656E742C646F63756D656E742E626F64795D2C5B6B5B226E6F2D6261636B64726F70225D2C6B5B22746F6173742D73686F776E225D2C6B5B22686173';
wwv_flow_api.g_varchar2_table(93) := '2D636F6C756D6E225D5D29297D28292C4A2829296728225377656574416C6572743220726571756972657320646F63756D656E7420746F20696E697469616C697A6522293B656C73657B76617220653D646F63756D656E742E637265617465456C656D65';
wwv_flow_api.g_varchar2_table(94) := '6E74282264697622293B652E636C6173734E616D653D6B2E636F6E7461696E65722C652E696E6E657248544D4C3D73743B766172206E3D66756E6374696F6E2874297B72657475726E22737472696E67223D3D747970656F6620743F646F63756D656E74';
wwv_flow_api.g_varchar2_table(95) := '2E717565727953656C6563746F722874293A747D28742E746172676574293B6E2E617070656E644368696C642865292C66756E6374696F6E2874297B76617220653D697428293B652E7365744174747269627574652822726F6C65222C742E746F617374';
wwv_flow_api.g_varchar2_table(96) := '3F22616C657274223A226469616C6F6722292C652E7365744174747269627574652822617269612D6C697665222C742E746F6173743F22706F6C697465223A2261737365727469766522292C742E746F6173747C7C652E73657441747472696275746528';
wwv_flow_api.g_varchar2_table(97) := '22617269612D6D6F64616C222C227472756522297D2874292C66756E6374696F6E2874297B2272746C223D3D3D77696E646F772E676574436F6D70757465645374796C652874292E646972656374696F6E26266574286A28292C6B2E72746C297D286E29';
wwv_flow_api.g_varchar2_table(98) := '2C66756E6374696F6E28297B76617220743D4E28292C653D6F7428742C6B2E696E707574292C6E3D6F7428742C6B2E66696C65292C6F3D742E717565727953656C6563746F7228222E222E636F6E636174286B2E72616E67652C2220696E707574222929';
wwv_flow_api.g_varchar2_table(99) := '2C693D742E717565727953656C6563746F7228222E222E636F6E636174286B2E72616E67652C22206F75747075742229292C723D6F7428742C6B2E73656C656374292C613D742E717565727953656C6563746F7228222E222E636F6E636174286B2E6368';
wwv_flow_api.g_varchar2_table(100) := '65636B626F782C2220696E7075742229292C733D6F7428742C6B2E7465787461726561293B652E6F6E696E7075743D582C6E2E6F6E6368616E67653D582C722E6F6E6368616E67653D582C612E6F6E6368616E67653D582C732E6F6E696E7075743D582C';
wwv_flow_api.g_varchar2_table(101) := '6F2E6F6E696E7075743D66756E6374696F6E2874297B582874292C692E76616C75653D6F2E76616C75657D2C6F2E6F6E6368616E67653D66756E6374696F6E2874297B582874292C6F2E6E6578745369626C696E672E76616C75653D6F2E76616C75657D';
wwv_flow_api.g_varchar2_table(102) := '7D28297D7D2C63743D66756E6374696F6E28742C65297B696628742E696E6E657248544D4C3D22222C3020696E206529666F7228766172206E3D303B6E20696E20653B6E2B2B29742E617070656E644368696C6428655B6E5D2E636C6F6E654E6F646528';
wwv_flow_api.g_varchar2_table(103) := '213029293B656C736520742E617070656E644368696C6428652E636C6F6E654E6F646528213029297D2C6C743D66756E6374696F6E28297B6966284A28292972657475726E21313B76617220743D646F63756D656E742E637265617465456C656D656E74';
wwv_flow_api.g_varchar2_table(104) := '282264697622292C653D7B5765626B6974416E696D6174696F6E3A227765626B6974416E696D6174696F6E456E64222C4F416E696D6174696F6E3A226F416E696D6174696F6E456E64206F616E696D6174696F6E656E64222C616E696D6174696F6E3A22';
wwv_flow_api.g_varchar2_table(105) := '616E696D6174696F6E656E64227D3B666F7228766172206E20696E206529696628652E6861734F776E50726F7065727479286E292626766F69642030213D3D742E7374796C655B6E5D2972657475726E20655B6E5D3B72657475726E21317D28293B6675';
wwv_flow_api.g_varchar2_table(106) := '6E6374696F6E20647428742C652C6E297B4D28742C6E5B2273686F7743222B652E737562737472696E672831292B22427574746F6E225D2C22696E6C696E652D626C6F636B22292C742E696E6E657248544D4C3D6E5B652B22427574746F6E5465787422';
wwv_flow_api.g_varchar2_table(107) := '5D2C742E7365744174747269627574652822617269612D6C6162656C222C6E5B652B22427574746F6E417269614C6162656C225D292C742E636C6173734E616D653D6B5B655D2C6228742C6E2E637573746F6D436C6173732C652B22427574746F6E2229';
wwv_flow_api.g_varchar2_table(108) := '2C657428742C6E5B652B22427574746F6E436C617373225D297D66756E6374696F6E20707428742C65297B766172206E3D4628292C6F3D5728292C693D4B28293B652E73686F77436F6E6669726D427574746F6E7C7C652E73686F7743616E63656C4275';
wwv_flow_api.g_varchar2_table(109) := '74746F6E3F4F286E293A54286E292C62286E2C652E637573746F6D436C6173732C22616374696F6E7322292C6474286F2C22636F6E6669726D222C65292C647428692C2263616E63656C222C65292C652E627574746F6E735374796C696E673F66756E63';
wwv_flow_api.g_varchar2_table(110) := '74696F6E28742C652C6E297B6574285B742C655D2C6B2E7374796C6564292C6E2E636F6E6669726D427574746F6E436F6C6F72262628742E7374796C652E6261636B67726F756E64436F6C6F723D6E2E636F6E6669726D427574746F6E436F6C6F72292C';
wwv_flow_api.g_varchar2_table(111) := '6E2E63616E63656C427574746F6E436F6C6F72262628652E7374796C652E6261636B67726F756E64436F6C6F723D6E2E63616E63656C427574746F6E436F6C6F72293B766172206F3D77696E646F772E676574436F6D70757465645374796C652874292E';
wwv_flow_api.g_varchar2_table(112) := '67657450726F706572747956616C756528226261636B67726F756E642D636F6C6F7222293B742E7374796C652E626F726465724C656674436F6C6F723D6F2C742E7374796C652E626F726465725269676874436F6C6F723D6F7D286F2C692C65293A286E';
wwv_flow_api.g_varchar2_table(113) := '74285B6F2C695D2C6B2E7374796C6564292C6F2E7374796C652E6261636B67726F756E64436F6C6F723D6F2E7374796C652E626F726465724C656674436F6C6F723D6F2E7374796C652E626F726465725269676874436F6C6F723D22222C692E7374796C';
wwv_flow_api.g_varchar2_table(114) := '652E6261636B67726F756E64436F6C6F723D692E7374796C652E626F726465724C656674436F6C6F723D692E7374796C652E626F726465725269676874436F6C6F723D2222297D66756E6374696F6E20667428742C65297B766172206E3D6A28293B6E26';
wwv_flow_api.g_varchar2_table(115) := '262866756E6374696F6E28742C65297B22737472696E67223D3D747970656F6620653F742E7374796C652E6261636B67726F756E643D653A657C7C6574285B646F63756D656E742E646F63756D656E74456C656D656E742C646F63756D656E742E626F64';
wwv_flow_api.g_varchar2_table(116) := '795D2C6B5B226E6F2D6261636B64726F70225D297D286E2C652E6261636B64726F70292C21652E6261636B64726F702626652E616C6C6F774F757473696465436C69636B262679282722616C6C6F774F757473696465436C69636B2220706172616D6574';
wwv_flow_api.g_varchar2_table(117) := '657220726571756972657320606261636B64726F706020706172616D6574657220746F2062652073657420746F2060747275656027292C66756E6374696F6E28742C65297B6520696E206B3F657428742C6B5B655D293A287928275468652022706F7369';
wwv_flow_api.g_varchar2_table(118) := '74696F6E2220706172616D65746572206973206E6F742076616C69642C2064656661756C74696E6720746F202263656E7465722227292C657428742C6B2E63656E74657229297D286E2C652E706F736974696F6E292C66756E6374696F6E28742C65297B';
wwv_flow_api.g_varchar2_table(119) := '69662865262622737472696E67223D3D747970656F662065297B766172206E3D2267726F772D222B653B6E20696E206B2626657428742C6B5B6E5D297D7D286E2C652E67726F77292C62286E2C652E637573746F6D436C6173732C22636F6E7461696E65';
wwv_flow_api.g_varchar2_table(120) := '7222292C652E637573746F6D436F6E7461696E6572436C61737326266574286E2C652E637573746F6D436F6E7461696E6572436C61737329297D66756E6374696F6E206D7428742C65297B742E706C616365686F6C646572262621652E696E707574506C';
wwv_flow_api.g_varchar2_table(121) := '616365686F6C6465727C7C28742E706C616365686F6C6465723D652E696E707574506C616365686F6C646572297D7661722067743D7B70726F6D6973653A6E6577205765616B4D61702C696E6E6572506172616D733A6E6577205765616B4D61702C646F';
wwv_flow_api.g_varchar2_table(122) := '6D43616368653A6E6577205765616B4D61707D2C68743D66756E6374696F6E28742C65297B766172206E3D41284E28292C74293B6966286E29666F7228766172206F20696E2066756E6374696F6E2874297B666F722876617220653D303B653C742E6174';
wwv_flow_api.g_varchar2_table(123) := '74726962757465732E6C656E6774683B652B2B297B766172206E3D742E617474726962757465735B655D2E6E616D653B2D313D3D3D5B2274797065222C2276616C7565222C227374796C65225D2E696E6465784F66286E292626742E72656D6F76654174';
wwv_flow_api.g_varchar2_table(124) := '74726962757465286E297D7D286E292C65292272616E6765223D3D3D74262622706C616365686F6C646572223D3D3D6F7C7C6E2E736574417474726962757465286F2C655B6F5D297D2C76743D66756E6374696F6E28742C652C6E297B742E636C617373';
wwv_flow_api.g_varchar2_table(125) := '4E616D653D652C6E2E696E707574436C6173732626657428742C6E2E696E707574436C617373292C6E2E637573746F6D436C6173732626657428742C6E2E637573746F6D436C6173732E696E707574297D2C62743D7B7D3B62742E746578743D62742E65';
wwv_flow_api.g_varchar2_table(126) := '6D61696C3D62742E70617373776F72643D62742E6E756D6265723D62742E74656C3D62742E75726C3D66756E6374696F6E2874297B76617220653D6F74284E28292C6B2E696E707574293B72657475726E22737472696E67223D3D747970656F6620742E';
wwv_flow_api.g_varchar2_table(127) := '696E70757456616C75657C7C226E756D626572223D3D747970656F6620742E696E70757456616C75653F652E76616C75653D742E696E70757456616C75653A7628742E696E70757456616C7565297C7C792827556E65787065637465642074797065206F';
wwv_flow_api.g_varchar2_table(128) := '6620696E70757456616C7565212045787065637465642022737472696E67222C20226E756D62657222206F72202250726F6D697365222C20676F742022272E636F6E636174286628742E696E70757456616C7565292C27222729292C6D7428652C74292C';
wwv_flow_api.g_varchar2_table(129) := '652E747970653D742E696E7075742C657D2C62742E66696C653D66756E6374696F6E2874297B76617220653D6F74284E28292C6B2E66696C65293B72657475726E206D7428652C74292C652E747970653D742E696E7075742C657D2C62742E72616E6765';
wwv_flow_api.g_varchar2_table(130) := '3D66756E6374696F6E2874297B76617220653D6F74284E28292C6B2E72616E6765292C6E3D652E717565727953656C6563746F722822696E70757422292C6F3D652E717565727953656C6563746F7228226F757470757422293B72657475726E206E2E76';
wwv_flow_api.g_varchar2_table(131) := '616C75653D742E696E70757456616C75652C6E2E747970653D742E696E7075742C6F2E76616C75653D742E696E70757456616C75652C657D2C62742E73656C6563743D66756E6374696F6E2874297B76617220653D6F74284E28292C6B2E73656C656374';
wwv_flow_api.g_varchar2_table(132) := '293B696628652E696E6E657248544D4C3D22222C742E696E707574506C616365686F6C646572297B766172206E3D646F63756D656E742E637265617465456C656D656E7428226F7074696F6E22293B6E2E696E6E657248544D4C3D742E696E707574506C';
wwv_flow_api.g_varchar2_table(133) := '616365686F6C6465722C6E2E76616C75653D22222C6E2E64697361626C65643D21302C6E2E73656C65637465643D21302C652E617070656E644368696C64286E297D72657475726E20657D2C62742E726164696F3D66756E6374696F6E28297B76617220';
wwv_flow_api.g_varchar2_table(134) := '743D6F74284E28292C6B2E726164696F293B72657475726E20742E696E6E657248544D4C3D22222C747D2C62742E636865636B626F783D66756E6374696F6E2874297B76617220653D6F74284E28292C6B2E636865636B626F78292C6E3D41284E28292C';
wwv_flow_api.g_varchar2_table(135) := '22636865636B626F7822293B72657475726E206E2E747970653D22636865636B626F78222C6E2E76616C75653D312C6E2E69643D6B2E636865636B626F782C6E2E636865636B65643D426F6F6C65616E28742E696E70757456616C7565292C652E717565';
wwv_flow_api.g_varchar2_table(136) := '727953656C6563746F7228227370616E22292E696E6E657248544D4C3D742E696E707574506C616365686F6C6465722C657D2C62742E74657874617265613D66756E6374696F6E2874297B76617220653D6F74284E28292C6B2E7465787461726561293B';
wwv_flow_api.g_varchar2_table(137) := '72657475726E20652E76616C75653D742E696E70757456616C75652C6D7428652C74292C657D3B66756E6374696F6E20797428742C65297B766172206E3D4E28292E717565727953656C6563746F72282223222B6B2E636F6E74656E74293B652E68746D';
wwv_flow_api.g_varchar2_table(138) := '6C3F284728652E68746D6C2C6E292C4F286E2C22626C6F636B2229293A652E746578743F286E2E74657874436F6E74656E743D652E746578742C4F286E2C22626C6F636B2229293A54286E292C66756E6374696F6E28742C65297B666F7228766172206E';
wwv_flow_api.g_varchar2_table(139) := '3D67742E696E6E6572506172616D732E6765742874292C6F3D216E7C7C652E696E707574213D3D6E2E696E7075742C693D4E28292C723D5B22696E707574222C2266696C65222C2272616E6765222C2273656C656374222C22726164696F222C22636865';
wwv_flow_api.g_varchar2_table(140) := '636B626F78222C227465787461726561225D2C613D303B613C722E6C656E6774683B612B2B297B76617220733D6B5B725B615D5D2C753D6F7428692C73293B687428725B615D2C652E696E70757441747472696275746573292C767428752C732C65292C';
wwv_flow_api.g_varchar2_table(141) := '6F2626542875297D696628652E696E707574297B6966282162745B652E696E7075745D2972657475726E20672827556E65787065637465642074797065206F6620696E70757421204578706563746564202274657874222C2022656D61696C222C202270';
wwv_flow_api.g_varchar2_table(142) := '617373776F7264222C20226E756D626572222C202274656C222C202273656C656374222C2022726164696F222C2022636865636B626F78222C20227465787461726561222C202266696C6522206F72202275726C222C20676F742022272E636F6E636174';
wwv_flow_api.g_varchar2_table(143) := '28652E696E7075742C27222729293B6966286F297B76617220633D62745B652E696E7075745D2865293B4F2863297D7D7D28742C65292C62284E28292C652E637573746F6D436C6173732C22636F6E74656E7422297D66756E6374696F6E20777428742C';
wwv_flow_api.g_varchar2_table(144) := '69297B76617220723D5F28293B69662821692E70726F677265737353746570737C7C303D3D3D692E70726F677265737353746570732E6C656E6774682972657475726E20542872293B4F2872292C722E696E6E657248544D4C3D22223B76617220613D70';
wwv_flow_api.g_varchar2_table(145) := '61727365496E74286E756C6C3D3D3D692E63757272656E7450726F6772657373537465703F73652E67657451756575655374657028293A692E63757272656E7450726F677265737353746570293B613E3D692E70726F677265737353746570732E6C656E';
wwv_flow_api.g_varchar2_table(146) := '6774682626792822496E76616C69642063757272656E7450726F67726573735374657020706172616D657465722C2069742073686F756C64206265206C657373207468616E2070726F677265737353746570732E6C656E677468202863757272656E7450';
wwv_flow_api.g_varchar2_table(147) := '726F677265737353746570206C696B65204A5320617272617973207374617274732066726F6D20302922292C692E70726F677265737353746570732E666F72456163682866756E6374696F6E28742C65297B766172206E3D66756E6374696F6E2874297B';
wwv_flow_api.g_varchar2_table(148) := '76617220653D646F63756D656E742E637265617465456C656D656E7428226C6922293B72657475726E20657428652C6B5B2270726F67726573732D73746570225D292C652E696E6E657248544D4C3D742C657D2874293B696628722E617070656E644368';
wwv_flow_api.g_varchar2_table(149) := '696C64286E292C653D3D3D6126266574286E2C6B5B226163746976652D70726F67726573732D73746570225D292C65213D3D692E70726F677265737353746570732E6C656E6774682D31297B766172206F3D66756E6374696F6E2874297B76617220653D';
wwv_flow_api.g_varchar2_table(150) := '646F63756D656E742E637265617465456C656D656E7428226C6922293B72657475726E20657428652C6B5B2270726F67726573732D737465702D6C696E65225D292C742E70726F6772657373537465707344697374616E6365262628652E7374796C652E';
wwv_flow_api.g_varchar2_table(151) := '77696474683D742E70726F6772657373537465707344697374616E6365292C657D2874293B722E617070656E644368696C64286F297D7D297D66756E6374696F6E20437428742C65297B766172206E3D5A28293B62286E2C652E637573746F6D436C6173';
wwv_flow_api.g_varchar2_table(152) := '732C2268656164657222292C777428302C65292C66756E6374696F6E28742C65297B766172206E3D67742E696E6E6572506172616D732E6765742874293B6966286E2626652E747970653D3D3D6E2E7479706526265228292962285228292C652E637573';
wwv_flow_api.g_varchar2_table(153) := '746F6D436C6173732C2269636F6E22293B656C736520696628427428292C652E7479706529696628787428292C2D31213D3D4F626A6563742E6B6579732842292E696E6465784F6628652E7479706529297B766172206F3D7128222E222E636F6E636174';
wwv_flow_api.g_varchar2_table(154) := '286B2E69636F6E2C222E22292E636F6E63617428425B652E747970655D29293B4F286F292C62286F2C652E637573746F6D436C6173732C2269636F6E22292C4C286F2C227377616C322D616E696D6174652D222E636F6E63617428652E747970652C222D';
wwv_flow_api.g_varchar2_table(155) := '69636F6E22292C652E616E696D6174696F6E297D656C736520672827556E6B6E6F776E207479706521204578706563746564202273756363657373222C20226572726F72222C20227761726E696E67222C2022696E666F22206F7220227175657374696F';
wwv_flow_api.g_varchar2_table(156) := '6E222C20676F742022272E636F6E63617428652E747970652C27222729297D28742C65292C66756E6374696F6E28742C65297B766172206E3D5528293B69662821652E696D61676555726C2972657475726E2054286E293B4F286E292C6E2E7365744174';
wwv_flow_api.g_varchar2_table(157) := '747269627574652822737263222C652E696D61676555726C292C6E2E7365744174747269627574652822616C74222C652E696D616765416C74292C45286E2C227769647468222C652E696D6167655769647468292C45286E2C22686569676874222C652E';
wwv_flow_api.g_varchar2_table(158) := '696D616765486569676874292C6E2E636C6173734E616D653D6B2E696D6167652C62286E2C652E637573746F6D436C6173732C22696D61676522292C652E696D616765436C61737326266574286E2C652E696D616765436C617373297D28302C65292C66';
wwv_flow_api.g_varchar2_table(159) := '756E6374696F6E28742C65297B766172206E3D4428293B4D286E2C652E7469746C657C7C652E7469746C6554657874292C652E7469746C6526264728652E7469746C652C6E292C652E7469746C65546578742626286E2E696E6E6572546578743D652E74';
wwv_flow_api.g_varchar2_table(160) := '69746C6554657874292C62286E2C652E637573746F6D436C6173732C227469746C6522297D28302C65292C66756E6374696F6E28742C65297B766172206E3D5928293B62286E2C652E637573746F6D436C6173732C22636C6F7365427574746F6E22292C';
wwv_flow_api.g_varchar2_table(161) := '4D286E2C652E73686F77436C6F7365427574746F6E292C6E2E7365744174747269627574652822617269612D6C6162656C222C652E636C6F7365427574746F6E417269614C6162656C297D28302C65297D66756E6374696F6E206B7428742C65297B2166';
wwv_flow_api.g_varchar2_table(162) := '756E6374696F6E28742C65297B766172206E3D697428293B45286E2C227769647468222C652E7769647468292C45286E2C2270616464696E67222C652E70616464696E67292C652E6261636B67726F756E642626286E2E7374796C652E6261636B67726F';
wwv_flow_api.g_varchar2_table(163) := '756E643D652E6261636B67726F756E64292C6E2E636C6173734E616D653D6B2E706F7075702C652E746F6173743F286574285B646F63756D656E742E646F63756D656E74456C656D656E742C646F63756D656E742E626F64795D2C6B5B22746F6173742D';
wwv_flow_api.g_varchar2_table(164) := '73686F776E225D292C6574286E2C6B2E746F61737429293A6574286E2C6B2E6D6F64616C292C62286E2C652E637573746F6D436C6173732C22706F70757022292C22737472696E67223D3D747970656F6620652E637573746F6D436C6173732626657428';
wwv_flow_api.g_varchar2_table(165) := '6E2C652E637573746F6D436C617373292C4C286E2C6B2E6E6F616E696D6174696F6E2C21652E616E696D6174696F6E297D28302C65292C667428302C65292C437428742C65292C797428742C65292C707428302C65292C66756E6374696F6E28742C6529';
wwv_flow_api.g_varchar2_table(166) := '7B766172206E3D5128293B4D286E2C652E666F6F746572292C652E666F6F74657226264728652E666F6F7465722C6E292C62286E2C652E637573746F6D436C6173732C22666F6F74657222297D28302C65297D7661722042743D66756E6374696F6E2829';
wwv_flow_api.g_varchar2_table(167) := '7B666F722876617220743D4828292C653D303B653C742E6C656E6774683B652B2B295428745B655D297D2C78743D66756E6374696F6E28297B666F722876617220743D697428292C653D77696E646F772E676574436F6D70757465645374796C65287429';
wwv_flow_api.g_varchar2_table(168) := '2E67657450726F706572747956616C756528226261636B67726F756E642D636F6C6F7222292C6E3D742E717565727953656C6563746F72416C6C28225B636C6173735E3D7377616C322D737563636573732D63697263756C61722D6C696E655D2C202E73';
wwv_flow_api.g_varchar2_table(169) := '77616C322D737563636573732D66697822292C6F3D303B6F3C6E2E6C656E6774683B6F2B2B296E5B6F5D2E7374796C652E6261636B67726F756E64436F6C6F723D657D3B66756E6374696F6E20537428297B76617220743D697428293B747C7C73652E66';
wwv_flow_api.g_varchar2_table(170) := '697265282222292C743D697428293B76617220653D4628292C6E3D5728292C6F3D4B28293B4F2865292C4F286E292C6574285B742C655D2C6B2E6C6F6164696E67292C6E2E64697361626C65643D21302C6F2E64697361626C65643D21302C742E736574';
wwv_flow_api.g_varchar2_table(171) := '4174747269627574652822646174612D6C6F6164696E67222C2130292C742E7365744174747269627574652822617269612D62757379222C2130292C742E666F63757328297D66756E6374696F6E2041742874297B72657475726E2054742E6861734F77';
wwv_flow_api.g_varchar2_table(172) := '6E50726F70657274792874297D66756E6374696F6E2050742874297B72657475726E2056745B745D7D766172204C743D5B5D2C45743D7B7D2C4F743D66756E6374696F6E28297B72657475726E206E65772050726F6D6973652866756E6374696F6E2874';
wwv_flow_api.g_varchar2_table(173) := '297B76617220653D77696E646F772E7363726F6C6C582C6E3D77696E646F772E7363726F6C6C593B45742E726573746F7265466F63757354696D656F75743D73657454696D656F75742866756E6374696F6E28297B45742E70726576696F757341637469';
wwv_flow_api.g_varchar2_table(174) := '7665456C656D656E74262645742E70726576696F7573416374697665456C656D656E742E666F6375733F2845742E70726576696F7573416374697665456C656D656E742E666F63757328292C45742E70726576696F7573416374697665456C656D656E74';
wwv_flow_api.g_varchar2_table(175) := '3D6E756C6C293A646F63756D656E742E626F64792626646F63756D656E742E626F64792E666F63757328292C7428297D2C313030292C766F69642030213D3D652626766F69642030213D3D6E262677696E646F772E7363726F6C6C546F28652C6E297D29';
wwv_flow_api.g_varchar2_table(176) := '7D2C54743D7B7469746C653A22222C7469746C65546578743A22222C746578743A22222C68746D6C3A22222C666F6F7465723A22222C747970653A6E756C6C2C746F6173743A21312C637573746F6D436C6173733A22222C637573746F6D436F6E746169';
wwv_flow_api.g_varchar2_table(177) := '6E6572436C6173733A22222C7461726765743A22626F6479222C6261636B64726F703A21302C616E696D6174696F6E3A21302C6865696768744175746F3A21302C616C6C6F774F757473696465436C69636B3A21302C616C6C6F774573636170654B6579';
wwv_flow_api.g_varchar2_table(178) := '3A21302C616C6C6F77456E7465724B65793A21302C73746F704B6579646F776E50726F7061676174696F6E3A21302C6B6579646F776E4C697374656E6572436170747572653A21312C73686F77436F6E6669726D427574746F6E3A21302C73686F774361';
wwv_flow_api.g_varchar2_table(179) := '6E63656C427574746F6E3A21312C707265436F6E6669726D3A6E756C6C2C636F6E6669726D427574746F6E546578743A224F4B222C636F6E6669726D427574746F6E417269614C6162656C3A22222C636F6E6669726D427574746F6E436F6C6F723A6E75';
wwv_flow_api.g_varchar2_table(180) := '6C6C2C636F6E6669726D427574746F6E436C6173733A22222C63616E63656C427574746F6E546578743A2243616E63656C222C63616E63656C427574746F6E417269614C6162656C3A22222C63616E63656C427574746F6E436F6C6F723A6E756C6C2C63';
wwv_flow_api.g_varchar2_table(181) := '616E63656C427574746F6E436C6173733A22222C627574746F6E735374796C696E673A21302C72657665727365427574746F6E733A21312C666F637573436F6E6669726D3A21302C666F63757343616E63656C3A21312C73686F77436C6F736542757474';
wwv_flow_api.g_varchar2_table(182) := '6F6E3A21312C636C6F7365427574746F6E417269614C6162656C3A22436C6F73652074686973206469616C6F67222C73686F774C6F616465724F6E436F6E6669726D3A21312C696D61676555726C3A6E756C6C2C696D61676557696474683A6E756C6C2C';
wwv_flow_api.g_varchar2_table(183) := '696D6167654865696768743A6E756C6C2C696D616765416C743A22222C696D616765436C6173733A22222C74696D65723A6E756C6C2C77696474683A6E756C6C2C70616464696E673A6E756C6C2C6261636B67726F756E643A6E756C6C2C696E7075743A';
wwv_flow_api.g_varchar2_table(184) := '6E756C6C2C696E707574506C616365686F6C6465723A22222C696E70757456616C75653A22222C696E7075744F7074696F6E733A7B7D2C696E7075744175746F5472696D3A21302C696E707574436C6173733A22222C696E707574417474726962757465';
wwv_flow_api.g_varchar2_table(185) := '733A7B7D2C696E70757456616C696461746F723A6E756C6C2C76616C69646174696F6E4D6573736167653A6E756C6C2C67726F773A21312C706F736974696F6E3A2263656E746572222C70726F677265737353746570733A5B5D2C63757272656E745072';
wwv_flow_api.g_varchar2_table(186) := '6F6772657373537465703A6E756C6C2C70726F6772657373537465707344697374616E63653A6E756C6C2C6F6E4265666F72654F70656E3A6E756C6C2C6F6E4166746572436C6F73653A6E756C6C2C6F6E4F70656E3A6E756C6C2C6F6E436C6F73653A6E';
wwv_flow_api.g_varchar2_table(187) := '756C6C2C7363726F6C6C62617250616464696E673A21307D2C4D743D5B227469746C65222C227469746C6554657874222C2274657874222C2268746D6C222C2274797065222C22637573746F6D436C617373222C2273686F77436F6E6669726D42757474';
wwv_flow_api.g_varchar2_table(188) := '6F6E222C2273686F7743616E63656C427574746F6E222C22636F6E6669726D427574746F6E54657874222C22636F6E6669726D427574746F6E417269614C6162656C222C22636F6E6669726D427574746F6E436F6C6F72222C22636F6E6669726D427574';
wwv_flow_api.g_varchar2_table(189) := '746F6E436C617373222C2263616E63656C427574746F6E54657874222C2263616E63656C427574746F6E417269614C6162656C222C2263616E63656C427574746F6E436F6C6F72222C2263616E63656C427574746F6E436C617373222C22627574746F6E';
wwv_flow_api.g_varchar2_table(190) := '735374796C696E67222C2272657665727365427574746F6E73222C22696D61676555726C222C22696D6167655769647468222C22696D616765486569677468222C22696D616765416C74222C22696D616765436C617373222C2270726F67726573735374';
wwv_flow_api.g_varchar2_table(191) := '657073222C2263757272656E7450726F677265737353746570225D2C56743D7B637573746F6D436F6E7461696E6572436C6173733A22637573746F6D436C617373222C636F6E6669726D427574746F6E436C6173733A22637573746F6D436C617373222C';
wwv_flow_api.g_varchar2_table(192) := '63616E63656C427574746F6E436C6173733A22637573746F6D436C617373222C696D616765436C6173733A22637573746F6D436C617373222C696E707574436C6173733A22637573746F6D436C617373227D2C6A743D5B22616C6C6F774F757473696465';
wwv_flow_api.g_varchar2_table(193) := '436C69636B222C22616C6C6F77456E7465724B6579222C226261636B64726F70222C22666F637573436F6E6669726D222C22666F63757343616E63656C222C226865696768744175746F222C226B6579646F776E4C697374656E65724361707475726522';
wwv_flow_api.g_varchar2_table(194) := '5D2C71743D4F626A6563742E667265657A65287B697356616C6964506172616D657465723A41742C6973557064617461626C65506172616D657465723A66756E6374696F6E2874297B72657475726E2D31213D3D4D742E696E6465784F662874297D2C69';
wwv_flow_api.g_varchar2_table(195) := '7344657072656361746564506172616D657465723A50742C61726773546F506172616D733A66756E6374696F6E286E297B766172206F3D7B7D3B7377697463682866286E5B305D29297B63617365226F626A656374223A61286F2C6E5B305D293B627265';
wwv_flow_api.g_varchar2_table(196) := '616B3B64656661756C743A5B227469746C65222C2268746D6C222C2274797065225D2E666F72456163682866756E6374696F6E28742C65297B7377697463682866286E5B655D29297B6361736522737472696E67223A6F5B745D3D6E5B655D3B62726561';
wwv_flow_api.g_varchar2_table(197) := '6B3B6361736522756E646566696E6564223A627265616B3B64656661756C743A672822556E65787065637465642074797065206F6620222E636F6E63617428742C27212045787065637465642022737472696E67222C20676F742027292E636F6E636174';
wwv_flow_api.g_varchar2_table(198) := '2866286E5B655D2929297D7D297D72657475726E206F7D2C697356697369626C653A66756E6374696F6E28297B72657475726E20562869742829297D2C636C69636B436F6E6669726D3A66756E6374696F6E28297B72657475726E205728292626572829';
wwv_flow_api.g_varchar2_table(199) := '2E636C69636B28297D2C636C69636B43616E63656C3A66756E6374696F6E28297B72657475726E204B282926264B28292E636C69636B28297D2C676574436F6E7461696E65723A6A2C676574506F7075703A69742C6765745469746C653A442C67657443';
wwv_flow_api.g_varchar2_table(200) := '6F6E74656E743A4E2C676574496D6167653A552C67657449636F6E3A522C67657449636F6E733A482C676574436C6F7365427574746F6E3A592C676574416374696F6E733A462C676574436F6E6669726D427574746F6E3A572C67657443616E63656C42';
wwv_flow_api.g_varchar2_table(201) := '7574746F6E3A4B2C6765744865616465723A5A2C676574466F6F7465723A512C676574466F63757361626C65456C656D656E74733A242C67657456616C69646174696F6E4D6573736167653A7A2C69734C6F6164696E673A66756E6374696F6E28297B72';
wwv_flow_api.g_varchar2_table(202) := '657475726E20697428292E6861734174747269627574652822646174612D6C6F6164696E6722297D2C666972653A66756E6374696F6E28297B666F722876617220743D617267756D656E74732E6C656E6774682C653D6E65772041727261792874292C6E';
wwv_flow_api.g_varchar2_table(203) := '3D303B6E3C743B6E2B2B29655B6E5D3D617267756D656E74735B6E5D3B72657475726E206328746869732C65297D2C6D6978696E3A66756E6374696F6E286E297B72657475726E2066756E6374696F6E2874297B66756E6374696F6E206528297B726574';
wwv_flow_api.g_varchar2_table(204) := '75726E206F28746869732C65292C6C28746869732C732865292E6170706C7928746869732C617267756D656E747329297D72657475726E2066756E6374696F6E28742C65297B6966282266756E6374696F6E22213D747970656F66206526266E756C6C21';
wwv_flow_api.g_varchar2_table(205) := '3D3D65297468726F77206E657720547970654572726F72282253757065722065787072657373696F6E206D75737420656974686572206265206E756C6C206F7220612066756E6374696F6E22293B742E70726F746F747970653D4F626A6563742E637265';
wwv_flow_api.g_varchar2_table(206) := '61746528652626652E70726F746F747970652C7B636F6E7374727563746F723A7B76616C75653A742C7772697461626C653A21302C636F6E666967757261626C653A21307D7D292C6526267528742C65297D28652C74292C7228652C5B7B6B65793A225F';
wwv_flow_api.g_varchar2_table(207) := '6D61696E222C76616C75653A66756E6374696F6E2874297B72657475726E2064287328652E70726F746F74797065292C225F6D61696E222C74686973292E63616C6C28746869732C61287B7D2C6E2C7429297D7D5D292C657D2874686973297D2C717565';
wwv_flow_api.g_varchar2_table(208) := '75653A66756E6374696F6E2874297B76617220723D746869733B4C743D743B66756E6374696F6E206128742C65297B4C743D5B5D2C646F63756D656E742E626F64792E72656D6F76654174747269627574652822646174612D7377616C322D7175657565';
wwv_flow_api.g_varchar2_table(209) := '2D7374657022292C742865297D76617220733D5B5D3B72657475726E206E65772050726F6D6973652866756E6374696F6E2869297B2166756E6374696F6E2065286E2C6F297B6E3C4C742E6C656E6774683F28646F63756D656E742E626F64792E736574';
wwv_flow_api.g_varchar2_table(210) := '4174747269627574652822646174612D7377616C322D71756575652D73746570222C6E292C722E66697265284C745B6E5D292E7468656E2866756E6374696F6E2874297B766F69642030213D3D742E76616C75653F28732E7075736828742E76616C7565';
wwv_flow_api.g_varchar2_table(211) := '292C65286E2B312C6F29293A6128692C7B6469736D6973733A742E6469736D6973737D297D29293A6128692C7B76616C75653A737D297D2830297D297D2C6765745175657565537465703A66756E6374696F6E28297B72657475726E20646F63756D656E';
wwv_flow_api.g_varchar2_table(212) := '742E626F64792E6765744174747269627574652822646174612D7377616C322D71756575652D7374657022297D2C696E736572745175657565537465703A66756E6374696F6E28742C65297B72657475726E20652626653C4C742E6C656E6774683F4C74';
wwv_flow_api.g_varchar2_table(213) := '2E73706C69636528652C302C74293A4C742E707573682874297D2C64656C6574655175657565537465703A66756E6374696F6E2874297B766F69642030213D3D4C745B745D26264C742E73706C69636528742C31297D2C73686F774C6F6164696E673A53';
wwv_flow_api.g_varchar2_table(214) := '742C656E61626C654C6F6164696E673A53742C67657454696D65724C6566743A66756E6374696F6E28297B72657475726E2045742E74696D656F7574262645742E74696D656F75742E67657454696D65724C65667428297D2C73746F7054696D65723A66';
wwv_flow_api.g_varchar2_table(215) := '756E6374696F6E28297B72657475726E2045742E74696D656F7574262645742E74696D656F75742E73746F7028297D2C726573756D6554696D65723A66756E6374696F6E28297B72657475726E2045742E74696D656F7574262645742E74696D656F7574';
wwv_flow_api.g_varchar2_table(216) := '2E737461727428297D2C746F67676C6554696D65723A66756E6374696F6E28297B76617220743D45742E74696D656F75743B72657475726E2074262628742E72756E6E696E673F742E73746F7028293A742E73746172742829297D2C696E637265617365';
wwv_flow_api.g_varchar2_table(217) := '54696D65723A66756E6374696F6E2874297B72657475726E2045742E74696D656F7574262645742E74696D656F75742E696E6372656173652874297D2C697354696D657252756E6E696E673A66756E6374696F6E28297B72657475726E2045742E74696D';
wwv_flow_api.g_varchar2_table(218) := '656F7574262645742E74696D656F75742E697352756E6E696E6728297D7D293B66756E6374696F6E20497428297B76617220743D67742E696E6E6572506172616D732E6765742874686973292C653D67742E646F6D43616368652E676574287468697329';
wwv_flow_api.g_varchar2_table(219) := '3B742E73686F77436F6E6669726D427574746F6E7C7C285428652E636F6E6669726D427574746F6E292C742E73686F7743616E63656C427574746F6E7C7C5428652E616374696F6E7329292C6E74285B652E706F7075702C652E616374696F6E735D2C6B';
wwv_flow_api.g_varchar2_table(220) := '2E6C6F6164696E67292C652E706F7075702E72656D6F76654174747269627574652822617269612D6275737922292C652E706F7075702E72656D6F76654174747269627574652822646174612D6C6F6164696E6722292C652E636F6E6669726D42757474';
wwv_flow_api.g_varchar2_table(221) := '6F6E2E64697361626C65643D21312C652E63616E63656C427574746F6E2E64697361626C65643D21317D66756E6374696F6E20487428297B6E756C6C3D3D3D782E70726576696F7573426F647950616464696E672626646F63756D656E742E626F64792E';
wwv_flow_api.g_varchar2_table(222) := '7363726F6C6C4865696768743E77696E646F772E696E6E6572486569676874262628782E70726576696F7573426F647950616464696E673D7061727365496E742877696E646F772E676574436F6D70757465645374796C6528646F63756D656E742E626F';
wwv_flow_api.g_varchar2_table(223) := '6479292E67657450726F706572747956616C7565282270616464696E672D72696768742229292C646F63756D656E742E626F64792E7374796C652E70616464696E6752696768743D782E70726576696F7573426F647950616464696E672B66756E637469';
wwv_flow_api.g_varchar2_table(224) := '6F6E28297B696628226F6E746F756368737461727422696E2077696E646F777C7C6E6176696761746F722E6D734D6178546F756368506F696E74732972657475726E20303B76617220743D646F63756D656E742E637265617465456C656D656E74282264';
wwv_flow_api.g_varchar2_table(225) := '697622293B742E7374796C652E77696474683D2235307078222C742E7374796C652E6865696768743D2235307078222C742E7374796C652E6F766572666C6F773D227363726F6C6C222C646F63756D656E742E626F64792E617070656E644368696C6428';
wwv_flow_api.g_varchar2_table(226) := '74293B76617220653D742E6F666673657457696474682D742E636C69656E7457696474683B72657475726E20646F63756D656E742E626F64792E72656D6F76654368696C642874292C657D28292B22707822297D66756E6374696F6E20527428297B7265';
wwv_flow_api.g_varchar2_table(227) := '7475726E212177696E646F772E4D53496E7075744D6574686F64436F6E7465787426262121646F63756D656E742E646F63756D656E744D6F64657D66756E6374696F6E20447428297B76617220743D6A28292C653D697428293B742E7374796C652E7265';
wwv_flow_api.g_varchar2_table(228) := '6D6F766550726F70657274792822616C69676E2D6974656D7322292C652E6F6666736574546F703C30262628742E7374796C652E616C69676E4974656D733D22666C65782D737461727422297D766172204E743D66756E6374696F6E28297B6E756C6C21';
wwv_flow_api.g_varchar2_table(229) := '3D3D782E70726576696F7573426F647950616464696E67262628646F63756D656E742E626F64792E7374796C652E70616464696E6752696768743D782E70726576696F7573426F647950616464696E672B227078222C782E70726576696F7573426F6479';
wwv_flow_api.g_varchar2_table(230) := '50616464696E673D6E756C6C297D2C55743D66756E6374696F6E28297B6966285328646F63756D656E742E626F64792C6B2E696F7366697829297B76617220743D7061727365496E7428646F63756D656E742E626F64792E7374796C652E746F702C3130';
wwv_flow_api.g_varchar2_table(231) := '293B6E7428646F63756D656E742E626F64792C6B2E696F73666978292C646F63756D656E742E626F64792E7374796C652E746F703D22222C646F63756D656E742E626F64792E7363726F6C6C546F703D2D312A747D7D2C5F743D66756E6374696F6E2829';
wwv_flow_api.g_varchar2_table(232) := '7B22756E646566696E656422213D747970656F662077696E646F77262652742829262677696E646F772E72656D6F76654576656E744C697374656E65722822726573697A65222C4474297D2C7A743D66756E6374696F6E28297B6D28646F63756D656E74';
wwv_flow_api.g_varchar2_table(233) := '2E626F64792E6368696C6472656E292E666F72456163682866756E6374696F6E2874297B742E6861734174747269627574652822646174612D70726576696F75732D617269612D68696464656E22293F28742E7365744174747269627574652822617269';
wwv_flow_api.g_varchar2_table(234) := '612D68696464656E222C742E6765744174747269627574652822646174612D70726576696F75732D617269612D68696464656E2229292C742E72656D6F76654174747269627574652822646174612D70726576696F75732D617269612D68696464656E22';
wwv_flow_api.g_varchar2_table(235) := '29293A742E72656D6F76654174747269627574652822617269612D68696464656E22297D297D2C57743D7B7377616C50726F6D6973655265736F6C76653A6E6577205765616B4D61707D3B66756E6374696F6E204B7428742C65297B617428293F517428';
wwv_flow_api.g_varchar2_table(236) := '65293A284F7428292E7468656E2866756E6374696F6E28297B72657475726E2051742865297D292C45742E6B6579646F776E5461726765742E72656D6F76654576656E744C697374656E657228226B6579646F776E222C45742E6B6579646F776E48616E';
wwv_flow_api.g_varchar2_table(237) := '646C65722C7B636170747572653A45742E6B6579646F776E4C697374656E6572436170747572657D292C45742E6B6579646F776E48616E646C657241646465643D2131292C742E706172656E744E6F64652626742E706172656E744E6F64652E72656D6F';
wwv_flow_api.g_varchar2_table(238) := '76654368696C642874292C6E74285B646F63756D656E742E646F63756D656E74456C656D656E742C646F63756D656E742E626F64795D2C5B6B2E73686F776E2C6B5B226865696768742D6175746F225D2C6B5B226E6F2D6261636B64726F70225D2C6B5B';
wwv_flow_api.g_varchar2_table(239) := '22746F6173742D73686F776E225D2C6B5B22746F6173742D636F6C756D6E225D5D292C727428292626284E7428292C557428292C5F7428292C7A742829297D66756E6374696F6E20467428742C652C6E297B742E72656D6F76654576656E744C69737465';
wwv_flow_api.g_varchar2_table(240) := '6E6572286C742C4674292C5328742C6B2E686964652926264B7428652C6E297D66756E6374696F6E205A742874297B76617220653D6A28292C6E3D697428292C6F3D67742E696E6E6572506172616D732E6765742874686973292C693D57742E7377616C';
wwv_flow_api.g_varchar2_table(241) := '50726F6D6973655265736F6C76652E6765742874686973292C723D6F2E6F6E436C6F73652C613D6F2E6F6E4166746572436C6F73653B6E2626286E756C6C213D3D7226262266756E6374696F6E223D3D747970656F662072262672286E292C6E74286E2C';
wwv_flow_api.g_varchar2_table(242) := '6B2E73686F77292C6574286E2C6B2E68696465292C6C7426262153286E2C6B2E6E6F616E696D6174696F6E293F6E2E6164644576656E744C697374656E6572286C742C46742E62696E64286E756C6C2C6E2C652C6129293A4B7428652C61292C6928747C';
wwv_flow_api.g_varchar2_table(243) := '7C7B7D29297D7661722051743D66756E6374696F6E2874297B6E756C6C213D3D7426262266756E6374696F6E223D3D747970656F662074262673657454696D656F75742866756E6374696F6E28297B7428297D297D3B66756E6374696F6E20597428742C';
wwv_flow_api.g_varchar2_table(244) := '652C6E297B766172206F3D67742E646F6D43616368652E6765742874293B652E666F72456163682866756E6374696F6E2874297B6F5B745D2E64697361626C65643D6E7D297D66756E6374696F6E20247428742C65297B69662821742972657475726E21';
wwv_flow_api.g_varchar2_table(245) := '313B69662822726164696F223D3D3D742E7479706529666F7228766172206E3D742E706172656E744E6F64652E706172656E744E6F64652E717565727953656C6563746F72416C6C2822696E70757422292C6F3D303B6F3C6E2E6C656E6774683B6F2B2B';
wwv_flow_api.g_varchar2_table(246) := '296E5B6F5D2E64697361626C65643D653B656C736520742E64697361626C65643D657D766172204A743D66756E6374696F6E28297B66756E6374696F6E206E28742C65297B6F28746869732C6E292C746869732E63616C6C6261636B3D742C746869732E';
wwv_flow_api.g_varchar2_table(247) := '72656D61696E696E673D652C746869732E72756E6E696E673D21312C746869732E737461727428297D72657475726E2072286E2C5B7B6B65793A227374617274222C76616C75653A66756E6374696F6E28297B72657475726E20746869732E72756E6E69';
wwv_flow_api.g_varchar2_table(248) := '6E677C7C28746869732E72756E6E696E673D21302C746869732E737461727465643D6E657720446174652C746869732E69643D73657454696D656F757428746869732E63616C6C6261636B2C746869732E72656D61696E696E6729292C746869732E7265';
wwv_flow_api.g_varchar2_table(249) := '6D61696E696E677D7D2C7B6B65793A2273746F70222C76616C75653A66756E6374696F6E28297B72657475726E20746869732E72756E6E696E67262628746869732E72756E6E696E673D21312C636C65617254696D656F757428746869732E6964292C74';
wwv_flow_api.g_varchar2_table(250) := '6869732E72656D61696E696E672D3D6E657720446174652D746869732E73746172746564292C746869732E72656D61696E696E677D7D2C7B6B65793A22696E637265617365222C76616C75653A66756E6374696F6E2874297B76617220653D746869732E';
wwv_flow_api.g_varchar2_table(251) := '72756E6E696E673B72657475726E20652626746869732E73746F7028292C746869732E72656D61696E696E672B3D742C652626746869732E737461727428292C746869732E72656D61696E696E677D7D2C7B6B65793A2267657454696D65724C65667422';
wwv_flow_api.g_varchar2_table(252) := '2C76616C75653A66756E6374696F6E28297B72657475726E20746869732E72756E6E696E67262628746869732E73746F7028292C746869732E73746172742829292C746869732E72656D61696E696E677D7D2C7B6B65793A22697352756E6E696E67222C';
wwv_flow_api.g_varchar2_table(253) := '76616C75653A66756E6374696F6E28297B72657475726E20746869732E72756E6E696E677D7D5D292C6E7D28292C58743D7B656D61696C3A66756E6374696F6E28742C65297B72657475726E2F5E5B612D7A412D5A302D392E2B5F2D5D2B405B612D7A41';
wwv_flow_api.g_varchar2_table(254) := '2D5A302D392E2D5D2B5C2E5B612D7A412D5A302D392D5D7B322C32347D242F2E746573742874293F50726F6D6973652E7265736F6C766528293A50726F6D6973652E7265736F6C766528657C7C22496E76616C696420656D61696C206164647265737322';
wwv_flow_api.g_varchar2_table(255) := '297D2C75726C3A66756E6374696F6E28742C65297B72657475726E2F5E68747470733F3A5C2F5C2F287777775C2E293F5B2D612D7A412D5A302D39403A252E5F2B7E233D5D7B322C3235367D5C2E5B612D7A5D7B322C36337D5C62285B2D612D7A412D5A';
wwv_flow_api.g_varchar2_table(256) := '302D39403A255F2B2E7E233F262F2F3D5D2A29242F2E746573742874293F50726F6D6973652E7265736F6C766528293A50726F6D6973652E7265736F6C766528657C7C22496E76616C69642055524C22297D7D3B66756E6374696F6E20477428742C6529';
wwv_flow_api.g_varchar2_table(257) := '7B742E72656D6F76654576656E744C697374656E6572286C742C4774292C652E7374796C652E6F766572666C6F77593D226175746F227D66756E6374696F6E2074652874297B76617220653D6A28292C6E3D697428293B6E756C6C213D3D742E6F6E4265';
wwv_flow_api.g_varchar2_table(258) := '666F72654F70656E26262266756E6374696F6E223D3D747970656F6620742E6F6E4265666F72654F70656E2626742E6F6E4265666F72654F70656E286E292C742E616E696D6174696F6E2626286574286E2C6B2E73686F77292C657428652C6B2E666164';
wwv_flow_api.g_varchar2_table(259) := '6529292C4F286E292C6C7426262153286E2C6B2E6E6F616E696D6174696F6E293F28652E7374796C652E6F766572666C6F77593D2268696464656E222C6E2E6164644576656E744C697374656E6572286C742C47742E62696E64286E756C6C2C6E2C6529';
wwv_flow_api.g_varchar2_table(260) := '29293A652E7374796C652E6F766572666C6F77593D226175746F222C6574285B646F63756D656E742E646F63756D656E74456C656D656E742C646F63756D656E742E626F64792C655D2C6B2E73686F776E292C742E6865696768744175746F2626742E62';
wwv_flow_api.g_varchar2_table(261) := '61636B64726F70262621742E746F61737426266574285B646F63756D656E742E646F63756D656E74456C656D656E742C646F63756D656E742E626F64795D2C6B5B226865696768742D6175746F225D292C72742829262628742E7363726F6C6C62617250';
wwv_flow_api.g_varchar2_table(262) := '616464696E672626487428292C66756E6374696F6E28297B6966282F695061647C6950686F6E657C69506F642F2E74657374286E6176696761746F722E757365724167656E742926262177696E646F772E4D5353747265616D2626215328646F63756D65';
wwv_flow_api.g_varchar2_table(263) := '6E742E626F64792C6B2E696F7366697829297B76617220743D646F63756D656E742E626F64792E7363726F6C6C546F703B646F63756D656E742E626F64792E7374796C652E746F703D2D312A742B227078222C657428646F63756D656E742E626F64792C';
wwv_flow_api.g_varchar2_table(264) := '6B2E696F73666978297D7D28292C22756E646566696E656422213D747970656F662077696E646F77262652742829262628447428292C77696E646F772E6164644576656E744C697374656E65722822726573697A65222C447429292C6D28646F63756D65';
wwv_flow_api.g_varchar2_table(265) := '6E742E626F64792E6368696C6472656E292E666F72456163682866756E6374696F6E2874297B743D3D3D6A28297C7C66756E6374696F6E28742C65297B6966282266756E6374696F6E223D3D747970656F6620742E636F6E7461696E732972657475726E';
wwv_flow_api.g_varchar2_table(266) := '20742E636F6E7461696E732865297D28742C6A2829297C7C28742E6861734174747269627574652822617269612D68696464656E22292626742E7365744174747269627574652822646174612D70726576696F75732D617269612D68696464656E222C74';
wwv_flow_api.g_varchar2_table(267) := '2E6765744174747269627574652822617269612D68696464656E2229292C742E7365744174747269627574652822617269612D68696464656E222C22747275652229297D292C73657454696D656F75742866756E6374696F6E28297B652E7363726F6C6C';
wwv_flow_api.g_varchar2_table(268) := '546F703D307D29292C617428297C7C45742E70726576696F7573416374697665456C656D656E747C7C2845742E70726576696F7573416374697665456C656D656E743D646F63756D656E742E616374697665456C656D656E74292C6E756C6C213D3D742E';
wwv_flow_api.g_varchar2_table(269) := '6F6E4F70656E26262266756E6374696F6E223D3D747970656F6620742E6F6E4F70656E262673657454696D656F75742866756E6374696F6E28297B742E6F6E4F70656E286E297D297D7661722065653D766F696420302C6E653D7B73656C6563743A6675';
wwv_flow_api.g_varchar2_table(270) := '6E6374696F6E28742C652C69297B76617220723D6F7428742C6B2E73656C656374293B652E666F72456163682866756E6374696F6E2874297B76617220653D745B305D2C6E3D745B315D2C6F3D646F63756D656E742E637265617465456C656D656E7428';
wwv_flow_api.g_varchar2_table(271) := '226F7074696F6E22293B6F2E76616C75653D652C6F2E696E6E657248544D4C3D6E2C692E696E70757456616C75652E746F537472696E6728293D3D3D652E746F537472696E6728292626286F2E73656C65637465643D2130292C722E617070656E644368';
wwv_flow_api.g_varchar2_table(272) := '696C64286F297D292C722E666F63757328297D2C726164696F3A66756E6374696F6E28742C652C61297B76617220733D6F7428742C6B2E726164696F293B652E666F72456163682866756E6374696F6E2874297B76617220653D745B305D2C6E3D745B31';
wwv_flow_api.g_varchar2_table(273) := '5D2C6F3D646F63756D656E742E637265617465456C656D656E742822696E70757422292C693D646F63756D656E742E637265617465456C656D656E7428226C6162656C22293B6F2E747970653D22726164696F222C6F2E6E616D653D6B2E726164696F2C';
wwv_flow_api.g_varchar2_table(274) := '6F2E76616C75653D652C612E696E70757456616C75652E746F537472696E6728293D3D3D652E746F537472696E6728292626286F2E636865636B65643D2130293B76617220723D646F63756D656E742E637265617465456C656D656E7428227370616E22';
wwv_flow_api.g_varchar2_table(275) := '293B722E696E6E657248544D4C3D6E2C722E636C6173734E616D653D6B2E6C6162656C2C692E617070656E644368696C64286F292C692E617070656E644368696C642872292C732E617070656E644368696C642869297D293B766172206E3D732E717565';
wwv_flow_api.g_varchar2_table(276) := '727953656C6563746F72416C6C2822696E70757422293B6E2E6C656E67746826266E5B305D2E666F63757328297D7D2C6F653D66756E6374696F6E2865297B766172206E3D5B5D3B72657475726E22756E646566696E656422213D747970656F66204D61';
wwv_flow_api.g_varchar2_table(277) := '7026266520696E7374616E63656F66204D61703F652E666F72456163682866756E6374696F6E28742C65297B6E2E70757368285B652C745D297D293A4F626A6563742E6B6579732865292E666F72456163682866756E6374696F6E2874297B6E2E707573';
wwv_flow_api.g_varchar2_table(278) := '68285B742C655B745D5D297D292C6E7D3B7661722069652C72653D4F626A6563742E667265657A65287B686964654C6F6164696E673A49742C64697361626C654C6F6164696E673A49742C676574496E7075743A66756E6374696F6E2874297B76617220';
wwv_flow_api.g_varchar2_table(279) := '653D67742E696E6E6572506172616D732E67657428747C7C74686973293B72657475726E20412867742E646F6D43616368652E67657428747C7C74686973292E636F6E74656E742C652E696E707574297D2C636C6F73653A5A742C636C6F7365506F7075';
wwv_flow_api.g_varchar2_table(280) := '703A5A742C636C6F73654D6F64616C3A5A742C636C6F7365546F6173743A5A742C656E61626C65427574746F6E733A66756E6374696F6E28297B597428746869732C5B22636F6E6669726D427574746F6E222C2263616E63656C427574746F6E225D2C21';
wwv_flow_api.g_varchar2_table(281) := '31297D2C64697361626C65427574746F6E733A66756E6374696F6E28297B597428746869732C5B22636F6E6669726D427574746F6E222C2263616E63656C427574746F6E225D2C2130297D2C656E61626C65436F6E6669726D427574746F6E3A66756E63';
wwv_flow_api.g_varchar2_table(282) := '74696F6E28297B6828225377616C2E64697361626C65436F6E6669726D427574746F6E2829222C225377616C2E676574436F6E6669726D427574746F6E28292E72656D6F7665417474726962757465282764697361626C6564272922292C597428746869';
wwv_flow_api.g_varchar2_table(283) := '732C5B22636F6E6669726D427574746F6E225D2C2131297D2C64697361626C65436F6E6669726D427574746F6E3A66756E6374696F6E28297B6828225377616C2E656E61626C65436F6E6669726D427574746F6E2829222C225377616C2E676574436F6E';
wwv_flow_api.g_varchar2_table(284) := '6669726D427574746F6E28292E736574417474726962757465282764697361626C6564272C2027272922292C597428746869732C5B22636F6E6669726D427574746F6E225D2C2130297D2C656E61626C65496E7075743A66756E6374696F6E28297B7265';
wwv_flow_api.g_varchar2_table(285) := '7475726E20247428746869732E676574496E70757428292C2131297D2C64697361626C65496E7075743A66756E6374696F6E28297B72657475726E20247428746869732E676574496E70757428292C2130297D2C73686F7756616C69646174696F6E4D65';
wwv_flow_api.g_varchar2_table(286) := '73736167653A66756E6374696F6E2874297B76617220653D67742E646F6D43616368652E6765742874686973293B652E76616C69646174696F6E4D6573736167652E696E6E657248544D4C3D743B766172206E3D77696E646F772E676574436F6D707574';
wwv_flow_api.g_varchar2_table(287) := '65645374796C6528652E706F707570293B652E76616C69646174696F6E4D6573736167652E7374796C652E6D617267696E4C6566743D222D222E636F6E636174286E2E67657450726F706572747956616C7565282270616464696E672D6C656674222929';
wwv_flow_api.g_varchar2_table(288) := '2C652E76616C69646174696F6E4D6573736167652E7374796C652E6D617267696E52696768743D222D222E636F6E636174286E2E67657450726F706572747956616C7565282270616464696E672D72696768742229292C4F28652E76616C69646174696F';
wwv_flow_api.g_varchar2_table(289) := '6E4D657373616765293B766172206F3D746869732E676574496E70757428293B6F2626286F2E7365744174747269627574652822617269612D696E76616C6964222C2130292C6F2E7365744174747269627574652822617269612D646573637269626564';
wwv_flow_api.g_varchar2_table(290) := '4279222C6B5B2276616C69646174696F6E2D6D657373616765225D292C50286F292C6574286F2C6B2E696E7075746572726F7229297D2C726573657456616C69646174696F6E4D6573736167653A66756E6374696F6E28297B76617220743D67742E646F';
wwv_flow_api.g_varchar2_table(291) := '6D43616368652E6765742874686973293B742E76616C69646174696F6E4D65737361676526265428742E76616C69646174696F6E4D657373616765293B76617220653D746869732E676574496E70757428293B65262628652E72656D6F76654174747269';
wwv_flow_api.g_varchar2_table(292) := '627574652822617269612D696E76616C696422292C652E72656D6F76654174747269627574652822617269612D646573637269626564427922292C6E7428652C6B2E696E7075746572726F7229297D2C67657450726F677265737353746570733A66756E';
wwv_flow_api.g_varchar2_table(293) := '6374696F6E28297B72657475726E206828225377616C2E67657450726F677265737353746570732829222C22636F6E7374207377616C496E7374616E6365203D205377616C2E66697265287B70726F677265737353746570733A205B2731272C20273227';
wwv_flow_api.g_varchar2_table(294) := '2C202733275D7D293B20636F6E73742070726F67726573735374657073203D207377616C496E7374616E63652E706172616D732E70726F6772657373537465707322292C67742E696E6E6572506172616D732E6765742874686973292E70726F67726573';
wwv_flow_api.g_varchar2_table(295) := '7353746570737D2C73657450726F677265737353746570733A66756E6374696F6E2874297B6828225377616C2E73657450726F677265737353746570732829222C225377616C2E757064617465282922293B76617220653D61287B7D2C67742E696E6E65';
wwv_flow_api.g_varchar2_table(296) := '72506172616D732E6765742874686973292C7B70726F677265737353746570733A747D293B777428302C65292C67742E696E6E6572506172616D732E73657428746869732C65297D2C73686F7750726F677265737353746570733A66756E6374696F6E28';
wwv_flow_api.g_varchar2_table(297) := '297B76617220743D67742E646F6D43616368652E6765742874686973293B4F28742E70726F67726573735374657073297D2C6869646550726F677265737353746570733A66756E6374696F6E28297B76617220743D67742E646F6D43616368652E676574';
wwv_flow_api.g_varchar2_table(298) := '2874686973293B5428742E70726F67726573735374657073297D2C5F6D61696E3A66756E6374696F6E2874297B76617220633D746869733B2166756E6374696F6E2874297B666F7228766172206520696E207429417428693D65297C7C792827556E6B6E';
wwv_flow_api.g_varchar2_table(299) := '6F776E20706172616D657465722022272E636F6E63617428692C27222729292C742E746F6173742626286F3D652C2D31213D3D6A742E696E6465784F66286F29262679282754686520706172616D657465722022272E636F6E636174286F2C2722206973';
wwv_flow_api.g_varchar2_table(300) := '20696E636F6D70617469626C65207769746820746F61737473272929292C5074286E3D766F6964203029262668286E2C5074286E29293B766172206E2C6F2C697D2874293B766172206C3D61287B7D2C54742C74293B2166756E6374696F6E2865297B65';
wwv_flow_api.g_varchar2_table(301) := '2E696E70757456616C696461746F727C7C4F626A6563742E6B657973285874292E666F72456163682866756E6374696F6E2874297B652E696E7075743D3D3D74262628652E696E70757456616C696461746F723D58745B745D297D292C652E73686F774C';
wwv_flow_api.g_varchar2_table(302) := '6F616465724F6E436F6E6669726D262621652E707265436F6E6669726D262679282273686F774C6F616465724F6E436F6E6669726D2069732073657420746F20747275652C2062757420707265436F6E6669726D206973206E6F7420646566696E65642E';
wwv_flow_api.g_varchar2_table(303) := '5C6E73686F774C6F616465724F6E436F6E6669726D2073686F756C64206265207573656420746F676574686572207769746820707265436F6E6669726D2C20736565207573616765206578616D706C653A5C6E68747470733A2F2F7377656574616C6572';
wwv_flow_api.g_varchar2_table(304) := '74322E6769746875622E696F2F23616A61782D7265717565737422292C652E616E696D6174696F6E3D7728652E616E696D6174696F6E292C2821652E7461726765747C7C22737472696E67223D3D747970656F6620652E746172676574262621646F6375';
wwv_flow_api.g_varchar2_table(305) := '6D656E742E717565727953656C6563746F7228652E746172676574297C7C22737472696E6722213D747970656F6620652E746172676574262621652E7461726765742E617070656E644368696C642926262879282754617267657420706172616D657465';
wwv_flow_api.g_varchar2_table(306) := '72206973206E6F742076616C69642C2064656661756C74696E6720746F2022626F64792227292C652E7461726765743D22626F647922292C22737472696E67223D3D747970656F6620652E7469746C65262628652E7469746C653D652E7469746C652E73';
wwv_flow_api.g_varchar2_table(307) := '706C697428225C6E22292E6A6F696E28223C6272202F3E2229293B76617220743D697428292C6E3D22737472696E67223D3D747970656F6620652E7461726765743F646F63756D656E742E717565727953656C6563746F7228652E746172676574293A65';
wwv_flow_api.g_varchar2_table(308) := '2E7461726765743B2821747C7C7426266E2626742E706172656E744E6F6465213D3D6E2E706172656E744E6F646529262675742865297D286C292C4F626A6563742E667265657A65286C292C45742E74696D656F757426262845742E74696D656F75742E';
wwv_flow_api.g_varchar2_table(309) := '73746F7028292C64656C6574652045742E74696D656F7574292C636C65617254696D656F75742845742E726573746F7265466F63757354696D656F7574293B76617220643D7B706F7075703A697428292C636F6E7461696E65723A6A28292C636F6E7465';
wwv_flow_api.g_varchar2_table(310) := '6E743A4E28292C616374696F6E733A4628292C636F6E6669726D427574746F6E3A5728292C63616E63656C427574746F6E3A4B28292C636C6F7365427574746F6E3A5928292C76616C69646174696F6E4D6573736167653A7A28292C70726F6772657373';
wwv_flow_api.g_varchar2_table(311) := '53746570733A5F28297D3B67742E646F6D43616368652E73657428746869732C64292C6B7428746869732C6C292C67742E696E6E6572506172616D732E73657428746869732C6C293B76617220703D746869732E636F6E7374727563746F723B72657475';
wwv_flow_api.g_varchar2_table(312) := '726E206E65772050726F6D6973652866756E6374696F6E2874297B66756E6374696F6E206E2874297B632E636C6F7365506F707570287B76616C75653A747D297D66756E6374696F6E20732874297B632E636C6F7365506F707570287B6469736D697373';
wwv_flow_api.g_varchar2_table(313) := '3A747D297D57742E7377616C50726F6D6973655265736F6C76652E73657428632C74292C6C2E74696D657226262845742E74696D656F75743D6E6577204A742866756E6374696F6E28297B73282274696D657222292C64656C6574652045742E74696D65';
wwv_flow_api.g_varchar2_table(314) := '6F75747D2C6C2E74696D657229292C6C2E696E707574262673657454696D656F75742866756E6374696F6E28297B76617220743D632E676574496E70757428293B742626502874297D2C30293B666F722876617220753D66756E6374696F6E2865297B6C';
wwv_flow_api.g_varchar2_table(315) := '2E73686F774C6F616465724F6E436F6E6669726D2626702E73686F774C6F6164696E6728292C6C2E707265436F6E6669726D3F28632E726573657456616C69646174696F6E4D65737361676528292C50726F6D6973652E7265736F6C766528292E746865';
wwv_flow_api.g_varchar2_table(316) := '6E2866756E6374696F6E28297B72657475726E206C2E707265436F6E6669726D28652C6C2E76616C69646174696F6E4D657373616765297D292E7468656E2866756E6374696F6E2874297B5628642E76616C69646174696F6E4D657373616765297C7C21';
wwv_flow_api.g_varchar2_table(317) := '313D3D3D743F632E686964654C6F6164696E6728293A6E28766F696420303D3D3D743F653A74297D29293A6E2865297D2C653D66756E6374696F6E2874297B76617220653D742E7461726765742C6E3D642E636F6E6669726D427574746F6E2C6F3D642E';
wwv_flow_api.g_varchar2_table(318) := '63616E63656C427574746F6E2C693D6E2626286E3D3D3D657C7C6E2E636F6E7461696E73286529292C723D6F2626286F3D3D3D657C7C6F2E636F6E7461696E73286529293B73776974636828742E74797065297B6361736522636C69636B223A69662869';
wwv_flow_api.g_varchar2_table(319) := '29696628632E64697361626C65427574746F6E7328292C6C2E696E707574297B76617220613D66756E6374696F6E28297B76617220743D632E676574496E70757428293B69662821742972657475726E206E756C6C3B737769746368286C2E696E707574';
wwv_flow_api.g_varchar2_table(320) := '297B6361736522636865636B626F78223A72657475726E20742E636865636B65643F313A303B6361736522726164696F223A72657475726E20742E636865636B65643F742E76616C75653A6E756C6C3B636173652266696C65223A72657475726E20742E';
wwv_flow_api.g_varchar2_table(321) := '66696C65732E6C656E6774683F742E66696C65735B305D3A6E756C6C3B64656661756C743A72657475726E206C2E696E7075744175746F5472696D3F742E76616C75652E7472696D28293A742E76616C75657D7D28293B6C2E696E70757456616C696461';
wwv_flow_api.g_varchar2_table(322) := '746F723F28632E64697361626C65496E70757428292C50726F6D6973652E7265736F6C766528292E7468656E2866756E6374696F6E28297B72657475726E206C2E696E70757456616C696461746F7228612C6C2E76616C69646174696F6E4D6573736167';
wwv_flow_api.g_varchar2_table(323) := '65297D292E7468656E2866756E6374696F6E2874297B632E656E61626C65427574746F6E7328292C632E656E61626C65496E70757428292C743F632E73686F7756616C69646174696F6E4D6573736167652874293A752861297D29293A632E676574496E';
wwv_flow_api.g_varchar2_table(324) := '70757428292E636865636B56616C696469747928293F752861293A28632E656E61626C65427574746F6E7328292C632E73686F7756616C69646174696F6E4D657373616765286C2E76616C69646174696F6E4D65737361676529297D656C736520752821';
wwv_flow_api.g_varchar2_table(325) := '30293B656C73652072262628632E64697361626C65427574746F6E7328292C7328702E4469736D697373526561736F6E2E63616E63656C29297D7D2C6F3D642E706F7075702E717565727953656C6563746F72416C6C2822627574746F6E22292C693D30';
wwv_flow_api.g_varchar2_table(326) := '3B693C6F2E6C656E6774683B692B2B296F5B695D2E6F6E636C69636B3D652C6F5B695D2E6F6E6D6F7573656F7665723D652C6F5B695D2E6F6E6D6F7573656F75743D652C6F5B695D2E6F6E6D6F757365646F776E3D653B696628642E636C6F7365427574';
wwv_flow_api.g_varchar2_table(327) := '746F6E2E6F6E636C69636B3D66756E6374696F6E28297B7328702E4469736D697373526561736F6E2E636C6F7365297D2C6C2E746F61737429642E706F7075702E6F6E636C69636B3D66756E6374696F6E28297B6C2E73686F77436F6E6669726D427574';
wwv_flow_api.g_varchar2_table(328) := '746F6E7C7C6C2E73686F7743616E63656C427574746F6E7C7C6C2E73686F77436C6F7365427574746F6E7C7C6C2E696E7075747C7C7328702E4469736D697373526561736F6E2E636C6F7365297D3B656C73657B76617220723D21313B642E706F707570';
wwv_flow_api.g_varchar2_table(329) := '2E6F6E6D6F757365646F776E3D66756E6374696F6E28297B642E636F6E7461696E65722E6F6E6D6F75736575703D66756E6374696F6E2874297B642E636F6E7461696E65722E6F6E6D6F75736575703D766F696420302C742E7461726765743D3D3D642E';
wwv_flow_api.g_varchar2_table(330) := '636F6E7461696E6572262628723D2130297D7D2C642E636F6E7461696E65722E6F6E6D6F757365646F776E3D66756E6374696F6E28297B642E706F7075702E6F6E6D6F75736575703D66756E6374696F6E2874297B642E706F7075702E6F6E6D6F757365';
wwv_flow_api.g_varchar2_table(331) := '75703D766F696420302C28742E7461726765743D3D3D642E706F7075707C7C642E706F7075702E636F6E7461696E7328742E7461726765742929262628723D2130297D7D2C642E636F6E7461696E65722E6F6E636C69636B3D66756E6374696F6E287429';
wwv_flow_api.g_varchar2_table(332) := '7B723F723D21313A742E7461726765743D3D3D642E636F6E7461696E6572262677286C2E616C6C6F774F757473696465436C69636B2926267328702E4469736D697373526561736F6E2E6261636B64726F70297D7D66756E6374696F6E206128742C6529';
wwv_flow_api.g_varchar2_table(333) := '7B666F7228766172206E3D24286C2E666F63757343616E63656C292C6F3D303B6F3C6E2E6C656E6774683B6F2B2B2972657475726E28742B3D65293D3D3D6E2E6C656E6774683F743D303A2D313D3D3D74262628743D6E2E6C656E6774682D31292C6E5B';
wwv_flow_api.g_varchar2_table(334) := '745D2E666F63757328293B642E706F7075702E666F63757328297D6C2E72657665727365427574746F6E733F642E636F6E6669726D427574746F6E2E706172656E744E6F64652E696E736572744265666F726528642E63616E63656C427574746F6E2C64';
wwv_flow_api.g_varchar2_table(335) := '2E636F6E6669726D427574746F6E293A642E636F6E6669726D427574746F6E2E706172656E744E6F64652E696E736572744265666F726528642E636F6E6669726D427574746F6E2C642E63616E63656C427574746F6E292C45742E6B6579646F776E4861';
wwv_flow_api.g_varchar2_table(336) := '6E646C6572416464656426262845742E6B6579646F776E5461726765742E72656D6F76654576656E744C697374656E657228226B6579646F776E222C45742E6B6579646F776E48616E646C65722C7B636170747572653A45742E6B6579646F776E4C6973';
wwv_flow_api.g_varchar2_table(337) := '74656E6572436170747572657D292C45742E6B6579646F776E48616E646C657241646465643D2131292C6C2E746F6173747C7C2845742E6B6579646F776E48616E646C65723D66756E6374696F6E2874297B72657475726E2066756E6374696F6E28742C';
wwv_flow_api.g_varchar2_table(338) := '65297B696628652E73746F704B6579646F776E50726F7061676174696F6E2626742E73746F7050726F7061676174696F6E28292C22456E74657222213D3D742E6B65797C7C742E6973436F6D706F73696E672969662822546162223D3D3D742E6B657929';
wwv_flow_api.g_varchar2_table(339) := '7B666F7228766172206E3D742E7461726765742C6F3D2428652E666F63757343616E63656C292C693D2D312C723D303B723C6F2E6C656E6774683B722B2B296966286E3D3D3D6F5B725D297B693D723B627265616B7D742E73686966744B65793F612869';
wwv_flow_api.g_varchar2_table(340) := '2C2D31293A6128692C31292C742E73746F7050726F7061676174696F6E28292C742E70726576656E7444656661756C7428297D656C73652D31213D3D5B224172726F774C656674222C224172726F775269676874222C224172726F775570222C22417272';
wwv_flow_api.g_varchar2_table(341) := '6F77446F776E222C224C656674222C225269676874222C225570222C22446F776E225D2E696E6465784F6628742E6B6579293F646F63756D656E742E616374697665456C656D656E743D3D3D642E636F6E6669726D427574746F6E26265628642E63616E';
wwv_flow_api.g_varchar2_table(342) := '63656C427574746F6E293F642E63616E63656C427574746F6E2E666F63757328293A646F63756D656E742E616374697665456C656D656E743D3D3D642E63616E63656C427574746F6E26265628642E636F6E6669726D427574746F6E292626642E636F6E';
wwv_flow_api.g_varchar2_table(343) := '6669726D427574746F6E2E666F63757328293A2245736361706522213D3D742E6B657926262245736322213D3D742E6B65797C7C2130213D3D7728652E616C6C6F774573636170654B6579297C7C28742E70726576656E7444656661756C7428292C7328';
wwv_flow_api.g_varchar2_table(344) := '702E4469736D697373526561736F6E2E65736329293B656C736520696628742E7461726765742626632E676574496E70757428292626742E7461726765742E6F7574657248544D4C3D3D3D632E676574496E70757428292E6F7574657248544D4C297B69';
wwv_flow_api.g_varchar2_table(345) := '66282D31213D3D5B227465787461726561222C2266696C65225D2E696E6465784F6628652E696E707574292972657475726E3B702E636C69636B436F6E6669726D28292C742E70726576656E7444656661756C7428297D7D28742C6C297D2C45742E6B65';
wwv_flow_api.g_varchar2_table(346) := '79646F776E5461726765743D6C2E6B6579646F776E4C697374656E6572436170747572653F77696E646F773A642E706F7075702C45742E6B6579646F776E4C697374656E6572436170747572653D6C2E6B6579646F776E4C697374656E65724361707475';
wwv_flow_api.g_varchar2_table(347) := '72652C45742E6B6579646F776E5461726765742E6164644576656E744C697374656E657228226B6579646F776E222C45742E6B6579646F776E48616E646C65722C7B636170747572653A45742E6B6579646F776E4C697374656E6572436170747572657D';
wwv_flow_api.g_varchar2_table(348) := '292C45742E6B6579646F776E48616E646C657241646465643D2130292C632E656E61626C65427574746F6E7328292C632E686964654C6F6164696E6728292C632E726573657456616C69646174696F6E4D65737361676528292C6C2E746F617374262628';
wwv_flow_api.g_varchar2_table(349) := '6C2E696E7075747C7C6C2E666F6F7465727C7C6C2E73686F77436C6F7365427574746F6E293F657428646F63756D656E742E626F64792C6B5B22746F6173742D636F6C756D6E225D293A6E7428646F63756D656E742E626F64792C6B5B22746F6173742D';
wwv_flow_api.g_varchar2_table(350) := '636F6C756D6E225D292C2273656C656374223D3D3D6C2E696E7075747C7C22726164696F223D3D3D6C2E696E7075743F66756E6374696F6E28652C6E297B66756E6374696F6E206F2874297B72657475726E206E655B6E2E696E7075745D28692C6F6528';
wwv_flow_api.g_varchar2_table(351) := '74292C6E297D76617220693D4E28293B76286E2E696E7075744F7074696F6E73293F28537428292C6E2E696E7075744F7074696F6E732E7468656E2866756E6374696F6E2874297B652E686964654C6F6164696E6728292C6F2874297D29293A226F626A';
wwv_flow_api.g_varchar2_table(352) := '656374223D3D3D66286E2E696E7075744F7074696F6E73293F6F286E2E696E7075744F7074696F6E73293A672822556E65787065637465642074797065206F6620696E7075744F7074696F6E7321204578706563746564206F626A6563742C204D617020';
wwv_flow_api.g_varchar2_table(353) := '6F722050726F6D6973652C20676F7420222E636F6E6361742866286E2E696E7075744F7074696F6E732929297D28632C6C293A2D31213D3D5B2274657874222C22656D61696C222C226E756D626572222C2274656C222C227465787461726561225D2E69';
wwv_flow_api.g_varchar2_table(354) := '6E6465784F66286C2E696E70757429262676286C2E696E70757456616C756529262666756E6374696F6E28652C6E297B766172206F3D652E676574496E70757428293B54286F292C6E2E696E70757456616C75652E7468656E2866756E6374696F6E2874';
wwv_flow_api.g_varchar2_table(355) := '297B6F2E76616C75653D226E756D626572223D3D3D6E2E696E7075743F7061727365466C6F61742874297C7C303A742B22222C4F286F292C6F2E666F63757328292C652E686964654C6F6164696E6728297D292E63617463682866756E6374696F6E2874';
wwv_flow_api.g_varchar2_table(356) := '297B6728224572726F7220696E20696E70757456616C75652070726F6D6973653A20222B74292C6F2E76616C75653D22222C4F286F292C6F2E666F63757328292C65652E686964654C6F6164696E6728297D297D28632C6C292C7465286C292C6C2E746F';
wwv_flow_api.g_varchar2_table(357) := '6173747C7C2877286C2E616C6C6F77456E7465724B6579293F6C2E666F63757343616E63656C26265628642E63616E63656C427574746F6E293F642E63616E63656C427574746F6E2E666F63757328293A6C2E666F637573436F6E6669726D2626562864';
wwv_flow_api.g_varchar2_table(358) := '2E636F6E6669726D427574746F6E293F642E636F6E6669726D427574746F6E2E666F63757328293A61282D312C31293A646F63756D656E742E616374697665456C656D656E7426262266756E6374696F6E223D3D747970656F6620646F63756D656E742E';
wwv_flow_api.g_varchar2_table(359) := '616374697665456C656D656E742E626C75722626646F63756D656E742E616374697665456C656D656E742E626C75722829292C642E636F6E7461696E65722E7363726F6C6C546F703D307D297D2C7570646174653A66756E6374696F6E2865297B766172';
wwv_flow_api.g_varchar2_table(360) := '206E3D7B7D3B4F626A6563742E6B6579732865292E666F72456163682866756E6374696F6E2874297B73652E6973557064617461626C65506172616D657465722874293F6E5B745D3D655B745D3A792827496E76616C696420706172616D657465722074';
wwv_flow_api.g_varchar2_table(361) := '6F207570646174653A2022272E636F6E63617428742C27222E20557064617461626C6520706172616D7320617265206C697374656420686572653A2068747470733A2F2F6769746875622E636F6D2F7377656574616C657274322F7377656574616C6572';
wwv_flow_api.g_varchar2_table(362) := '74322F626C6F622F6D61737465722F7372632F7574696C732F706172616D732E6A732729297D293B76617220743D61287B7D2C67742E696E6E6572506172616D732E6765742874686973292C6E293B6B7428746869732C74292C67742E696E6E65725061';
wwv_flow_api.g_varchar2_table(363) := '72616D732E73657428746869732C74292C4F626A6563742E646566696E6550726F7065727469657328746869732C7B706172616D733A7B76616C75653A61287B7D2C746869732E706172616D732C65292C7772697461626C653A21312C656E756D657261';
wwv_flow_api.g_varchar2_table(364) := '626C653A21307D7D297D7D293B66756E6374696F6E20616528297B69662822756E646566696E656422213D747970656F662077696E646F77297B22756E646566696E6564223D3D747970656F662050726F6D697365262667282254686973207061636B61';
wwv_flow_api.g_varchar2_table(365) := '676520726571756972657320612050726F6D697365206C6962726172792C20706C6561736520696E636C7564652061207368696D20746F20656E61626C6520697420696E20746869732062726F7773657220285365653A2068747470733A2F2F67697468';
wwv_flow_api.g_varchar2_table(366) := '75622E636F6D2F7377656574616C657274322F7377656574616C657274322F77696B692F4D6967726174696F6E2D66726F6D2D5377656574416C6572742D746F2D5377656574416C6572743223312D69652D737570706F72742922292C69653D74686973';
wwv_flow_api.g_varchar2_table(367) := '3B666F722876617220743D617267756D656E74732E6C656E6774682C653D6E65772041727261792874292C6E3D303B6E3C743B6E2B2B29655B6E5D3D617267756D656E74735B6E5D3B766172206F3D4F626A6563742E667265657A6528746869732E636F';
wwv_flow_api.g_varchar2_table(368) := '6E7374727563746F722E61726773546F506172616D73286529293B4F626A6563742E646566696E6550726F7065727469657328746869732C7B706172616D733A7B76616C75653A6F2C7772697461626C653A21312C656E756D657261626C653A21302C63';
wwv_flow_api.g_varchar2_table(369) := '6F6E666967757261626C653A21307D7D293B76617220693D746869732E5F6D61696E28746869732E706172616D73293B67742E70726F6D6973652E73657428746869732C69297D7D61652E70726F746F747970652E7468656E3D66756E6374696F6E2874';
wwv_flow_api.g_varchar2_table(370) := '297B72657475726E2067742E70726F6D6973652E6765742874686973292E7468656E2874297D2C61652E70726F746F747970652E66696E616C6C793D66756E6374696F6E2874297B72657475726E2067742E70726F6D6973652E6765742874686973292E';
wwv_flow_api.g_varchar2_table(371) := '66696E616C6C792874297D2C612861652E70726F746F747970652C7265292C612861652C7174292C4F626A6563742E6B657973287265292E666F72456163682866756E6374696F6E2865297B61655B655D3D66756E6374696F6E28297B76617220743B69';
wwv_flow_api.g_varchar2_table(372) := '662869652972657475726E28743D6965295B655D2E6170706C7928742C617267756D656E7473297D7D292C61652E4469736D697373526561736F6E3D432C61652E76657273696F6E3D22382E31302E30223B7661722073653D61653B72657475726E2073';
wwv_flow_api.g_varchar2_table(373) := '652E64656661756C743D73657D292C22756E646566696E656422213D747970656F662077696E646F77262677696E646F772E5377656574616C6572743226262877696E646F772E7377616C3D77696E646F772E7377656574416C6572743D77696E646F77';
wwv_flow_api.g_varchar2_table(374) := '2E5377616C3D77696E646F772E5377656574416C6572743D77696E646F772E5377656574616C65727432293B0A22756E646566696E656422213D747970656F6620646F63756D656E74262666756E6374696F6E28652C74297B766172206E3D652E637265';
wwv_flow_api.g_varchar2_table(375) := '617465456C656D656E7428227374796C6522293B696628652E676574456C656D656E747342795461674E616D6528226865616422295B305D2E617070656E644368696C64286E292C6E2E7374796C655368656574296E2E7374796C6553686565742E6469';
wwv_flow_api.g_varchar2_table(376) := '7361626C65647C7C286E2E7374796C6553686565742E637373546578743D74293B656C7365207472797B6E2E696E6E657248544D4C3D747D63617463682865297B6E2E696E6E6572546578743D747D7D28646F63756D656E742C22406368617273657420';
wwv_flow_api.g_varchar2_table(377) := '5C225554462D385C223B402D7765626B69742D6B65796672616D6573207377616C322D73686F777B30257B2D7765626B69742D7472616E73666F726D3A7363616C65282E37293B7472616E73666F726D3A7363616C65282E37297D3435257B2D7765626B';
wwv_flow_api.g_varchar2_table(378) := '69742D7472616E73666F726D3A7363616C6528312E3035293B7472616E73666F726D3A7363616C6528312E3035297D3830257B2D7765626B69742D7472616E73666F726D3A7363616C65282E3935293B7472616E73666F726D3A7363616C65282E393529';
wwv_flow_api.g_varchar2_table(379) := '7D313030257B2D7765626B69742D7472616E73666F726D3A7363616C652831293B7472616E73666F726D3A7363616C652831297D7D406B65796672616D6573207377616C322D73686F777B30257B2D7765626B69742D7472616E73666F726D3A7363616C';
wwv_flow_api.g_varchar2_table(380) := '65282E37293B7472616E73666F726D3A7363616C65282E37297D3435257B2D7765626B69742D7472616E73666F726D3A7363616C6528312E3035293B7472616E73666F726D3A7363616C6528312E3035297D3830257B2D7765626B69742D7472616E7366';
wwv_flow_api.g_varchar2_table(381) := '6F726D3A7363616C65282E3935293B7472616E73666F726D3A7363616C65282E3935297D313030257B2D7765626B69742D7472616E73666F726D3A7363616C652831293B7472616E73666F726D3A7363616C652831297D7D402D7765626B69742D6B6579';
wwv_flow_api.g_varchar2_table(382) := '6672616D6573207377616C322D686964657B30257B2D7765626B69742D7472616E73666F726D3A7363616C652831293B7472616E73666F726D3A7363616C652831293B6F7061636974793A317D313030257B2D7765626B69742D7472616E73666F726D3A';
wwv_flow_api.g_varchar2_table(383) := '7363616C65282E35293B7472616E73666F726D3A7363616C65282E35293B6F7061636974793A307D7D406B65796672616D6573207377616C322D686964657B30257B2D7765626B69742D7472616E73666F726D3A7363616C652831293B7472616E73666F';
wwv_flow_api.g_varchar2_table(384) := '726D3A7363616C652831293B6F7061636974793A317D313030257B2D7765626B69742D7472616E73666F726D3A7363616C65282E35293B7472616E73666F726D3A7363616C65282E35293B6F7061636974793A307D7D402D7765626B69742D6B65796672';
wwv_flow_api.g_varchar2_table(385) := '616D6573207377616C322D616E696D6174652D737563636573732D6C696E652D7469707B30257B746F703A312E31383735656D3B6C6566743A2E30363235656D3B77696474683A307D3534257B746F703A312E30363235656D3B6C6566743A2E31323565';
wwv_flow_api.g_varchar2_table(386) := '6D3B77696474683A307D3730257B746F703A322E31383735656D3B6C6566743A2D2E333735656D3B77696474683A332E313235656D7D3834257B746F703A33656D3B6C6566743A312E33313235656D3B77696474683A312E30363235656D7D313030257B';
wwv_flow_api.g_varchar2_table(387) := '746F703A322E38313235656D3B6C6566743A2E383735656D3B77696474683A312E35363235656D7D7D406B65796672616D6573207377616C322D616E696D6174652D737563636573732D6C696E652D7469707B30257B746F703A312E31383735656D3B6C';
wwv_flow_api.g_varchar2_table(388) := '6566743A2E30363235656D3B77696474683A307D3534257B746F703A312E30363235656D3B6C6566743A2E313235656D3B77696474683A307D3730257B746F703A322E31383735656D3B6C6566743A2D2E333735656D3B77696474683A332E313235656D';
wwv_flow_api.g_varchar2_table(389) := '7D3834257B746F703A33656D3B6C6566743A312E33313235656D3B77696474683A312E30363235656D7D313030257B746F703A322E38313235656D3B6C6566743A2E383735656D3B77696474683A312E35363235656D7D7D402D7765626B69742D6B6579';
wwv_flow_api.g_varchar2_table(390) := '6672616D6573207377616C322D616E696D6174652D737563636573732D6C696E652D6C6F6E677B30257B746F703A332E333735656D3B72696768743A322E383735656D3B77696474683A307D3635257B746F703A332E333735656D3B72696768743A322E';
wwv_flow_api.g_varchar2_table(391) := '383735656D3B77696474683A307D3834257B746F703A322E31383735656D3B72696768743A303B77696474683A332E34333735656D7D313030257B746F703A322E333735656D3B72696768743A2E35656D3B77696474683A322E39333735656D7D7D406B';
wwv_flow_api.g_varchar2_table(392) := '65796672616D6573207377616C322D616E696D6174652D737563636573732D6C696E652D6C6F6E677B30257B746F703A332E333735656D3B72696768743A322E383735656D3B77696474683A307D3635257B746F703A332E333735656D3B72696768743A';
wwv_flow_api.g_varchar2_table(393) := '322E383735656D3B77696474683A307D3834257B746F703A322E31383735656D3B72696768743A303B77696474683A332E34333735656D7D313030257B746F703A322E333735656D3B72696768743A2E35656D3B77696474683A322E39333735656D7D7D';
wwv_flow_api.g_varchar2_table(394) := '402D7765626B69742D6B65796672616D6573207377616C322D726F746174652D737563636573732D63697263756C61722D6C696E657B30257B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B7472616E73666F726D3A';
wwv_flow_api.g_varchar2_table(395) := '726F74617465282D3435646567297D35257B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567297D3132257B2D7765626B69742D7472616E73666F726D3A726F';
wwv_flow_api.g_varchar2_table(396) := '74617465282D343035646567293B7472616E73666F726D3A726F74617465282D343035646567297D313030257B2D7765626B69742D7472616E73666F726D3A726F74617465282D343035646567293B7472616E73666F726D3A726F74617465282D343035';
wwv_flow_api.g_varchar2_table(397) := '646567297D7D406B65796672616D6573207377616C322D726F746174652D737563636573732D63697263756C61722D6C696E657B30257B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B7472616E73666F726D3A726F';
wwv_flow_api.g_varchar2_table(398) := '74617465282D3435646567297D35257B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567297D3132257B2D7765626B69742D7472616E73666F726D3A726F7461';
wwv_flow_api.g_varchar2_table(399) := '7465282D343035646567293B7472616E73666F726D3A726F74617465282D343035646567297D313030257B2D7765626B69742D7472616E73666F726D3A726F74617465282D343035646567293B7472616E73666F726D3A726F74617465282D3430356465';
wwv_flow_api.g_varchar2_table(400) := '67297D7D402D7765626B69742D6B65796672616D6573207377616C322D616E696D6174652D6572726F722D782D6D61726B7B30257B6D617267696E2D746F703A312E363235656D3B2D7765626B69742D7472616E73666F726D3A7363616C65282E34293B';
wwv_flow_api.g_varchar2_table(401) := '7472616E73666F726D3A7363616C65282E34293B6F7061636974793A307D3530257B6D617267696E2D746F703A312E363235656D3B2D7765626B69742D7472616E73666F726D3A7363616C65282E34293B7472616E73666F726D3A7363616C65282E3429';
wwv_flow_api.g_varchar2_table(402) := '3B6F7061636974793A307D3830257B6D617267696E2D746F703A2D2E333735656D3B2D7765626B69742D7472616E73666F726D3A7363616C6528312E3135293B7472616E73666F726D3A7363616C6528312E3135297D313030257B6D617267696E2D746F';
wwv_flow_api.g_varchar2_table(403) := '703A303B2D7765626B69742D7472616E73666F726D3A7363616C652831293B7472616E73666F726D3A7363616C652831293B6F7061636974793A317D7D406B65796672616D6573207377616C322D616E696D6174652D6572726F722D782D6D61726B7B30';
wwv_flow_api.g_varchar2_table(404) := '257B6D617267696E2D746F703A312E363235656D3B2D7765626B69742D7472616E73666F726D3A7363616C65282E34293B7472616E73666F726D3A7363616C65282E34293B6F7061636974793A307D3530257B6D617267696E2D746F703A312E36323565';
wwv_flow_api.g_varchar2_table(405) := '6D3B2D7765626B69742D7472616E73666F726D3A7363616C65282E34293B7472616E73666F726D3A7363616C65282E34293B6F7061636974793A307D3830257B6D617267696E2D746F703A2D2E333735656D3B2D7765626B69742D7472616E73666F726D';
wwv_flow_api.g_varchar2_table(406) := '3A7363616C6528312E3135293B7472616E73666F726D3A7363616C6528312E3135297D313030257B6D617267696E2D746F703A303B2D7765626B69742D7472616E73666F726D3A7363616C652831293B7472616E73666F726D3A7363616C652831293B6F';
wwv_flow_api.g_varchar2_table(407) := '7061636974793A317D7D402D7765626B69742D6B65796672616D6573207377616C322D616E696D6174652D6572726F722D69636F6E7B30257B2D7765626B69742D7472616E73666F726D3A726F746174655828313030646567293B7472616E73666F726D';
wwv_flow_api.g_varchar2_table(408) := '3A726F746174655828313030646567293B6F7061636974793A307D313030257B2D7765626B69742D7472616E73666F726D3A726F74617465582830293B7472616E73666F726D3A726F74617465582830293B6F7061636974793A317D7D406B6579667261';
wwv_flow_api.g_varchar2_table(409) := '6D6573207377616C322D616E696D6174652D6572726F722D69636F6E7B30257B2D7765626B69742D7472616E73666F726D3A726F746174655828313030646567293B7472616E73666F726D3A726F746174655828313030646567293B6F7061636974793A';
wwv_flow_api.g_varchar2_table(410) := '307D313030257B2D7765626B69742D7472616E73666F726D3A726F74617465582830293B7472616E73666F726D3A726F74617465582830293B6F7061636974793A317D7D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F';
wwv_flow_api.g_varchar2_table(411) := '6E7461696E65727B6261636B67726F756E642D636F6C6F723A7472616E73706172656E747D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D73686F776E7B6261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(412) := '636F6C6F723A7472616E73706172656E747D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D746F707B746F703A303B72696768743A6175746F3B626F74746F6D3A6175746F3B6C6566';
wwv_flow_api.g_varchar2_table(413) := '743A3530253B2D7765626B69742D7472616E73666F726D3A7472616E736C61746558282D353025293B7472616E73666F726D3A7472616E736C61746558282D353025297D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F';
wwv_flow_api.g_varchar2_table(414) := '6E7461696E65722E7377616C322D746F702D656E642C626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D746F702D72696768747B746F703A303B72696768743A303B626F74746F6D3A61';
wwv_flow_api.g_varchar2_table(415) := '75746F3B6C6566743A6175746F7D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D746F702D6C6566742C626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D63';
wwv_flow_api.g_varchar2_table(416) := '6F6E7461696E65722E7377616C322D746F702D73746172747B746F703A303B72696768743A6175746F3B626F74746F6D3A6175746F3B6C6566743A307D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E6572';
wwv_flow_api.g_varchar2_table(417) := '2E7377616C322D63656E7465722D6C6566742C626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D63656E7465722D73746172747B746F703A3530253B72696768743A6175746F3B626F74';
wwv_flow_api.g_varchar2_table(418) := '746F6D3A6175746F3B6C6566743A303B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559282D353025293B7472616E73666F726D3A7472616E736C61746559282D353025297D626F64792E7377616C322D746F6173742D73686F776E';
wwv_flow_api.g_varchar2_table(419) := '202E7377616C322D636F6E7461696E65722E7377616C322D63656E7465727B746F703A3530253B72696768743A6175746F3B626F74746F6D3A6175746F3B6C6566743A3530253B2D7765626B69742D7472616E73666F726D3A7472616E736C617465282D';
wwv_flow_api.g_varchar2_table(420) := '3530252C2D353025293B7472616E73666F726D3A7472616E736C617465282D3530252C2D353025297D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D63656E7465722D656E642C626F';
wwv_flow_api.g_varchar2_table(421) := '64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D63656E7465722D72696768747B746F703A3530253B72696768743A303B626F74746F6D3A6175746F3B6C6566743A6175746F3B2D7765626B';
wwv_flow_api.g_varchar2_table(422) := '69742D7472616E73666F726D3A7472616E736C61746559282D353025293B7472616E73666F726D3A7472616E736C61746559282D353025297D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E737761';
wwv_flow_api.g_varchar2_table(423) := '6C322D626F74746F6D2D6C6566742C626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D73746172747B746F703A6175746F3B72696768743A6175746F3B626F74746F6D';
wwv_flow_api.g_varchar2_table(424) := '3A303B6C6566743A307D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D7B746F703A6175746F3B72696768743A6175746F3B626F74746F6D3A303B6C6566743A353025';
wwv_flow_api.g_varchar2_table(425) := '3B2D7765626B69742D7472616E73666F726D3A7472616E736C61746558282D353025293B7472616E73666F726D3A7472616E736C61746558282D353025297D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E';
wwv_flow_api.g_varchar2_table(426) := '65722E7377616C322D626F74746F6D2D656E642C626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D72696768747B746F703A6175746F3B72696768743A303B626F7474';
wwv_flow_api.g_varchar2_table(427) := '6F6D3A303B6C6566743A6175746F7D626F64792E7377616C322D746F6173742D636F6C756D6E202E7377616C322D746F6173747B666C65782D646972656374696F6E3A636F6C756D6E3B616C69676E2D6974656D733A737472657463687D626F64792E73';
wwv_flow_api.g_varchar2_table(428) := '77616C322D746F6173742D636F6C756D6E202E7377616C322D746F617374202E7377616C322D616374696F6E737B666C65783A313B616C69676E2D73656C663A737472657463683B6865696768743A322E32656D3B6D617267696E2D746F703A2E333132';
wwv_flow_api.g_varchar2_table(429) := '35656D7D626F64792E7377616C322D746F6173742D636F6C756D6E202E7377616C322D746F617374202E7377616C322D6C6F6164696E677B6A7573746966792D636F6E74656E743A63656E7465727D626F64792E7377616C322D746F6173742D636F6C75';
wwv_flow_api.g_varchar2_table(430) := '6D6E202E7377616C322D746F617374202E7377616C322D696E7075747B6865696768743A32656D3B6D617267696E3A2E33313235656D206175746F3B666F6E742D73697A653A31656D7D626F64792E7377616C322D746F6173742D636F6C756D6E202E73';
wwv_flow_api.g_varchar2_table(431) := '77616C322D746F617374202E7377616C322D76616C69646174696F6E2D6D6573736167657B666F6E742D73697A653A31656D7D2E7377616C322D706F7075702E7377616C322D746F6173747B666C65782D646972656374696F6E3A726F773B616C69676E';
wwv_flow_api.g_varchar2_table(432) := '2D6974656D733A63656E7465723B77696474683A6175746F3B70616464696E673A2E363235656D3B6F766572666C6F772D793A68696464656E3B626F782D736861646F773A302030202E363235656D20236439643964397D2E7377616C322D706F707570';
wwv_flow_api.g_varchar2_table(433) := '2E7377616C322D746F617374202E7377616C322D6865616465727B666C65782D646972656374696F6E3A726F777D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D7469746C657B666C65782D67726F773A313B6A757374';
wwv_flow_api.g_varchar2_table(434) := '6966792D636F6E74656E743A666C65782D73746172743B6D617267696E3A30202E36656D3B666F6E742D73697A653A31656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D666F6F7465727B6D617267696E3A2E3565';
wwv_flow_api.g_varchar2_table(435) := '6D203020303B70616464696E673A2E35656D203020303B666F6E742D73697A653A2E38656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D636C6F73657B706F736974696F6E3A696E697469616C3B77696474683A2E';
wwv_flow_api.g_varchar2_table(436) := '38656D3B6865696768743A2E38656D3B6C696E652D6865696768743A2E387D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D636F6E74656E747B6A7573746966792D636F6E74656E743A666C65782D73746172743B666F';
wwv_flow_api.g_varchar2_table(437) := '6E742D73697A653A31656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69636F6E7B77696474683A32656D3B6D696E2D77696474683A32656D3B6865696768743A32656D3B6D617267696E3A307D2E7377616C322D';
wwv_flow_api.g_varchar2_table(438) := '706F7075702E7377616C322D746F617374202E7377616C322D69636F6E3A3A6265666F72657B646973706C61793A666C65783B616C69676E2D6974656D733A63656E7465723B666F6E742D73697A653A32656D3B666F6E742D7765696768743A3730307D';
wwv_flow_api.g_varchar2_table(439) := '406D6564696120616C6C20616E6420282D6D732D686967682D636F6E74726173743A6E6F6E65292C282D6D732D686967682D636F6E74726173743A616374697665297B2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69';
wwv_flow_api.g_varchar2_table(440) := '636F6E3A3A6265666F72657B666F6E742D73697A653A2E3235656D7D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69636F6E2E7377616C322D73756363657373202E7377616C322D737563636573732D72696E677B';
wwv_flow_api.g_varchar2_table(441) := '77696474683A32656D3B6865696768743A32656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69636F6E2E7377616C322D6572726F72205B636C6173735E3D7377616C322D782D6D61726B2D6C696E655D7B746F70';
wwv_flow_api.g_varchar2_table(442) := '3A2E383735656D3B77696474683A312E333735656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69636F6E2E7377616C322D6572726F72205B636C6173735E3D7377616C322D782D6D61726B2D6C696E655D5B636C';
wwv_flow_api.g_varchar2_table(443) := '617373243D6C6566745D7B6C6566743A2E33313235656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69636F6E2E7377616C322D6572726F72205B636C6173735E3D7377616C322D782D6D61726B2D6C696E655D5B';
wwv_flow_api.g_varchar2_table(444) := '636C617373243D72696768745D7B72696768743A2E33313235656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D616374696F6E737B6865696768743A6175746F3B6D617267696E3A30202E33313235656D7D2E7377';
wwv_flow_api.g_varchar2_table(445) := '616C322D706F7075702E7377616C322D746F617374202E7377616C322D7374796C65647B6D617267696E3A30202E33313235656D3B70616464696E673A2E33313235656D202E363235656D3B666F6E742D73697A653A31656D7D2E7377616C322D706F70';
wwv_flow_api.g_varchar2_table(446) := '75702E7377616C322D746F617374202E7377616C322D7374796C65643A666F6375737B626F782D736861646F773A3020302030202E30363235656D20236666662C3020302030202E313235656D20726762612835302C3130302C3135302C2E34297D2E73';
wwv_flow_api.g_varchar2_table(447) := '77616C322D706F7075702E7377616C322D746F617374202E7377616C322D737563636573737B626F726465722D636F6C6F723A236135646338367D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373205B';
wwv_flow_api.g_varchar2_table(448) := '636C6173735E3D7377616C322D737563636573732D63697263756C61722D6C696E655D7B706F736974696F6E3A6162736F6C7574653B77696474683A32656D3B6865696768743A322E38313235656D3B2D7765626B69742D7472616E73666F726D3A726F';
wwv_flow_api.g_varchar2_table(449) := '74617465283435646567293B7472616E73666F726D3A726F74617465283435646567293B626F726465722D7261646975733A3530257D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373205B636C617373';
wwv_flow_api.g_varchar2_table(450) := '5E3D7377616C322D737563636573732D63697263756C61722D6C696E655D5B636C617373243D6C6566745D7B746F703A2D2E3235656D3B6C6566743A2D2E39333735656D3B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567';
wwv_flow_api.g_varchar2_table(451) := '293B7472616E73666F726D3A726F74617465282D3435646567293B2D7765626B69742D7472616E73666F726D2D6F726967696E3A32656D2032656D3B7472616E73666F726D2D6F726967696E3A32656D2032656D3B626F726465722D7261646975733A34';
wwv_flow_api.g_varchar2_table(452) := '656D203020302034656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D63697263756C61722D6C696E655D5B636C617373243D7269676874';
wwv_flow_api.g_varchar2_table(453) := '5D7B746F703A2D2E3235656D3B6C6566743A2E39333735656D3B2D7765626B69742D7472616E73666F726D2D6F726967696E3A302032656D3B7472616E73666F726D2D6F726967696E3A302032656D3B626F726465722D7261646975733A302034656D20';
wwv_flow_api.g_varchar2_table(454) := '34656D20307D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373202E7377616C322D737563636573732D72696E677B77696474683A32656D3B6865696768743A32656D7D2E7377616C322D706F7075702E';
wwv_flow_api.g_varchar2_table(455) := '7377616C322D746F617374202E7377616C322D73756363657373202E7377616C322D737563636573732D6669787B746F703A303B6C6566743A2E34333735656D3B77696474683A2E34333735656D3B6865696768743A322E36383735656D7D2E7377616C';
wwv_flow_api.g_varchar2_table(456) := '322D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D6C696E655D7B6865696768743A2E33313235656D7D2E7377616C322D706F7075702E7377616C322D746F61';
wwv_flow_api.g_varchar2_table(457) := '7374202E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D6C696E655D5B636C617373243D7469705D7B746F703A312E313235656D3B6C6566743A2E31383735656D3B77696474683A2E3735656D7D2E7377616C';
wwv_flow_api.g_varchar2_table(458) := '322D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D6C696E655D5B636C617373243D6C6F6E675D7B746F703A2E39333735656D3B72696768743A2E3138373565';
wwv_flow_api.g_varchar2_table(459) := '6D3B77696474683A312E333735656D7D2E7377616C322D706F7075702E7377616C322D746F6173742E7377616C322D73686F777B2D7765626B69742D616E696D6174696F6E3A7377616C322D746F6173742D73686F77202E35733B616E696D6174696F6E';
wwv_flow_api.g_varchar2_table(460) := '3A7377616C322D746F6173742D73686F77202E35737D2E7377616C322D706F7075702E7377616C322D746F6173742E7377616C322D686964657B2D7765626B69742D616E696D6174696F6E3A7377616C322D746F6173742D68696465202E327320666F72';
wwv_flow_api.g_varchar2_table(461) := '77617264733B616E696D6174696F6E3A7377616C322D746F6173742D68696465202E327320666F7277617264737D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D616E696D6174652D737563636573732D69636F6E202E';
wwv_flow_api.g_varchar2_table(462) := '7377616C322D737563636573732D6C696E652D7469707B2D7765626B69742D616E696D6174696F6E3A7377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D746970202E3735733B616E696D6174696F6E3A7377616C322D74';
wwv_flow_api.g_varchar2_table(463) := '6F6173742D616E696D6174652D737563636573732D6C696E652D746970202E3735737D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D616E696D6174652D737563636573732D69636F6E202E7377616C322D7375636365';
wwv_flow_api.g_varchar2_table(464) := '73732D6C696E652D6C6F6E677B2D7765626B69742D616E696D6174696F6E3A7377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D6C6F6E67202E3735733B616E696D6174696F6E3A7377616C322D746F6173742D616E696D';
wwv_flow_api.g_varchar2_table(465) := '6174652D737563636573732D6C696E652D6C6F6E67202E3735737D402D7765626B69742D6B65796672616D6573207377616C322D746F6173742D73686F777B30257B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559282D2E363235';
wwv_flow_api.g_varchar2_table(466) := '656D2920726F746174655A2832646567293B7472616E73666F726D3A7472616E736C61746559282D2E363235656D2920726F746174655A2832646567293B6F7061636974793A307D3333257B2D7765626B69742D7472616E73666F726D3A7472616E736C';
wwv_flow_api.g_varchar2_table(467) := '6174655928302920726F746174655A282D32646567293B7472616E73666F726D3A7472616E736C6174655928302920726F746174655A282D32646567293B6F7061636974793A2E357D3636257B2D7765626B69742D7472616E73666F726D3A7472616E73';
wwv_flow_api.g_varchar2_table(468) := '6C61746559282E33313235656D2920726F746174655A2832646567293B7472616E73666F726D3A7472616E736C61746559282E33313235656D2920726F746174655A2832646567293B6F7061636974793A2E377D313030257B2D7765626B69742D747261';
wwv_flow_api.g_varchar2_table(469) := '6E73666F726D3A7472616E736C6174655928302920726F746174655A2830293B7472616E73666F726D3A7472616E736C6174655928302920726F746174655A2830293B6F7061636974793A317D7D406B65796672616D6573207377616C322D746F617374';
wwv_flow_api.g_varchar2_table(470) := '2D73686F777B30257B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559282D2E363235656D2920726F746174655A2832646567293B7472616E73666F726D3A7472616E736C61746559282D2E363235656D2920726F746174655A2832';
wwv_flow_api.g_varchar2_table(471) := '646567293B6F7061636974793A307D3333257B2D7765626B69742D7472616E73666F726D3A7472616E736C6174655928302920726F746174655A282D32646567293B7472616E73666F726D3A7472616E736C6174655928302920726F746174655A282D32';
wwv_flow_api.g_varchar2_table(472) := '646567293B6F7061636974793A2E357D3636257B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559282E33313235656D2920726F746174655A2832646567293B7472616E73666F726D3A7472616E736C61746559282E33313235656D';
wwv_flow_api.g_varchar2_table(473) := '2920726F746174655A2832646567293B6F7061636974793A2E377D313030257B2D7765626B69742D7472616E73666F726D3A7472616E736C6174655928302920726F746174655A2830293B7472616E73666F726D3A7472616E736C617465592830292072';
wwv_flow_api.g_varchar2_table(474) := '6F746174655A2830293B6F7061636974793A317D7D402D7765626B69742D6B65796672616D6573207377616C322D746F6173742D686964657B30257B6F7061636974793A317D3333257B6F7061636974793A2E357D313030257B2D7765626B69742D7472';
wwv_flow_api.g_varchar2_table(475) := '616E73666F726D3A726F746174655A2831646567293B7472616E73666F726D3A726F746174655A2831646567293B6F7061636974793A307D7D406B65796672616D6573207377616C322D746F6173742D686964657B30257B6F7061636974793A317D3333';
wwv_flow_api.g_varchar2_table(476) := '257B6F7061636974793A2E357D313030257B2D7765626B69742D7472616E73666F726D3A726F746174655A2831646567293B7472616E73666F726D3A726F746174655A2831646567293B6F7061636974793A307D7D402D7765626B69742D6B6579667261';
wwv_flow_api.g_varchar2_table(477) := '6D6573207377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D7469707B30257B746F703A2E35363235656D3B6C6566743A2E30363235656D3B77696474683A307D3534257B746F703A2E313235656D3B6C6566743A2E3132';
wwv_flow_api.g_varchar2_table(478) := '35656D3B77696474683A307D3730257B746F703A2E363235656D3B6C6566743A2D2E3235656D3B77696474683A312E363235656D7D3834257B746F703A312E30363235656D3B6C6566743A2E3735656D3B77696474683A2E35656D7D313030257B746F70';
wwv_flow_api.g_varchar2_table(479) := '3A312E313235656D3B6C6566743A2E31383735656D3B77696474683A2E3735656D7D7D406B65796672616D6573207377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D7469707B30257B746F703A2E35363235656D3B6C65';
wwv_flow_api.g_varchar2_table(480) := '66743A2E30363235656D3B77696474683A307D3534257B746F703A2E313235656D3B6C6566743A2E313235656D3B77696474683A307D3730257B746F703A2E363235656D3B6C6566743A2D2E3235656D3B77696474683A312E363235656D7D3834257B74';
wwv_flow_api.g_varchar2_table(481) := '6F703A312E30363235656D3B6C6566743A2E3735656D3B77696474683A2E35656D7D313030257B746F703A312E313235656D3B6C6566743A2E31383735656D3B77696474683A2E3735656D7D7D402D7765626B69742D6B65796672616D6573207377616C';
wwv_flow_api.g_varchar2_table(482) := '322D746F6173742D616E696D6174652D737563636573732D6C696E652D6C6F6E677B30257B746F703A312E363235656D3B72696768743A312E333735656D3B77696474683A307D3635257B746F703A312E3235656D3B72696768743A2E39333735656D3B';
wwv_flow_api.g_varchar2_table(483) := '77696474683A307D3834257B746F703A2E39333735656D3B72696768743A303B77696474683A312E313235656D7D313030257B746F703A2E39333735656D3B72696768743A2E31383735656D3B77696474683A312E333735656D7D7D406B65796672616D';
wwv_flow_api.g_varchar2_table(484) := '6573207377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D6C6F6E677B30257B746F703A312E363235656D3B72696768743A312E333735656D3B77696474683A307D3635257B746F703A312E3235656D3B72696768743A2E';
wwv_flow_api.g_varchar2_table(485) := '39333735656D3B77696474683A307D3834257B746F703A2E39333735656D3B72696768743A303B77696474683A312E313235656D7D313030257B746F703A2E39333735656D3B72696768743A2E31383735656D3B77696474683A312E333735656D7D7D62';
wwv_flow_api.g_varchar2_table(486) := '6F64792E7377616C322D73686F776E3A6E6F74282E7377616C322D6E6F2D6261636B64726F70293A6E6F74282E7377616C322D746F6173742D73686F776E297B6F766572666C6F773A68696464656E7D626F64792E7377616C322D6865696768742D6175';
wwv_flow_api.g_varchar2_table(487) := '746F7B6865696768743A6175746F21696D706F7274616E747D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E7B746F703A6175746F3B72696768743A6175746F3B626F74746F6D3A6175746F3B6C6566743A6175';
wwv_flow_api.g_varchar2_table(488) := '746F3B6D61782D77696474683A63616C632831303025202D202E363235656D202A2032293B6261636B67726F756E642D636F6C6F723A7472616E73706172656E747D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F77';
wwv_flow_api.g_varchar2_table(489) := '6E3E2E7377616C322D6D6F64616C7B626F782D736861646F773A3020302031307078207267626128302C302C302C2E34297D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D746F707B746F703A';
wwv_flow_api.g_varchar2_table(490) := '303B6C6566743A3530253B2D7765626B69742D7472616E73666F726D3A7472616E736C61746558282D353025293B7472616E73666F726D3A7472616E736C61746558282D353025297D626F64792E7377616C322D6E6F2D6261636B64726F70202E737761';
wwv_flow_api.g_varchar2_table(491) := '6C322D73686F776E2E7377616C322D746F702D6C6566742C626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D746F702D73746172747B746F703A303B6C6566743A307D626F64792E7377616C322D';
wwv_flow_api.g_varchar2_table(492) := '6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D746F702D656E642C626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D746F702D72696768747B746F703A303B726967';
wwv_flow_api.g_varchar2_table(493) := '68743A307D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D63656E7465727B746F703A3530253B6C6566743A3530253B2D7765626B69742D7472616E73666F726D3A7472616E736C617465282D';
wwv_flow_api.g_varchar2_table(494) := '3530252C2D353025293B7472616E73666F726D3A7472616E736C617465282D3530252C2D353025297D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D63656E7465722D6C6566742C626F64792E';
wwv_flow_api.g_varchar2_table(495) := '7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D63656E7465722D73746172747B746F703A3530253B6C6566743A303B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559282D353025293B';
wwv_flow_api.g_varchar2_table(496) := '7472616E73666F726D3A7472616E736C61746559282D353025297D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D63656E7465722D656E642C626F64792E7377616C322D6E6F2D6261636B6472';
wwv_flow_api.g_varchar2_table(497) := '6F70202E7377616C322D73686F776E2E7377616C322D63656E7465722D72696768747B746F703A3530253B72696768743A303B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559282D353025293B7472616E73666F726D3A7472616E';
wwv_flow_api.g_varchar2_table(498) := '736C61746559282D353025297D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D626F74746F6D7B626F74746F6D3A303B6C6566743A3530253B2D7765626B69742D7472616E73666F726D3A7472';
wwv_flow_api.g_varchar2_table(499) := '616E736C61746558282D353025293B7472616E73666F726D3A7472616E736C61746558282D353025297D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D626F74746F6D2D6C6566742C626F6479';
wwv_flow_api.g_varchar2_table(500) := '2E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D626F74746F6D2D73746172747B626F74746F6D3A303B6C6566743A307D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F';
wwv_flow_api.g_varchar2_table(501) := '776E2E7377616C322D626F74746F6D2D656E642C626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D626F74746F6D2D72696768747B72696768743A303B626F74746F6D3A307D2E7377616C322D63';
wwv_flow_api.g_varchar2_table(502) := '6F6E7461696E65727B646973706C61793A666C65783B706F736974696F6E3A66697865643B7A2D696E6465783A313036303B746F703A303B72696768743A303B626F74746F6D3A303B6C6566743A303B666C65782D646972656374696F6E3A726F773B61';
wwv_flow_api.g_varchar2_table(503) := '6C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465723B70616464696E673A2E363235656D3B6F766572666C6F772D783A68696464656E3B6261636B67726F756E642D636F6C6F723A7472616E7370617265';
wwv_flow_api.g_varchar2_table(504) := '6E743B2D7765626B69742D6F766572666C6F772D7363726F6C6C696E673A746F7563687D2E7377616C322D636F6E7461696E65722E7377616C322D746F707B616C69676E2D6974656D733A666C65782D73746172747D2E7377616C322D636F6E7461696E';
wwv_flow_api.g_varchar2_table(505) := '65722E7377616C322D746F702D6C6566742C2E7377616C322D636F6E7461696E65722E7377616C322D746F702D73746172747B616C69676E2D6974656D733A666C65782D73746172743B6A7573746966792D636F6E74656E743A666C65782D7374617274';
wwv_flow_api.g_varchar2_table(506) := '7D2E7377616C322D636F6E7461696E65722E7377616C322D746F702D656E642C2E7377616C322D636F6E7461696E65722E7377616C322D746F702D72696768747B616C69676E2D6974656D733A666C65782D73746172743B6A7573746966792D636F6E74';
wwv_flow_api.g_varchar2_table(507) := '656E743A666C65782D656E647D2E7377616C322D636F6E7461696E65722E7377616C322D63656E7465727B616C69676E2D6974656D733A63656E7465727D2E7377616C322D636F6E7461696E65722E7377616C322D63656E7465722D6C6566742C2E7377';
wwv_flow_api.g_varchar2_table(508) := '616C322D636F6E7461696E65722E7377616C322D63656E7465722D73746172747B616C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A666C65782D73746172747D2E7377616C322D636F6E7461696E65722E7377616C';
wwv_flow_api.g_varchar2_table(509) := '322D63656E7465722D656E642C2E7377616C322D636F6E7461696E65722E7377616C322D63656E7465722D72696768747B616C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A666C65782D656E647D2E7377616C322D';
wwv_flow_api.g_varchar2_table(510) := '636F6E7461696E65722E7377616C322D626F74746F6D7B616C69676E2D6974656D733A666C65782D656E647D2E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D6C6566742C2E7377616C322D636F6E7461696E65722E7377616C';
wwv_flow_api.g_varchar2_table(511) := '322D626F74746F6D2D73746172747B616C69676E2D6974656D733A666C65782D656E643B6A7573746966792D636F6E74656E743A666C65782D73746172747D2E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D656E642C2E7377';
wwv_flow_api.g_varchar2_table(512) := '616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D72696768747B616C69676E2D6974656D733A666C65782D656E643B6A7573746966792D636F6E74656E743A666C65782D656E647D2E7377616C322D636F6E7461696E65722E7377616C';
wwv_flow_api.g_varchar2_table(513) := '322D626F74746F6D2D656E643E3A66697273742D6368696C642C2E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D6C6566743E3A66697273742D6368696C642C2E7377616C322D636F6E7461696E65722E7377616C322D626F74';
wwv_flow_api.g_varchar2_table(514) := '746F6D2D72696768743E3A66697273742D6368696C642C2E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D73746172743E3A66697273742D6368696C642C2E7377616C322D636F6E7461696E65722E7377616C322D626F74746F';
wwv_flow_api.g_varchar2_table(515) := '6D3E3A66697273742D6368696C647B6D617267696E2D746F703A6175746F7D2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D66756C6C73637265656E3E2E7377616C322D6D6F64616C7B646973706C61793A666C657821696D706F';
wwv_flow_api.g_varchar2_table(516) := '7274616E743B666C65783A313B616C69676E2D73656C663A737472657463683B6A7573746966792D636F6E74656E743A63656E7465727D2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D726F773E2E7377616C322D6D6F64616C7B';
wwv_flow_api.g_varchar2_table(517) := '646973706C61793A666C657821696D706F7274616E743B666C65783A313B616C69676E2D636F6E74656E743A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465727D2E7377616C322D636F6E7461696E65722E7377616C322D67726F';
wwv_flow_api.g_varchar2_table(518) := '772D636F6C756D6E7B666C65783A313B666C65782D646972656374696F6E3A636F6C756D6E7D2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D626F74746F6D2C2E7377616C322D636F6E7461696E';
wwv_flow_api.g_varchar2_table(519) := '65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D63656E7465722C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D746F707B616C69676E2D6974656D733A63656E7465727D2E73';
wwv_flow_api.g_varchar2_table(520) := '77616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D626F74746F6D2D6C6566742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D626F74746F6D2D73';
wwv_flow_api.g_varchar2_table(521) := '746172742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D63656E7465722D6C6566742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D63';
wwv_flow_api.g_varchar2_table(522) := '656E7465722D73746172742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D746F702D6C6566742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E737761';
wwv_flow_api.g_varchar2_table(523) := '6C322D746F702D73746172747B616C69676E2D6974656D733A666C65782D73746172747D2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D626F74746F6D2D656E642C2E7377616C322D636F6E7461';
wwv_flow_api.g_varchar2_table(524) := '696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D626F74746F6D2D72696768742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D63656E7465722D656E642C2E7377616C32';
wwv_flow_api.g_varchar2_table(525) := '2D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D63656E7465722D72696768742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D746F702D656E642C2E7377';
wwv_flow_api.g_varchar2_table(526) := '616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D746F702D72696768747B616C69676E2D6974656D733A666C65782D656E647D2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C';
wwv_flow_api.g_varchar2_table(527) := '756D6E3E2E7377616C322D6D6F64616C7B646973706C61793A666C657821696D706F7274616E743B666C65783A313B616C69676E2D636F6E74656E743A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465727D2E7377616C322D636F';
wwv_flow_api.g_varchar2_table(528) := '6E7461696E65723A6E6F74282E7377616C322D746F70293A6E6F74282E7377616C322D746F702D7374617274293A6E6F74282E7377616C322D746F702D656E64293A6E6F74282E7377616C322D746F702D6C656674293A6E6F74282E7377616C322D746F';
wwv_flow_api.g_varchar2_table(529) := '702D7269676874293A6E6F74282E7377616C322D63656E7465722D7374617274293A6E6F74282E7377616C322D63656E7465722D656E64293A6E6F74282E7377616C322D63656E7465722D6C656674293A6E6F74282E7377616C322D63656E7465722D72';
wwv_flow_api.g_varchar2_table(530) := '69676874293A6E6F74282E7377616C322D626F74746F6D293A6E6F74282E7377616C322D626F74746F6D2D7374617274293A6E6F74282E7377616C322D626F74746F6D2D656E64293A6E6F74282E7377616C322D626F74746F6D2D6C656674293A6E6F74';
wwv_flow_api.g_varchar2_table(531) := '282E7377616C322D626F74746F6D2D7269676874293A6E6F74282E7377616C322D67726F772D66756C6C73637265656E293E2E7377616C322D6D6F64616C7B6D617267696E3A6175746F7D406D6564696120616C6C20616E6420282D6D732D686967682D';
wwv_flow_api.g_varchar2_table(532) := '636F6E74726173743A6E6F6E65292C282D6D732D686967682D636F6E74726173743A616374697665297B2E7377616C322D636F6E7461696E6572202E7377616C322D6D6F64616C7B6D617267696E3A3021696D706F7274616E747D7D2E7377616C322D63';
wwv_flow_api.g_varchar2_table(533) := '6F6E7461696E65722E7377616C322D666164657B7472616E736974696F6E3A6261636B67726F756E642D636F6C6F72202E31737D2E7377616C322D636F6E7461696E65722E7377616C322D73686F776E7B6261636B67726F756E642D636F6C6F723A7267';
wwv_flow_api.g_varchar2_table(534) := '626128302C302C302C2E34297D2E7377616C322D706F7075707B646973706C61793A6E6F6E653B706F736974696F6E3A72656C61746976653B626F782D73697A696E673A626F726465722D626F783B666C65782D646972656374696F6E3A636F6C756D6E';
wwv_flow_api.g_varchar2_table(535) := '3B6A7573746966792D636F6E74656E743A63656E7465723B77696474683A3332656D3B6D61782D77696474683A313030253B70616464696E673A312E3235656D3B626F726465723A6E6F6E653B626F726465722D7261646975733A2E33313235656D3B62';
wwv_flow_api.g_varchar2_table(536) := '61636B67726F756E643A236666663B666F6E742D66616D696C793A696E68657269743B666F6E742D73697A653A3172656D7D2E7377616C322D706F7075703A666F6375737B6F75746C696E653A307D2E7377616C322D706F7075702E7377616C322D6C6F';
wwv_flow_api.g_varchar2_table(537) := '6164696E677B6F766572666C6F772D793A68696464656E7D2E7377616C322D6865616465727B646973706C61793A666C65783B666C65782D646972656374696F6E3A636F6C756D6E3B616C69676E2D6974656D733A63656E7465727D2E7377616C322D74';
wwv_flow_api.g_varchar2_table(538) := '69746C657B706F736974696F6E3A72656C61746976653B6D61782D77696474683A313030253B6D617267696E3A302030202E34656D3B70616464696E673A303B636F6C6F723A233539353935393B666F6E742D73697A653A312E383735656D3B666F6E74';
wwv_flow_api.g_varchar2_table(539) := '2D7765696768743A3630303B746578742D616C69676E3A63656E7465723B746578742D7472616E73666F726D3A6E6F6E653B776F72642D777261703A627265616B2D776F72647D2E7377616C322D616374696F6E737B7A2D696E6465783A313B666C6578';
wwv_flow_api.g_varchar2_table(540) := '2D777261703A777261703B616C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465723B6D617267696E3A312E3235656D206175746F20307D2E7377616C322D616374696F6E733A6E6F74282E7377616C322D';
wwv_flow_api.g_varchar2_table(541) := '6C6F6164696E6729202E7377616C322D7374796C65645B64697361626C65645D7B6F7061636974793A2E347D2E7377616C322D616374696F6E733A6E6F74282E7377616C322D6C6F6164696E6729202E7377616C322D7374796C65643A686F7665727B62';
wwv_flow_api.g_varchar2_table(542) := '61636B67726F756E642D696D6167653A6C696E6561722D6772616469656E74287267626128302C302C302C2E31292C7267626128302C302C302C2E3129297D2E7377616C322D616374696F6E733A6E6F74282E7377616C322D6C6F6164696E6729202E73';
wwv_flow_api.g_varchar2_table(543) := '77616C322D7374796C65643A6163746976657B6261636B67726F756E642D696D6167653A6C696E6561722D6772616469656E74287267626128302C302C302C2E32292C7267626128302C302C302C2E3229297D2E7377616C322D616374696F6E732E7377';
wwv_flow_api.g_varchar2_table(544) := '616C322D6C6F6164696E67202E7377616C322D7374796C65642E7377616C322D636F6E6669726D7B626F782D73697A696E673A626F726465722D626F783B77696474683A322E35656D3B6865696768743A322E35656D3B6D617267696E3A2E3436383735';
wwv_flow_api.g_varchar2_table(545) := '656D3B70616464696E673A303B2D7765626B69742D616E696D6174696F6E3A7377616C322D726F746174652D6C6F6164696E6720312E3573206C696E65617220307320696E66696E697465206E6F726D616C3B616E696D6174696F6E3A7377616C322D72';
wwv_flow_api.g_varchar2_table(546) := '6F746174652D6C6F6164696E6720312E3573206C696E65617220307320696E66696E697465206E6F726D616C3B626F726465723A2E3235656D20736F6C6964207472616E73706172656E743B626F726465722D7261646975733A313030253B626F726465';
wwv_flow_api.g_varchar2_table(547) := '722D636F6C6F723A7472616E73706172656E743B6261636B67726F756E642D636F6C6F723A7472616E73706172656E7421696D706F7274616E743B636F6C6F723A7472616E73706172656E743B637572736F723A64656661756C743B2D7765626B69742D';
wwv_flow_api.g_varchar2_table(548) := '757365722D73656C6563743A6E6F6E653B2D6D6F7A2D757365722D73656C6563743A6E6F6E653B2D6D732D757365722D73656C6563743A6E6F6E653B757365722D73656C6563743A6E6F6E657D2E7377616C322D616374696F6E732E7377616C322D6C6F';
wwv_flow_api.g_varchar2_table(549) := '6164696E67202E7377616C322D7374796C65642E7377616C322D63616E63656C7B6D617267696E2D72696768743A333070783B6D617267696E2D6C6566743A333070787D2E7377616C322D616374696F6E732E7377616C322D6C6F6164696E67203A6E6F';
wwv_flow_api.g_varchar2_table(550) := '74282E7377616C322D7374796C6564292E7377616C322D636F6E6669726D3A3A61667465727B636F6E74656E743A5C225C223B646973706C61793A696E6C696E652D626C6F636B3B77696474683A313570783B6865696768743A313570783B6D61726769';
wwv_flow_api.g_varchar2_table(551) := '6E2D6C6566743A3570783B2D7765626B69742D616E696D6174696F6E3A7377616C322D726F746174652D6C6F6164696E6720312E3573206C696E65617220307320696E66696E697465206E6F726D616C3B616E696D6174696F6E3A7377616C322D726F74';
wwv_flow_api.g_varchar2_table(552) := '6174652D6C6F6164696E6720312E3573206C696E65617220307320696E66696E697465206E6F726D616C3B626F726465723A33707820736F6C696420233939393B626F726465722D7261646975733A3530253B626F726465722D72696768742D636F6C6F';
wwv_flow_api.g_varchar2_table(553) := '723A7472616E73706172656E743B626F782D736861646F773A317078203170782031707820236666667D2E7377616C322D7374796C65647B6D617267696E3A2E33313235656D3B70616464696E673A2E363235656D2032656D3B626F782D736861646F77';
wwv_flow_api.g_varchar2_table(554) := '3A6E6F6E653B666F6E742D7765696768743A3530307D2E7377616C322D7374796C65643A6E6F74285B64697361626C65645D297B637572736F723A706F696E7465727D2E7377616C322D7374796C65642E7377616C322D636F6E6669726D7B626F726465';
wwv_flow_api.g_varchar2_table(555) := '723A303B626F726465722D7261646975733A2E3235656D3B6261636B67726F756E643A696E697469616C3B6261636B67726F756E642D636F6C6F723A233330383564363B636F6C6F723A236666663B666F6E742D73697A653A312E30363235656D7D2E73';
wwv_flow_api.g_varchar2_table(556) := '77616C322D7374796C65642E7377616C322D63616E63656C7B626F726465723A303B626F726465722D7261646975733A2E3235656D3B6261636B67726F756E643A696E697469616C3B6261636B67726F756E642D636F6C6F723A236161613B636F6C6F72';
wwv_flow_api.g_varchar2_table(557) := '3A236666663B666F6E742D73697A653A312E30363235656D7D2E7377616C322D7374796C65643A666F6375737B6F75746C696E653A303B626F782D736861646F773A30203020302032707820236666662C30203020302034707820726762612835302C31';
wwv_flow_api.g_varchar2_table(558) := '30302C3135302C2E34297D2E7377616C322D7374796C65643A3A2D6D6F7A2D666F6375732D696E6E65727B626F726465723A307D2E7377616C322D666F6F7465727B6A7573746966792D636F6E74656E743A63656E7465723B6D617267696E3A312E3235';
wwv_flow_api.g_varchar2_table(559) := '656D203020303B70616464696E673A31656D203020303B626F726465722D746F703A31707820736F6C696420236565653B636F6C6F723A233534353435343B666F6E742D73697A653A31656D7D2E7377616C322D696D6167657B6D61782D77696474683A';
wwv_flow_api.g_varchar2_table(560) := '313030253B6D617267696E3A312E3235656D206175746F7D2E7377616C322D636C6F73657B706F736974696F6E3A6162736F6C7574653B746F703A303B72696768743A303B6A7573746966792D636F6E74656E743A63656E7465723B77696474683A312E';
wwv_flow_api.g_varchar2_table(561) := '32656D3B6865696768743A312E32656D3B70616464696E673A303B6F766572666C6F773A68696464656E3B7472616E736974696F6E3A636F6C6F72202E317320656173652D6F75743B626F726465723A6E6F6E653B626F726465722D7261646975733A30';
wwv_flow_api.g_varchar2_table(562) := '3B6F75746C696E653A696E697469616C3B6261636B67726F756E643A3020303B636F6C6F723A236363633B666F6E742D66616D696C793A73657269663B666F6E742D73697A653A322E35656D3B6C696E652D6865696768743A312E323B637572736F723A';
wwv_flow_api.g_varchar2_table(563) := '706F696E7465727D2E7377616C322D636C6F73653A686F7665727B2D7765626B69742D7472616E73666F726D3A6E6F6E653B7472616E73666F726D3A6E6F6E653B636F6C6F723A236632373437347D2E7377616C322D636F6E74656E747B7A2D696E6465';
wwv_flow_api.g_varchar2_table(564) := '783A313B6A7573746966792D636F6E74656E743A63656E7465723B6D617267696E3A303B70616464696E673A303B636F6C6F723A233534353435343B666F6E742D73697A653A312E313235656D3B666F6E742D7765696768743A3330303B6C696E652D68';
wwv_flow_api.g_varchar2_table(565) := '65696768743A6E6F726D616C3B776F72642D777261703A627265616B2D776F72647D237377616C322D636F6E74656E747B746578742D616C69676E3A63656E7465727D2E7377616C322D636865636B626F782C2E7377616C322D66696C652C2E7377616C';
wwv_flow_api.g_varchar2_table(566) := '322D696E7075742C2E7377616C322D726164696F2C2E7377616C322D73656C6563742C2E7377616C322D74657874617265617B6D617267696E3A31656D206175746F7D2E7377616C322D66696C652C2E7377616C322D696E7075742C2E7377616C322D74';
wwv_flow_api.g_varchar2_table(567) := '657874617265617B626F782D73697A696E673A626F726465722D626F783B77696474683A313030253B7472616E736974696F6E3A626F726465722D636F6C6F72202E33732C626F782D736861646F77202E33733B626F726465723A31707820736F6C6964';
wwv_flow_api.g_varchar2_table(568) := '20236439643964393B626F726465722D7261646975733A2E31383735656D3B6261636B67726F756E643A696E68657269743B626F782D736861646F773A696E73657420302031707820317078207267626128302C302C302C2E3036293B636F6C6F723A69';
wwv_flow_api.g_varchar2_table(569) := '6E68657269743B666F6E742D73697A653A312E313235656D7D2E7377616C322D66696C652E7377616C322D696E7075746572726F722C2E7377616C322D696E7075742E7377616C322D696E7075746572726F722C2E7377616C322D74657874617265612E';
wwv_flow_api.g_varchar2_table(570) := '7377616C322D696E7075746572726F727B626F726465722D636F6C6F723A2366323734373421696D706F7274616E743B626F782D736861646F773A30203020327078202366323734373421696D706F7274616E747D2E7377616C322D66696C653A666F63';
wwv_flow_api.g_varchar2_table(571) := '75732C2E7377616C322D696E7075743A666F6375732C2E7377616C322D74657874617265613A666F6375737B626F726465723A31707820736F6C696420236234646265643B6F75746C696E653A303B626F782D736861646F773A30203020337078202363';
wwv_flow_api.g_varchar2_table(572) := '34653666357D2E7377616C322D66696C653A3A2D7765626B69742D696E7075742D706C616365686F6C6465722C2E7377616C322D696E7075743A3A2D7765626B69742D696E7075742D706C616365686F6C6465722C2E7377616C322D7465787461726561';
wwv_flow_api.g_varchar2_table(573) := '3A3A2D7765626B69742D696E7075742D706C616365686F6C6465727B636F6C6F723A236363637D2E7377616C322D66696C653A3A2D6D6F7A2D706C616365686F6C6465722C2E7377616C322D696E7075743A3A2D6D6F7A2D706C616365686F6C6465722C';
wwv_flow_api.g_varchar2_table(574) := '2E7377616C322D74657874617265613A3A2D6D6F7A2D706C616365686F6C6465727B636F6C6F723A236363637D2E7377616C322D66696C653A2D6D732D696E7075742D706C616365686F6C6465722C2E7377616C322D696E7075743A2D6D732D696E7075';
wwv_flow_api.g_varchar2_table(575) := '742D706C616365686F6C6465722C2E7377616C322D74657874617265613A2D6D732D696E7075742D706C616365686F6C6465727B636F6C6F723A236363637D2E7377616C322D66696C653A3A2D6D732D696E7075742D706C616365686F6C6465722C2E73';
wwv_flow_api.g_varchar2_table(576) := '77616C322D696E7075743A3A2D6D732D696E7075742D706C616365686F6C6465722C2E7377616C322D74657874617265613A3A2D6D732D696E7075742D706C616365686F6C6465727B636F6C6F723A236363637D2E7377616C322D66696C653A3A706C61';
wwv_flow_api.g_varchar2_table(577) := '6365686F6C6465722C2E7377616C322D696E7075743A3A706C616365686F6C6465722C2E7377616C322D74657874617265613A3A706C616365686F6C6465727B636F6C6F723A236363637D2E7377616C322D72616E67657B6D617267696E3A31656D2061';
wwv_flow_api.g_varchar2_table(578) := '75746F3B6261636B67726F756E643A696E68657269747D2E7377616C322D72616E676520696E7075747B77696474683A3830257D2E7377616C322D72616E6765206F75747075747B77696474683A3230253B636F6C6F723A696E68657269743B666F6E74';
wwv_flow_api.g_varchar2_table(579) := '2D7765696768743A3630303B746578742D616C69676E3A63656E7465727D2E7377616C322D72616E676520696E7075742C2E7377616C322D72616E6765206F75747075747B6865696768743A322E363235656D3B70616464696E673A303B666F6E742D73';
wwv_flow_api.g_varchar2_table(580) := '697A653A312E313235656D3B6C696E652D6865696768743A322E363235656D7D2E7377616C322D696E7075747B6865696768743A322E363235656D3B70616464696E673A30202E3735656D7D2E7377616C322D696E7075745B747970653D6E756D626572';
wwv_flow_api.g_varchar2_table(581) := '5D7B6D61782D77696474683A3130656D7D2E7377616C322D66696C657B6261636B67726F756E643A696E68657269743B666F6E742D73697A653A312E313235656D7D2E7377616C322D74657874617265617B6865696768743A362E3735656D3B70616464';
wwv_flow_api.g_varchar2_table(582) := '696E673A2E3735656D7D2E7377616C322D73656C6563747B6D696E2D77696474683A3530253B6D61782D77696474683A313030253B70616464696E673A2E333735656D202E363235656D3B6261636B67726F756E643A696E68657269743B636F6C6F723A';
wwv_flow_api.g_varchar2_table(583) := '696E68657269743B666F6E742D73697A653A312E313235656D7D2E7377616C322D636865636B626F782C2E7377616C322D726164696F7B616C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465723B626163';
wwv_flow_api.g_varchar2_table(584) := '6B67726F756E643A696E68657269743B636F6C6F723A696E68657269747D2E7377616C322D636865636B626F78206C6162656C2C2E7377616C322D726164696F206C6162656C7B6D617267696E3A30202E36656D3B666F6E742D73697A653A312E313235';
wwv_flow_api.g_varchar2_table(585) := '656D7D2E7377616C322D636865636B626F7820696E7075742C2E7377616C322D726164696F20696E7075747B6D617267696E3A30202E34656D7D2E7377616C322D76616C69646174696F6E2D6D6573736167657B646973706C61793A6E6F6E653B616C69';
wwv_flow_api.g_varchar2_table(586) := '676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465723B70616464696E673A2E363235656D3B6F766572666C6F773A68696464656E3B6261636B67726F756E643A236630663066303B636F6C6F723A233636363B';
wwv_flow_api.g_varchar2_table(587) := '666F6E742D73697A653A31656D3B666F6E742D7765696768743A3330307D2E7377616C322D76616C69646174696F6E2D6D6573736167653A3A6265666F72657B636F6E74656E743A5C22215C223B646973706C61793A696E6C696E652D626C6F636B3B77';
wwv_flow_api.g_varchar2_table(588) := '696474683A312E35656D3B6D696E2D77696474683A312E35656D3B6865696768743A312E35656D3B6D617267696E3A30202E363235656D3B7A6F6F6D3A6E6F726D616C3B626F726465722D7261646975733A3530253B6261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(589) := '6F723A236632373437343B636F6C6F723A236666663B666F6E742D7765696768743A3630303B6C696E652D6865696768743A312E35656D3B746578742D616C69676E3A63656E7465727D40737570706F72747320282D6D732D616363656C657261746F72';
wwv_flow_api.g_varchar2_table(590) := '3A74727565297B2E7377616C322D72616E676520696E7075747B77696474683A3130302521696D706F7274616E747D2E7377616C322D72616E6765206F75747075747B646973706C61793A6E6F6E657D7D406D6564696120616C6C20616E6420282D6D73';
wwv_flow_api.g_varchar2_table(591) := '2D686967682D636F6E74726173743A6E6F6E65292C282D6D732D686967682D636F6E74726173743A616374697665297B2E7377616C322D72616E676520696E7075747B77696474683A3130302521696D706F7274616E747D2E7377616C322D72616E6765';
wwv_flow_api.g_varchar2_table(592) := '206F75747075747B646973706C61793A6E6F6E657D7D402D6D6F7A2D646F63756D656E742075726C2D70726566697828297B2E7377616C322D636C6F73653A666F6375737B6F75746C696E653A32707820736F6C696420726762612835302C3130302C31';
wwv_flow_api.g_varchar2_table(593) := '35302C2E34297D7D2E7377616C322D69636F6E7B706F736974696F6E3A72656C61746976653B626F782D73697A696E673A636F6E74656E742D626F783B6A7573746966792D636F6E74656E743A63656E7465723B77696474683A35656D3B686569676874';
wwv_flow_api.g_varchar2_table(594) := '3A35656D3B6D617267696E3A312E3235656D206175746F20312E383735656D3B7A6F6F6D3A6E6F726D616C3B626F726465723A2E3235656D20736F6C6964207472616E73706172656E743B626F726465722D7261646975733A3530253B6C696E652D6865';
wwv_flow_api.g_varchar2_table(595) := '696768743A35656D3B637572736F723A64656661756C743B2D7765626B69742D757365722D73656C6563743A6E6F6E653B2D6D6F7A2D757365722D73656C6563743A6E6F6E653B2D6D732D757365722D73656C6563743A6E6F6E653B757365722D73656C';
wwv_flow_api.g_varchar2_table(596) := '6563743A6E6F6E657D2E7377616C322D69636F6E3A3A6265666F72657B646973706C61793A666C65783B616C69676E2D6974656D733A63656E7465723B6865696768743A3932253B666F6E742D73697A653A332E3735656D7D2E7377616C322D69636F6E';
wwv_flow_api.g_varchar2_table(597) := '2E7377616C322D6572726F727B626F726465722D636F6C6F723A236632373437347D2E7377616C322D69636F6E2E7377616C322D6572726F72202E7377616C322D782D6D61726B7B706F736974696F6E3A72656C61746976653B666C65782D67726F773A';
wwv_flow_api.g_varchar2_table(598) := '317D2E7377616C322D69636F6E2E7377616C322D6572726F72205B636C6173735E3D7377616C322D782D6D61726B2D6C696E655D7B646973706C61793A626C6F636B3B706F736974696F6E3A6162736F6C7574653B746F703A322E33313235656D3B7769';
wwv_flow_api.g_varchar2_table(599) := '6474683A322E39333735656D3B6865696768743A2E33313235656D3B626F726465722D7261646975733A2E313235656D3B6261636B67726F756E642D636F6C6F723A236632373437347D2E7377616C322D69636F6E2E7377616C322D6572726F72205B63';
wwv_flow_api.g_varchar2_table(600) := '6C6173735E3D7377616C322D782D6D61726B2D6C696E655D5B636C617373243D6C6566745D7B6C6566743A312E30363235656D3B2D7765626B69742D7472616E73666F726D3A726F74617465283435646567293B7472616E73666F726D3A726F74617465';
wwv_flow_api.g_varchar2_table(601) := '283435646567297D2E7377616C322D69636F6E2E7377616C322D6572726F72205B636C6173735E3D7377616C322D782D6D61726B2D6C696E655D5B636C617373243D72696768745D7B72696768743A31656D3B2D7765626B69742D7472616E73666F726D';
wwv_flow_api.g_varchar2_table(602) := '3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567297D2E7377616C322D69636F6E2E7377616C322D7761726E696E677B626F726465722D636F6C6F723A236661636561383B636F6C6F723A236638626238';
wwv_flow_api.g_varchar2_table(603) := '367D2E7377616C322D69636F6E2E7377616C322D7761726E696E673A3A6265666F72657B636F6E74656E743A5C22215C227D2E7377616C322D69636F6E2E7377616C322D696E666F7B626F726465722D636F6C6F723A233964653066363B636F6C6F723A';
wwv_flow_api.g_varchar2_table(604) := '233366633365657D2E7377616C322D69636F6E2E7377616C322D696E666F3A3A6265666F72657B636F6E74656E743A5C22695C227D2E7377616C322D69636F6E2E7377616C322D7175657374696F6E7B626F726465722D636F6C6F723A23633964616531';
wwv_flow_api.g_varchar2_table(605) := '3B636F6C6F723A233837616462647D2E7377616C322D69636F6E2E7377616C322D7175657374696F6E3A3A6265666F72657B636F6E74656E743A5C223F5C227D2E7377616C322D69636F6E2E7377616C322D7175657374696F6E2E7377616C322D617261';
wwv_flow_api.g_varchar2_table(606) := '6269632D7175657374696F6E2D6D61726B3A3A6265666F72657B636F6E74656E743A5C22D89F5C227D2E7377616C322D69636F6E2E7377616C322D737563636573737B626F726465722D636F6C6F723A236135646338367D2E7377616C322D69636F6E2E';
wwv_flow_api.g_varchar2_table(607) := '7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D63697263756C61722D6C696E655D7B706F736974696F6E3A6162736F6C7574653B77696474683A332E3735656D3B6865696768743A372E35656D3B2D7765626B';
wwv_flow_api.g_varchar2_table(608) := '69742D7472616E73666F726D3A726F74617465283435646567293B7472616E73666F726D3A726F74617465283435646567293B626F726465722D7261646975733A3530257D2E7377616C322D69636F6E2E7377616C322D73756363657373205B636C6173';
wwv_flow_api.g_varchar2_table(609) := '735E3D7377616C322D737563636573732D63697263756C61722D6C696E655D5B636C617373243D6C6566745D7B746F703A2D2E34333735656D3B6C6566743A2D322E30363335656D3B2D7765626B69742D7472616E73666F726D3A726F74617465282D34';
wwv_flow_api.g_varchar2_table(610) := '35646567293B7472616E73666F726D3A726F74617465282D3435646567293B2D7765626B69742D7472616E73666F726D2D6F726967696E3A332E3735656D20332E3735656D3B7472616E73666F726D2D6F726967696E3A332E3735656D20332E3735656D';
wwv_flow_api.g_varchar2_table(611) := '3B626F726465722D7261646975733A372E35656D2030203020372E35656D7D2E7377616C322D69636F6E2E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D63697263756C61722D6C696E655D5B636C61737324';
wwv_flow_api.g_varchar2_table(612) := '3D72696768745D7B746F703A2D2E36383735656D3B6C6566743A312E383735656D3B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567293B2D7765626B69742D';
wwv_flow_api.g_varchar2_table(613) := '7472616E73666F726D2D6F726967696E3A3020332E3735656D3B7472616E73666F726D2D6F726967696E3A3020332E3735656D3B626F726465722D7261646975733A3020372E35656D20372E35656D20307D2E7377616C322D69636F6E2E7377616C322D';
wwv_flow_api.g_varchar2_table(614) := '73756363657373202E7377616C322D737563636573732D72696E677B706F736974696F6E3A6162736F6C7574653B7A2D696E6465783A323B746F703A2D2E3235656D3B6C6566743A2D2E3235656D3B626F782D73697A696E673A636F6E74656E742D626F';
wwv_flow_api.g_varchar2_table(615) := '783B77696474683A313030253B6865696768743A313030253B626F726465723A2E3235656D20736F6C69642072676261283136352C3232302C3133342C2E33293B626F726465722D7261646975733A3530257D2E7377616C322D69636F6E2E7377616C32';
wwv_flow_api.g_varchar2_table(616) := '2D73756363657373202E7377616C322D737563636573732D6669787B706F736974696F6E3A6162736F6C7574653B7A2D696E6465783A313B746F703A2E35656D3B6C6566743A312E363235656D3B77696474683A2E34333735656D3B6865696768743A35';
wwv_flow_api.g_varchar2_table(617) := '2E363235656D3B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567297D2E7377616C322D69636F6E2E7377616C322D73756363657373205B636C6173735E3D73';
wwv_flow_api.g_varchar2_table(618) := '77616C322D737563636573732D6C696E655D7B646973706C61793A626C6F636B3B706F736974696F6E3A6162736F6C7574653B7A2D696E6465783A323B6865696768743A2E33313235656D3B626F726465722D7261646975733A2E313235656D3B626163';
wwv_flow_api.g_varchar2_table(619) := '6B67726F756E642D636F6C6F723A236135646338367D2E7377616C322D69636F6E2E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D6C696E655D5B636C617373243D7469705D7B746F703A322E383735656D3B';
wwv_flow_api.g_varchar2_table(620) := '6C6566743A2E383735656D3B77696474683A312E35363235656D3B2D7765626B69742D7472616E73666F726D3A726F74617465283435646567293B7472616E73666F726D3A726F74617465283435646567297D2E7377616C322D69636F6E2E7377616C32';
wwv_flow_api.g_varchar2_table(621) := '2D73756363657373205B636C6173735E3D7377616C322D737563636573732D6C696E655D5B636C617373243D6C6F6E675D7B746F703A322E333735656D3B72696768743A2E35656D3B77696474683A322E39333735656D3B2D7765626B69742D7472616E';
wwv_flow_api.g_varchar2_table(622) := '73666F726D3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567297D2E7377616C322D70726F67726573732D73746570737B616C69676E2D6974656D733A63656E7465723B6D617267696E3A30203020312E';
wwv_flow_api.g_varchar2_table(623) := '3235656D3B70616464696E673A303B6261636B67726F756E643A696E68657269743B666F6E742D7765696768743A3630307D2E7377616C322D70726F67726573732D7374657073206C697B646973706C61793A696E6C696E652D626C6F636B3B706F7369';
wwv_flow_api.g_varchar2_table(624) := '74696F6E3A72656C61746976657D2E7377616C322D70726F67726573732D7374657073202E7377616C322D70726F67726573732D737465707B7A2D696E6465783A32303B77696474683A32656D3B6865696768743A32656D3B626F726465722D72616469';
wwv_flow_api.g_varchar2_table(625) := '75733A32656D3B6261636B67726F756E643A233330383564363B636F6C6F723A236666663B6C696E652D6865696768743A32656D3B746578742D616C69676E3A63656E7465727D2E7377616C322D70726F67726573732D7374657073202E7377616C322D';
wwv_flow_api.g_varchar2_table(626) := '70726F67726573732D737465702E7377616C322D6163746976652D70726F67726573732D737465707B6261636B67726F756E643A233330383564367D2E7377616C322D70726F67726573732D7374657073202E7377616C322D70726F67726573732D7374';
wwv_flow_api.g_varchar2_table(627) := '65702E7377616C322D6163746976652D70726F67726573732D737465707E2E7377616C322D70726F67726573732D737465707B6261636B67726F756E643A236164643865363B636F6C6F723A236666667D2E7377616C322D70726F67726573732D737465';
wwv_flow_api.g_varchar2_table(628) := '7073202E7377616C322D70726F67726573732D737465702E7377616C322D6163746976652D70726F67726573732D737465707E2E7377616C322D70726F67726573732D737465702D6C696E657B6261636B67726F756E643A236164643865367D2E737761';
wwv_flow_api.g_varchar2_table(629) := '6C322D70726F67726573732D7374657073202E7377616C322D70726F67726573732D737465702D6C696E657B7A2D696E6465783A31303B77696474683A322E35656D3B6865696768743A2E34656D3B6D617267696E3A30202D3170783B6261636B67726F';
wwv_flow_api.g_varchar2_table(630) := '756E643A233330383564367D5B636C6173735E3D7377616C325D7B2D7765626B69742D7461702D686967686C696768742D636F6C6F723A7472616E73706172656E747D2E7377616C322D73686F777B2D7765626B69742D616E696D6174696F6E3A737761';
wwv_flow_api.g_varchar2_table(631) := '6C322D73686F77202E33733B616E696D6174696F6E3A7377616C322D73686F77202E33737D2E7377616C322D73686F772E7377616C322D6E6F616E696D6174696F6E7B2D7765626B69742D616E696D6174696F6E3A6E6F6E653B616E696D6174696F6E3A';
wwv_flow_api.g_varchar2_table(632) := '6E6F6E657D2E7377616C322D686964657B2D7765626B69742D616E696D6174696F6E3A7377616C322D68696465202E31357320666F7277617264733B616E696D6174696F6E3A7377616C322D68696465202E31357320666F7277617264737D2E7377616C';
wwv_flow_api.g_varchar2_table(633) := '322D686964652E7377616C322D6E6F616E696D6174696F6E7B2D7765626B69742D616E696D6174696F6E3A6E6F6E653B616E696D6174696F6E3A6E6F6E657D2E7377616C322D72746C202E7377616C322D636C6F73657B72696768743A6175746F3B6C65';
wwv_flow_api.g_varchar2_table(634) := '66743A307D2E7377616C322D616E696D6174652D737563636573732D69636F6E202E7377616C322D737563636573732D6C696E652D7469707B2D7765626B69742D616E696D6174696F6E3A7377616C322D616E696D6174652D737563636573732D6C696E';
wwv_flow_api.g_varchar2_table(635) := '652D746970202E3735733B616E696D6174696F6E3A7377616C322D616E696D6174652D737563636573732D6C696E652D746970202E3735737D2E7377616C322D616E696D6174652D737563636573732D69636F6E202E7377616C322D737563636573732D';
wwv_flow_api.g_varchar2_table(636) := '6C696E652D6C6F6E677B2D7765626B69742D616E696D6174696F6E3A7377616C322D616E696D6174652D737563636573732D6C696E652D6C6F6E67202E3735733B616E696D6174696F6E3A7377616C322D616E696D6174652D737563636573732D6C696E';
wwv_flow_api.g_varchar2_table(637) := '652D6C6F6E67202E3735737D2E7377616C322D616E696D6174652D737563636573732D69636F6E202E7377616C322D737563636573732D63697263756C61722D6C696E652D72696768747B2D7765626B69742D616E696D6174696F6E3A7377616C322D72';
wwv_flow_api.g_varchar2_table(638) := '6F746174652D737563636573732D63697263756C61722D6C696E6520342E32357320656173652D696E3B616E696D6174696F6E3A7377616C322D726F746174652D737563636573732D63697263756C61722D6C696E6520342E32357320656173652D696E';
wwv_flow_api.g_varchar2_table(639) := '7D2E7377616C322D616E696D6174652D6572726F722D69636F6E7B2D7765626B69742D616E696D6174696F6E3A7377616C322D616E696D6174652D6572726F722D69636F6E202E35733B616E696D6174696F6E3A7377616C322D616E696D6174652D6572';
wwv_flow_api.g_varchar2_table(640) := '726F722D69636F6E202E35737D2E7377616C322D616E696D6174652D6572726F722D69636F6E202E7377616C322D782D6D61726B7B2D7765626B69742D616E696D6174696F6E3A7377616C322D616E696D6174652D6572726F722D782D6D61726B202E35';
wwv_flow_api.g_varchar2_table(641) := '733B616E696D6174696F6E3A7377616C322D616E696D6174652D6572726F722D782D6D61726B202E35737D402D7765626B69742D6B65796672616D6573207377616C322D726F746174652D6C6F6164696E677B30257B2D7765626B69742D7472616E7366';
wwv_flow_api.g_varchar2_table(642) := '6F726D3A726F746174652830293B7472616E73666F726D3A726F746174652830297D313030257B2D7765626B69742D7472616E73666F726D3A726F7461746528333630646567293B7472616E73666F726D3A726F7461746528333630646567297D7D406B';
wwv_flow_api.g_varchar2_table(643) := '65796672616D6573207377616C322D726F746174652D6C6F6164696E677B30257B2D7765626B69742D7472616E73666F726D3A726F746174652830293B7472616E73666F726D3A726F746174652830297D313030257B2D7765626B69742D7472616E7366';
wwv_flow_api.g_varchar2_table(644) := '6F726D3A726F7461746528333630646567293B7472616E73666F726D3A726F7461746528333630646567297D7D406D65646961207072696E747B626F64792E7377616C322D73686F776E3A6E6F74282E7377616C322D6E6F2D6261636B64726F70293A6E';
wwv_flow_api.g_varchar2_table(645) := '6F74282E7377616C322D746F6173742D73686F776E297B6F766572666C6F772D793A7363726F6C6C21696D706F7274616E747D626F64792E7377616C322D73686F776E3A6E6F74282E7377616C322D6E6F2D6261636B64726F70293A6E6F74282E737761';
wwv_flow_api.g_varchar2_table(646) := '6C322D746F6173742D73686F776E293E5B617269612D68696464656E3D747275655D7B646973706C61793A6E6F6E657D626F64792E7377616C322D73686F776E3A6E6F74282E7377616C322D6E6F2D6261636B64726F70293A6E6F74282E7377616C322D';
wwv_flow_api.g_varchar2_table(647) := '746F6173742D73686F776E29202E7377616C322D636F6E7461696E65727B706F736974696F6E3A696E697469616C21696D706F7274616E747D7D22293B';
null;
end;
/
begin
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(4870400367843562)
,p_file_name=>'sweetalert2.all.min.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/sweetalert2_min_css
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '406368617273657420225554462D38223B402D7765626B69742D6B65796672616D6573207377616C322D73686F777B30257B2D7765626B69742D7472616E73666F726D3A7363616C65282E37293B7472616E73666F726D3A7363616C65282E37297D3435';
wwv_flow_api.g_varchar2_table(2) := '257B2D7765626B69742D7472616E73666F726D3A7363616C6528312E3035293B7472616E73666F726D3A7363616C6528312E3035297D3830257B2D7765626B69742D7472616E73666F726D3A7363616C65282E3935293B7472616E73666F726D3A736361';
wwv_flow_api.g_varchar2_table(3) := '6C65282E3935297D313030257B2D7765626B69742D7472616E73666F726D3A7363616C652831293B7472616E73666F726D3A7363616C652831297D7D406B65796672616D6573207377616C322D73686F777B30257B2D7765626B69742D7472616E73666F';
wwv_flow_api.g_varchar2_table(4) := '726D3A7363616C65282E37293B7472616E73666F726D3A7363616C65282E37297D3435257B2D7765626B69742D7472616E73666F726D3A7363616C6528312E3035293B7472616E73666F726D3A7363616C6528312E3035297D3830257B2D7765626B6974';
wwv_flow_api.g_varchar2_table(5) := '2D7472616E73666F726D3A7363616C65282E3935293B7472616E73666F726D3A7363616C65282E3935297D313030257B2D7765626B69742D7472616E73666F726D3A7363616C652831293B7472616E73666F726D3A7363616C652831297D7D402D776562';
wwv_flow_api.g_varchar2_table(6) := '6B69742D6B65796672616D6573207377616C322D686964657B30257B2D7765626B69742D7472616E73666F726D3A7363616C652831293B7472616E73666F726D3A7363616C652831293B6F7061636974793A317D313030257B2D7765626B69742D747261';
wwv_flow_api.g_varchar2_table(7) := '6E73666F726D3A7363616C65282E35293B7472616E73666F726D3A7363616C65282E35293B6F7061636974793A307D7D406B65796672616D6573207377616C322D686964657B30257B2D7765626B69742D7472616E73666F726D3A7363616C652831293B';
wwv_flow_api.g_varchar2_table(8) := '7472616E73666F726D3A7363616C652831293B6F7061636974793A317D313030257B2D7765626B69742D7472616E73666F726D3A7363616C65282E35293B7472616E73666F726D3A7363616C65282E35293B6F7061636974793A307D7D402D7765626B69';
wwv_flow_api.g_varchar2_table(9) := '742D6B65796672616D6573207377616C322D616E696D6174652D737563636573732D6C696E652D7469707B30257B746F703A312E31383735656D3B6C6566743A2E30363235656D3B77696474683A307D3534257B746F703A312E30363235656D3B6C6566';
wwv_flow_api.g_varchar2_table(10) := '743A2E313235656D3B77696474683A307D3730257B746F703A322E31383735656D3B6C6566743A2D2E333735656D3B77696474683A332E313235656D7D3834257B746F703A33656D3B6C6566743A312E33313235656D3B77696474683A312E3036323565';
wwv_flow_api.g_varchar2_table(11) := '6D7D313030257B746F703A322E38313235656D3B6C6566743A2E383735656D3B77696474683A312E35363235656D7D7D406B65796672616D6573207377616C322D616E696D6174652D737563636573732D6C696E652D7469707B30257B746F703A312E31';
wwv_flow_api.g_varchar2_table(12) := '383735656D3B6C6566743A2E30363235656D3B77696474683A307D3534257B746F703A312E30363235656D3B6C6566743A2E313235656D3B77696474683A307D3730257B746F703A322E31383735656D3B6C6566743A2D2E333735656D3B77696474683A';
wwv_flow_api.g_varchar2_table(13) := '332E313235656D7D3834257B746F703A33656D3B6C6566743A312E33313235656D3B77696474683A312E30363235656D7D313030257B746F703A322E38313235656D3B6C6566743A2E383735656D3B77696474683A312E35363235656D7D7D402D776562';
wwv_flow_api.g_varchar2_table(14) := '6B69742D6B65796672616D6573207377616C322D616E696D6174652D737563636573732D6C696E652D6C6F6E677B30257B746F703A332E333735656D3B72696768743A322E383735656D3B77696474683A307D3635257B746F703A332E333735656D3B72';
wwv_flow_api.g_varchar2_table(15) := '696768743A322E383735656D3B77696474683A307D3834257B746F703A322E31383735656D3B72696768743A303B77696474683A332E34333735656D7D313030257B746F703A322E333735656D3B72696768743A2E35656D3B77696474683A322E393337';
wwv_flow_api.g_varchar2_table(16) := '35656D7D7D406B65796672616D6573207377616C322D616E696D6174652D737563636573732D6C696E652D6C6F6E677B30257B746F703A332E333735656D3B72696768743A322E383735656D3B77696474683A307D3635257B746F703A332E333735656D';
wwv_flow_api.g_varchar2_table(17) := '3B72696768743A322E383735656D3B77696474683A307D3834257B746F703A322E31383735656D3B72696768743A303B77696474683A332E34333735656D7D313030257B746F703A322E333735656D3B72696768743A2E35656D3B77696474683A322E39';
wwv_flow_api.g_varchar2_table(18) := '333735656D7D7D402D7765626B69742D6B65796672616D6573207377616C322D726F746174652D737563636573732D63697263756C61722D6C696E657B30257B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B747261';
wwv_flow_api.g_varchar2_table(19) := '6E73666F726D3A726F74617465282D3435646567297D35257B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567297D3132257B2D7765626B69742D7472616E73';
wwv_flow_api.g_varchar2_table(20) := '666F726D3A726F74617465282D343035646567293B7472616E73666F726D3A726F74617465282D343035646567297D313030257B2D7765626B69742D7472616E73666F726D3A726F74617465282D343035646567293B7472616E73666F726D3A726F7461';
wwv_flow_api.g_varchar2_table(21) := '7465282D343035646567297D7D406B65796672616D6573207377616C322D726F746174652D737563636573732D63697263756C61722D6C696E657B30257B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B7472616E73';
wwv_flow_api.g_varchar2_table(22) := '666F726D3A726F74617465282D3435646567297D35257B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567297D3132257B2D7765626B69742D7472616E73666F';
wwv_flow_api.g_varchar2_table(23) := '726D3A726F74617465282D343035646567293B7472616E73666F726D3A726F74617465282D343035646567297D313030257B2D7765626B69742D7472616E73666F726D3A726F74617465282D343035646567293B7472616E73666F726D3A726F74617465';
wwv_flow_api.g_varchar2_table(24) := '282D343035646567297D7D402D7765626B69742D6B65796672616D6573207377616C322D616E696D6174652D6572726F722D782D6D61726B7B30257B6D617267696E2D746F703A312E363235656D3B2D7765626B69742D7472616E73666F726D3A736361';
wwv_flow_api.g_varchar2_table(25) := '6C65282E34293B7472616E73666F726D3A7363616C65282E34293B6F7061636974793A307D3530257B6D617267696E2D746F703A312E363235656D3B2D7765626B69742D7472616E73666F726D3A7363616C65282E34293B7472616E73666F726D3A7363';
wwv_flow_api.g_varchar2_table(26) := '616C65282E34293B6F7061636974793A307D3830257B6D617267696E2D746F703A2D2E333735656D3B2D7765626B69742D7472616E73666F726D3A7363616C6528312E3135293B7472616E73666F726D3A7363616C6528312E3135297D313030257B6D61';
wwv_flow_api.g_varchar2_table(27) := '7267696E2D746F703A303B2D7765626B69742D7472616E73666F726D3A7363616C652831293B7472616E73666F726D3A7363616C652831293B6F7061636974793A317D7D406B65796672616D6573207377616C322D616E696D6174652D6572726F722D78';
wwv_flow_api.g_varchar2_table(28) := '2D6D61726B7B30257B6D617267696E2D746F703A312E363235656D3B2D7765626B69742D7472616E73666F726D3A7363616C65282E34293B7472616E73666F726D3A7363616C65282E34293B6F7061636974793A307D3530257B6D617267696E2D746F70';
wwv_flow_api.g_varchar2_table(29) := '3A312E363235656D3B2D7765626B69742D7472616E73666F726D3A7363616C65282E34293B7472616E73666F726D3A7363616C65282E34293B6F7061636974793A307D3830257B6D617267696E2D746F703A2D2E333735656D3B2D7765626B69742D7472';
wwv_flow_api.g_varchar2_table(30) := '616E73666F726D3A7363616C6528312E3135293B7472616E73666F726D3A7363616C6528312E3135297D313030257B6D617267696E2D746F703A303B2D7765626B69742D7472616E73666F726D3A7363616C652831293B7472616E73666F726D3A736361';
wwv_flow_api.g_varchar2_table(31) := '6C652831293B6F7061636974793A317D7D402D7765626B69742D6B65796672616D6573207377616C322D616E696D6174652D6572726F722D69636F6E7B30257B2D7765626B69742D7472616E73666F726D3A726F746174655828313030646567293B7472';
wwv_flow_api.g_varchar2_table(32) := '616E73666F726D3A726F746174655828313030646567293B6F7061636974793A307D313030257B2D7765626B69742D7472616E73666F726D3A726F74617465582830293B7472616E73666F726D3A726F74617465582830293B6F7061636974793A317D7D';
wwv_flow_api.g_varchar2_table(33) := '406B65796672616D6573207377616C322D616E696D6174652D6572726F722D69636F6E7B30257B2D7765626B69742D7472616E73666F726D3A726F746174655828313030646567293B7472616E73666F726D3A726F746174655828313030646567293B6F';
wwv_flow_api.g_varchar2_table(34) := '7061636974793A307D313030257B2D7765626B69742D7472616E73666F726D3A726F74617465582830293B7472616E73666F726D3A726F74617465582830293B6F7061636974793A317D7D626F64792E7377616C322D746F6173742D73686F776E202E73';
wwv_flow_api.g_varchar2_table(35) := '77616C322D636F6E7461696E65727B6261636B67726F756E642D636F6C6F723A7472616E73706172656E747D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D73686F776E7B6261636B';
wwv_flow_api.g_varchar2_table(36) := '67726F756E642D636F6C6F723A7472616E73706172656E747D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D746F707B746F703A303B72696768743A6175746F3B626F74746F6D3A61';
wwv_flow_api.g_varchar2_table(37) := '75746F3B6C6566743A3530253B2D7765626B69742D7472616E73666F726D3A7472616E736C61746558282D353025293B7472616E73666F726D3A7472616E736C61746558282D353025297D626F64792E7377616C322D746F6173742D73686F776E202E73';
wwv_flow_api.g_varchar2_table(38) := '77616C322D636F6E7461696E65722E7377616C322D746F702D656E642C626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D746F702D72696768747B746F703A303B72696768743A303B62';
wwv_flow_api.g_varchar2_table(39) := '6F74746F6D3A6175746F3B6C6566743A6175746F7D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D746F702D6C6566742C626F64792E7377616C322D746F6173742D73686F776E202E';
wwv_flow_api.g_varchar2_table(40) := '7377616C322D636F6E7461696E65722E7377616C322D746F702D73746172747B746F703A303B72696768743A6175746F3B626F74746F6D3A6175746F3B6C6566743A307D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F';
wwv_flow_api.g_varchar2_table(41) := '6E7461696E65722E7377616C322D63656E7465722D6C6566742C626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D63656E7465722D73746172747B746F703A3530253B72696768743A61';
wwv_flow_api.g_varchar2_table(42) := '75746F3B626F74746F6D3A6175746F3B6C6566743A303B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559282D353025293B7472616E73666F726D3A7472616E736C61746559282D353025297D626F64792E7377616C322D746F6173';
wwv_flow_api.g_varchar2_table(43) := '742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D63656E7465727B746F703A3530253B72696768743A6175746F3B626F74746F6D3A6175746F3B6C6566743A3530253B2D7765626B69742D7472616E73666F726D3A7472616E';
wwv_flow_api.g_varchar2_table(44) := '736C617465282D3530252C2D353025293B7472616E73666F726D3A7472616E736C617465282D3530252C2D353025297D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D63656E746572';
wwv_flow_api.g_varchar2_table(45) := '2D656E642C626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D63656E7465722D72696768747B746F703A3530253B72696768743A303B626F74746F6D3A6175746F3B6C6566743A617574';
wwv_flow_api.g_varchar2_table(46) := '6F3B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559282D353025293B7472616E73666F726D3A7472616E736C61746559282D353025297D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E746169';
wwv_flow_api.g_varchar2_table(47) := '6E65722E7377616C322D626F74746F6D2D6C6566742C626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D73746172747B746F703A6175746F3B72696768743A6175746F';
wwv_flow_api.g_varchar2_table(48) := '3B626F74746F6D3A303B6C6566743A307D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D7B746F703A6175746F3B72696768743A6175746F3B626F74746F6D3A303B6C';
wwv_flow_api.g_varchar2_table(49) := '6566743A3530253B2D7765626B69742D7472616E73666F726D3A7472616E736C61746558282D353025293B7472616E73666F726D3A7472616E736C61746558282D353025297D626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D';
wwv_flow_api.g_varchar2_table(50) := '636F6E7461696E65722E7377616C322D626F74746F6D2D656E642C626F64792E7377616C322D746F6173742D73686F776E202E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D72696768747B746F703A6175746F3B7269676874';
wwv_flow_api.g_varchar2_table(51) := '3A303B626F74746F6D3A303B6C6566743A6175746F7D626F64792E7377616C322D746F6173742D636F6C756D6E202E7377616C322D746F6173747B666C65782D646972656374696F6E3A636F6C756D6E3B616C69676E2D6974656D733A73747265746368';
wwv_flow_api.g_varchar2_table(52) := '7D626F64792E7377616C322D746F6173742D636F6C756D6E202E7377616C322D746F617374202E7377616C322D616374696F6E737B666C65783A313B616C69676E2D73656C663A737472657463683B6865696768743A322E32656D3B6D617267696E2D74';
wwv_flow_api.g_varchar2_table(53) := '6F703A2E33313235656D7D626F64792E7377616C322D746F6173742D636F6C756D6E202E7377616C322D746F617374202E7377616C322D6C6F6164696E677B6A7573746966792D636F6E74656E743A63656E7465727D626F64792E7377616C322D746F61';
wwv_flow_api.g_varchar2_table(54) := '73742D636F6C756D6E202E7377616C322D746F617374202E7377616C322D696E7075747B6865696768743A32656D3B6D617267696E3A2E33313235656D206175746F3B666F6E742D73697A653A31656D7D626F64792E7377616C322D746F6173742D636F';
wwv_flow_api.g_varchar2_table(55) := '6C756D6E202E7377616C322D746F617374202E7377616C322D76616C69646174696F6E2D6D6573736167657B666F6E742D73697A653A31656D7D2E7377616C322D706F7075702E7377616C322D746F6173747B666C65782D646972656374696F6E3A726F';
wwv_flow_api.g_varchar2_table(56) := '773B616C69676E2D6974656D733A63656E7465723B77696474683A6175746F3B70616464696E673A2E363235656D3B6F766572666C6F772D793A68696464656E3B626F782D736861646F773A302030202E363235656D20236439643964397D2E7377616C';
wwv_flow_api.g_varchar2_table(57) := '322D706F7075702E7377616C322D746F617374202E7377616C322D6865616465727B666C65782D646972656374696F6E3A726F777D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D7469746C657B666C65782D67726F77';
wwv_flow_api.g_varchar2_table(58) := '3A313B6A7573746966792D636F6E74656E743A666C65782D73746172743B6D617267696E3A30202E36656D3B666F6E742D73697A653A31656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D666F6F7465727B6D6172';
wwv_flow_api.g_varchar2_table(59) := '67696E3A2E35656D203020303B70616464696E673A2E35656D203020303B666F6E742D73697A653A2E38656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D636C6F73657B706F736974696F6E3A696E697469616C3B';
wwv_flow_api.g_varchar2_table(60) := '77696474683A2E38656D3B6865696768743A2E38656D3B6C696E652D6865696768743A2E387D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D636F6E74656E747B6A7573746966792D636F6E74656E743A666C65782D73';
wwv_flow_api.g_varchar2_table(61) := '746172743B666F6E742D73697A653A31656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69636F6E7B77696474683A32656D3B6D696E2D77696474683A32656D3B6865696768743A32656D3B6D617267696E3A307D';
wwv_flow_api.g_varchar2_table(62) := '2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69636F6E3A3A6265666F72657B646973706C61793A666C65783B616C69676E2D6974656D733A63656E7465723B666F6E742D73697A653A32656D3B666F6E742D77656967';
wwv_flow_api.g_varchar2_table(63) := '68743A3730307D406D6564696120616C6C20616E6420282D6D732D686967682D636F6E74726173743A6E6F6E65292C282D6D732D686967682D636F6E74726173743A616374697665297B2E7377616C322D706F7075702E7377616C322D746F617374202E';
wwv_flow_api.g_varchar2_table(64) := '7377616C322D69636F6E3A3A6265666F72657B666F6E742D73697A653A2E3235656D7D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69636F6E2E7377616C322D73756363657373202E7377616C322D737563636573';
wwv_flow_api.g_varchar2_table(65) := '732D72696E677B77696474683A32656D3B6865696768743A32656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69636F6E2E7377616C322D6572726F72205B636C6173735E3D7377616C322D782D6D61726B2D6C69';
wwv_flow_api.g_varchar2_table(66) := '6E655D7B746F703A2E383735656D3B77696474683A312E333735656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69636F6E2E7377616C322D6572726F72205B636C6173735E3D7377616C322D782D6D61726B2D6C';
wwv_flow_api.g_varchar2_table(67) := '696E655D5B636C617373243D6C6566745D7B6C6566743A2E33313235656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D69636F6E2E7377616C322D6572726F72205B636C6173735E3D7377616C322D782D6D61726B';
wwv_flow_api.g_varchar2_table(68) := '2D6C696E655D5B636C617373243D72696768745D7B72696768743A2E33313235656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D616374696F6E737B6865696768743A6175746F3B6D617267696E3A30202E333132';
wwv_flow_api.g_varchar2_table(69) := '35656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D7374796C65647B6D617267696E3A30202E33313235656D3B70616464696E673A2E33313235656D202E363235656D3B666F6E742D73697A653A31656D7D2E7377';
wwv_flow_api.g_varchar2_table(70) := '616C322D706F7075702E7377616C322D746F617374202E7377616C322D7374796C65643A666F6375737B626F782D736861646F773A3020302030202E30363235656D20236666662C3020302030202E313235656D20726762612835302C3130302C313530';
wwv_flow_api.g_varchar2_table(71) := '2C2E34297D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D737563636573737B626F726465722D636F6C6F723A236135646338367D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D7375';
wwv_flow_api.g_varchar2_table(72) := '6363657373205B636C6173735E3D7377616C322D737563636573732D63697263756C61722D6C696E655D7B706F736974696F6E3A6162736F6C7574653B77696474683A32656D3B6865696768743A322E38313235656D3B2D7765626B69742D7472616E73';
wwv_flow_api.g_varchar2_table(73) := '666F726D3A726F74617465283435646567293B7472616E73666F726D3A726F74617465283435646567293B626F726465722D7261646975733A3530257D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373';
wwv_flow_api.g_varchar2_table(74) := '205B636C6173735E3D7377616C322D737563636573732D63697263756C61722D6C696E655D5B636C617373243D6C6566745D7B746F703A2D2E3235656D3B6C6566743A2D2E39333735656D3B2D7765626B69742D7472616E73666F726D3A726F74617465';
wwv_flow_api.g_varchar2_table(75) := '282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567293B2D7765626B69742D7472616E73666F726D2D6F726967696E3A32656D2032656D3B7472616E73666F726D2D6F726967696E3A32656D2032656D3B626F726465722D72';
wwv_flow_api.g_varchar2_table(76) := '61646975733A34656D203020302034656D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D63697263756C61722D6C696E655D5B636C617373';
wwv_flow_api.g_varchar2_table(77) := '243D72696768745D7B746F703A2D2E3235656D3B6C6566743A2E39333735656D3B2D7765626B69742D7472616E73666F726D2D6F726967696E3A302032656D3B7472616E73666F726D2D6F726967696E3A302032656D3B626F726465722D726164697573';
wwv_flow_api.g_varchar2_table(78) := '3A302034656D2034656D20307D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373202E7377616C322D737563636573732D72696E677B77696474683A32656D3B6865696768743A32656D7D2E7377616C32';
wwv_flow_api.g_varchar2_table(79) := '2D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373202E7377616C322D737563636573732D6669787B746F703A303B6C6566743A2E34333735656D3B77696474683A2E34333735656D3B6865696768743A322E3638373565';
wwv_flow_api.g_varchar2_table(80) := '6D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D6C696E655D7B6865696768743A2E33313235656D7D2E7377616C322D706F7075702E7377';
wwv_flow_api.g_varchar2_table(81) := '616C322D746F617374202E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D6C696E655D5B636C617373243D7469705D7B746F703A312E313235656D3B6C6566743A2E31383735656D3B77696474683A2E373565';
wwv_flow_api.g_varchar2_table(82) := '6D7D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D6C696E655D5B636C617373243D6C6F6E675D7B746F703A2E39333735656D3B7269676874';
wwv_flow_api.g_varchar2_table(83) := '3A2E31383735656D3B77696474683A312E333735656D7D2E7377616C322D706F7075702E7377616C322D746F6173742E7377616C322D73686F777B2D7765626B69742D616E696D6174696F6E3A7377616C322D746F6173742D73686F77202E35733B616E';
wwv_flow_api.g_varchar2_table(84) := '696D6174696F6E3A7377616C322D746F6173742D73686F77202E35737D2E7377616C322D706F7075702E7377616C322D746F6173742E7377616C322D686964657B2D7765626B69742D616E696D6174696F6E3A7377616C322D746F6173742D6869646520';
wwv_flow_api.g_varchar2_table(85) := '2E327320666F7277617264733B616E696D6174696F6E3A7377616C322D746F6173742D68696465202E327320666F7277617264737D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D616E696D6174652D73756363657373';
wwv_flow_api.g_varchar2_table(86) := '2D69636F6E202E7377616C322D737563636573732D6C696E652D7469707B2D7765626B69742D616E696D6174696F6E3A7377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D746970202E3735733B616E696D6174696F6E3A';
wwv_flow_api.g_varchar2_table(87) := '7377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D746970202E3735737D2E7377616C322D706F7075702E7377616C322D746F617374202E7377616C322D616E696D6174652D737563636573732D69636F6E202E7377616C';
wwv_flow_api.g_varchar2_table(88) := '322D737563636573732D6C696E652D6C6F6E677B2D7765626B69742D616E696D6174696F6E3A7377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D6C6F6E67202E3735733B616E696D6174696F6E3A7377616C322D746F61';
wwv_flow_api.g_varchar2_table(89) := '73742D616E696D6174652D737563636573732D6C696E652D6C6F6E67202E3735737D402D7765626B69742D6B65796672616D6573207377616C322D746F6173742D73686F777B30257B2D7765626B69742D7472616E73666F726D3A7472616E736C617465';
wwv_flow_api.g_varchar2_table(90) := '59282D2E363235656D2920726F746174655A2832646567293B7472616E73666F726D3A7472616E736C61746559282D2E363235656D2920726F746174655A2832646567293B6F7061636974793A307D3333257B2D7765626B69742D7472616E73666F726D';
wwv_flow_api.g_varchar2_table(91) := '3A7472616E736C6174655928302920726F746174655A282D32646567293B7472616E73666F726D3A7472616E736C6174655928302920726F746174655A282D32646567293B6F7061636974793A2E357D3636257B2D7765626B69742D7472616E73666F72';
wwv_flow_api.g_varchar2_table(92) := '6D3A7472616E736C61746559282E33313235656D2920726F746174655A2832646567293B7472616E73666F726D3A7472616E736C61746559282E33313235656D2920726F746174655A2832646567293B6F7061636974793A2E377D313030257B2D776562';
wwv_flow_api.g_varchar2_table(93) := '6B69742D7472616E73666F726D3A7472616E736C6174655928302920726F746174655A2830293B7472616E73666F726D3A7472616E736C6174655928302920726F746174655A2830293B6F7061636974793A317D7D406B65796672616D6573207377616C';
wwv_flow_api.g_varchar2_table(94) := '322D746F6173742D73686F777B30257B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559282D2E363235656D2920726F746174655A2832646567293B7472616E73666F726D3A7472616E736C61746559282D2E363235656D2920726F';
wwv_flow_api.g_varchar2_table(95) := '746174655A2832646567293B6F7061636974793A307D3333257B2D7765626B69742D7472616E73666F726D3A7472616E736C6174655928302920726F746174655A282D32646567293B7472616E73666F726D3A7472616E736C6174655928302920726F74';
wwv_flow_api.g_varchar2_table(96) := '6174655A282D32646567293B6F7061636974793A2E357D3636257B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559282E33313235656D2920726F746174655A2832646567293B7472616E73666F726D3A7472616E736C6174655928';
wwv_flow_api.g_varchar2_table(97) := '2E33313235656D2920726F746174655A2832646567293B6F7061636974793A2E377D313030257B2D7765626B69742D7472616E73666F726D3A7472616E736C6174655928302920726F746174655A2830293B7472616E73666F726D3A7472616E736C6174';
wwv_flow_api.g_varchar2_table(98) := '655928302920726F746174655A2830293B6F7061636974793A317D7D402D7765626B69742D6B65796672616D6573207377616C322D746F6173742D686964657B30257B6F7061636974793A317D3333257B6F7061636974793A2E357D313030257B2D7765';
wwv_flow_api.g_varchar2_table(99) := '626B69742D7472616E73666F726D3A726F746174655A2831646567293B7472616E73666F726D3A726F746174655A2831646567293B6F7061636974793A307D7D406B65796672616D6573207377616C322D746F6173742D686964657B30257B6F70616369';
wwv_flow_api.g_varchar2_table(100) := '74793A317D3333257B6F7061636974793A2E357D313030257B2D7765626B69742D7472616E73666F726D3A726F746174655A2831646567293B7472616E73666F726D3A726F746174655A2831646567293B6F7061636974793A307D7D402D7765626B6974';
wwv_flow_api.g_varchar2_table(101) := '2D6B65796672616D6573207377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D7469707B30257B746F703A2E35363235656D3B6C6566743A2E30363235656D3B77696474683A307D3534257B746F703A2E313235656D3B6C';
wwv_flow_api.g_varchar2_table(102) := '6566743A2E313235656D3B77696474683A307D3730257B746F703A2E363235656D3B6C6566743A2D2E3235656D3B77696474683A312E363235656D7D3834257B746F703A312E30363235656D3B6C6566743A2E3735656D3B77696474683A2E35656D7D31';
wwv_flow_api.g_varchar2_table(103) := '3030257B746F703A312E313235656D3B6C6566743A2E31383735656D3B77696474683A2E3735656D7D7D406B65796672616D6573207377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D7469707B30257B746F703A2E3536';
wwv_flow_api.g_varchar2_table(104) := '3235656D3B6C6566743A2E30363235656D3B77696474683A307D3534257B746F703A2E313235656D3B6C6566743A2E313235656D3B77696474683A307D3730257B746F703A2E363235656D3B6C6566743A2D2E3235656D3B77696474683A312E36323565';
wwv_flow_api.g_varchar2_table(105) := '6D7D3834257B746F703A312E30363235656D3B6C6566743A2E3735656D3B77696474683A2E35656D7D313030257B746F703A312E313235656D3B6C6566743A2E31383735656D3B77696474683A2E3735656D7D7D402D7765626B69742D6B65796672616D';
wwv_flow_api.g_varchar2_table(106) := '6573207377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D6C6F6E677B30257B746F703A312E363235656D3B72696768743A312E333735656D3B77696474683A307D3635257B746F703A312E3235656D3B72696768743A2E';
wwv_flow_api.g_varchar2_table(107) := '39333735656D3B77696474683A307D3834257B746F703A2E39333735656D3B72696768743A303B77696474683A312E313235656D7D313030257B746F703A2E39333735656D3B72696768743A2E31383735656D3B77696474683A312E333735656D7D7D40';
wwv_flow_api.g_varchar2_table(108) := '6B65796672616D6573207377616C322D746F6173742D616E696D6174652D737563636573732D6C696E652D6C6F6E677B30257B746F703A312E363235656D3B72696768743A312E333735656D3B77696474683A307D3635257B746F703A312E3235656D3B';
wwv_flow_api.g_varchar2_table(109) := '72696768743A2E39333735656D3B77696474683A307D3834257B746F703A2E39333735656D3B72696768743A303B77696474683A312E313235656D7D313030257B746F703A2E39333735656D3B72696768743A2E31383735656D3B77696474683A312E33';
wwv_flow_api.g_varchar2_table(110) := '3735656D7D7D626F64792E7377616C322D73686F776E3A6E6F74282E7377616C322D6E6F2D6261636B64726F70293A6E6F74282E7377616C322D746F6173742D73686F776E297B6F766572666C6F773A68696464656E7D626F64792E7377616C322D6865';
wwv_flow_api.g_varchar2_table(111) := '696768742D6175746F7B6865696768743A6175746F21696D706F7274616E747D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E7B746F703A6175746F3B72696768743A6175746F3B626F74746F6D3A6175746F3B';
wwv_flow_api.g_varchar2_table(112) := '6C6566743A6175746F3B6D61782D77696474683A63616C632831303025202D202E363235656D202A2032293B6261636B67726F756E642D636F6C6F723A7472616E73706172656E747D626F64792E7377616C322D6E6F2D6261636B64726F70202E737761';
wwv_flow_api.g_varchar2_table(113) := '6C322D73686F776E3E2E7377616C322D6D6F64616C7B626F782D736861646F773A3020302031307078207267626128302C302C302C2E34297D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D74';
wwv_flow_api.g_varchar2_table(114) := '6F707B746F703A303B6C6566743A3530253B2D7765626B69742D7472616E73666F726D3A7472616E736C61746558282D353025293B7472616E73666F726D3A7472616E736C61746558282D353025297D626F64792E7377616C322D6E6F2D6261636B6472';
wwv_flow_api.g_varchar2_table(115) := '6F70202E7377616C322D73686F776E2E7377616C322D746F702D6C6566742C626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D746F702D73746172747B746F703A303B6C6566743A307D626F6479';
wwv_flow_api.g_varchar2_table(116) := '2E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D746F702D656E642C626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D746F702D72696768747B746F';
wwv_flow_api.g_varchar2_table(117) := '703A303B72696768743A307D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D63656E7465727B746F703A3530253B6C6566743A3530253B2D7765626B69742D7472616E73666F726D3A7472616E';
wwv_flow_api.g_varchar2_table(118) := '736C617465282D3530252C2D353025293B7472616E73666F726D3A7472616E736C617465282D3530252C2D353025297D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D63656E7465722D6C6566';
wwv_flow_api.g_varchar2_table(119) := '742C626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D63656E7465722D73746172747B746F703A3530253B6C6566743A303B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559';
wwv_flow_api.g_varchar2_table(120) := '282D353025293B7472616E73666F726D3A7472616E736C61746559282D353025297D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D63656E7465722D656E642C626F64792E7377616C322D6E6F';
wwv_flow_api.g_varchar2_table(121) := '2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D63656E7465722D72696768747B746F703A3530253B72696768743A303B2D7765626B69742D7472616E73666F726D3A7472616E736C61746559282D353025293B7472616E73666F';
wwv_flow_api.g_varchar2_table(122) := '726D3A7472616E736C61746559282D353025297D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D626F74746F6D7B626F74746F6D3A303B6C6566743A3530253B2D7765626B69742D7472616E73';
wwv_flow_api.g_varchar2_table(123) := '666F726D3A7472616E736C61746558282D353025293B7472616E73666F726D3A7472616E736C61746558282D353025297D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D626F74746F6D2D6C65';
wwv_flow_api.g_varchar2_table(124) := '66742C626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D626F74746F6D2D73746172747B626F74746F6D3A303B6C6566743A307D626F64792E7377616C322D6E6F2D6261636B64726F70202E7377';
wwv_flow_api.g_varchar2_table(125) := '616C322D73686F776E2E7377616C322D626F74746F6D2D656E642C626F64792E7377616C322D6E6F2D6261636B64726F70202E7377616C322D73686F776E2E7377616C322D626F74746F6D2D72696768747B72696768743A303B626F74746F6D3A307D2E';
wwv_flow_api.g_varchar2_table(126) := '7377616C322D636F6E7461696E65727B646973706C61793A666C65783B706F736974696F6E3A66697865643B7A2D696E6465783A313036303B746F703A303B72696768743A303B626F74746F6D3A303B6C6566743A303B666C65782D646972656374696F';
wwv_flow_api.g_varchar2_table(127) := '6E3A726F773B616C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465723B70616464696E673A2E363235656D3B6F766572666C6F772D783A68696464656E3B6261636B67726F756E642D636F6C6F723A7472';
wwv_flow_api.g_varchar2_table(128) := '616E73706172656E743B2D7765626B69742D6F766572666C6F772D7363726F6C6C696E673A746F7563687D2E7377616C322D636F6E7461696E65722E7377616C322D746F707B616C69676E2D6974656D733A666C65782D73746172747D2E7377616C322D';
wwv_flow_api.g_varchar2_table(129) := '636F6E7461696E65722E7377616C322D746F702D6C6566742C2E7377616C322D636F6E7461696E65722E7377616C322D746F702D73746172747B616C69676E2D6974656D733A666C65782D73746172743B6A7573746966792D636F6E74656E743A666C65';
wwv_flow_api.g_varchar2_table(130) := '782D73746172747D2E7377616C322D636F6E7461696E65722E7377616C322D746F702D656E642C2E7377616C322D636F6E7461696E65722E7377616C322D746F702D72696768747B616C69676E2D6974656D733A666C65782D73746172743B6A75737469';
wwv_flow_api.g_varchar2_table(131) := '66792D636F6E74656E743A666C65782D656E647D2E7377616C322D636F6E7461696E65722E7377616C322D63656E7465727B616C69676E2D6974656D733A63656E7465727D2E7377616C322D636F6E7461696E65722E7377616C322D63656E7465722D6C';
wwv_flow_api.g_varchar2_table(132) := '6566742C2E7377616C322D636F6E7461696E65722E7377616C322D63656E7465722D73746172747B616C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A666C65782D73746172747D2E7377616C322D636F6E7461696E';
wwv_flow_api.g_varchar2_table(133) := '65722E7377616C322D63656E7465722D656E642C2E7377616C322D636F6E7461696E65722E7377616C322D63656E7465722D72696768747B616C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A666C65782D656E647D';
wwv_flow_api.g_varchar2_table(134) := '2E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D7B616C69676E2D6974656D733A666C65782D656E647D2E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D6C6566742C2E7377616C322D636F6E7461696E';
wwv_flow_api.g_varchar2_table(135) := '65722E7377616C322D626F74746F6D2D73746172747B616C69676E2D6974656D733A666C65782D656E643B6A7573746966792D636F6E74656E743A666C65782D73746172747D2E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D';
wwv_flow_api.g_varchar2_table(136) := '656E642C2E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D72696768747B616C69676E2D6974656D733A666C65782D656E643B6A7573746966792D636F6E74656E743A666C65782D656E647D2E7377616C322D636F6E7461696E';
wwv_flow_api.g_varchar2_table(137) := '65722E7377616C322D626F74746F6D2D656E643E3A66697273742D6368696C642C2E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D6C6566743E3A66697273742D6368696C642C2E7377616C322D636F6E7461696E65722E7377';
wwv_flow_api.g_varchar2_table(138) := '616C322D626F74746F6D2D72696768743E3A66697273742D6368696C642C2E7377616C322D636F6E7461696E65722E7377616C322D626F74746F6D2D73746172743E3A66697273742D6368696C642C2E7377616C322D636F6E7461696E65722E7377616C';
wwv_flow_api.g_varchar2_table(139) := '322D626F74746F6D3E3A66697273742D6368696C647B6D617267696E2D746F703A6175746F7D2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D66756C6C73637265656E3E2E7377616C322D6D6F64616C7B646973706C61793A666C';
wwv_flow_api.g_varchar2_table(140) := '657821696D706F7274616E743B666C65783A313B616C69676E2D73656C663A737472657463683B6A7573746966792D636F6E74656E743A63656E7465727D2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D726F773E2E7377616C32';
wwv_flow_api.g_varchar2_table(141) := '2D6D6F64616C7B646973706C61793A666C657821696D706F7274616E743B666C65783A313B616C69676E2D636F6E74656E743A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465727D2E7377616C322D636F6E7461696E65722E7377';
wwv_flow_api.g_varchar2_table(142) := '616C322D67726F772D636F6C756D6E7B666C65783A313B666C65782D646972656374696F6E3A636F6C756D6E7D2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D626F74746F6D2C2E7377616C322D';
wwv_flow_api.g_varchar2_table(143) := '636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D63656E7465722C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D746F707B616C69676E2D6974656D733A6365';
wwv_flow_api.g_varchar2_table(144) := '6E7465727D2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D626F74746F6D2D6C6566742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D62';
wwv_flow_api.g_varchar2_table(145) := '6F74746F6D2D73746172742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D63656E7465722D6C6566742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E';
wwv_flow_api.g_varchar2_table(146) := '7377616C322D63656E7465722D73746172742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D746F702D6C6566742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C';
wwv_flow_api.g_varchar2_table(147) := '756D6E2E7377616C322D746F702D73746172747B616C69676E2D6974656D733A666C65782D73746172747D2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D626F74746F6D2D656E642C2E7377616C';
wwv_flow_api.g_varchar2_table(148) := '322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D626F74746F6D2D72696768742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D63656E7465722D656E64';
wwv_flow_api.g_varchar2_table(149) := '2C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D63656E7465722D72696768742C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D746F702D';
wwv_flow_api.g_varchar2_table(150) := '656E642C2E7377616C322D636F6E7461696E65722E7377616C322D67726F772D636F6C756D6E2E7377616C322D746F702D72696768747B616C69676E2D6974656D733A666C65782D656E647D2E7377616C322D636F6E7461696E65722E7377616C322D67';
wwv_flow_api.g_varchar2_table(151) := '726F772D636F6C756D6E3E2E7377616C322D6D6F64616C7B646973706C61793A666C657821696D706F7274616E743B666C65783A313B616C69676E2D636F6E74656E743A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465727D2E73';
wwv_flow_api.g_varchar2_table(152) := '77616C322D636F6E7461696E65723A6E6F74282E7377616C322D746F70293A6E6F74282E7377616C322D746F702D7374617274293A6E6F74282E7377616C322D746F702D656E64293A6E6F74282E7377616C322D746F702D6C656674293A6E6F74282E73';
wwv_flow_api.g_varchar2_table(153) := '77616C322D746F702D7269676874293A6E6F74282E7377616C322D63656E7465722D7374617274293A6E6F74282E7377616C322D63656E7465722D656E64293A6E6F74282E7377616C322D63656E7465722D6C656674293A6E6F74282E7377616C322D63';
wwv_flow_api.g_varchar2_table(154) := '656E7465722D7269676874293A6E6F74282E7377616C322D626F74746F6D293A6E6F74282E7377616C322D626F74746F6D2D7374617274293A6E6F74282E7377616C322D626F74746F6D2D656E64293A6E6F74282E7377616C322D626F74746F6D2D6C65';
wwv_flow_api.g_varchar2_table(155) := '6674293A6E6F74282E7377616C322D626F74746F6D2D7269676874293A6E6F74282E7377616C322D67726F772D66756C6C73637265656E293E2E7377616C322D6D6F64616C7B6D617267696E3A6175746F7D406D6564696120616C6C20616E6420282D6D';
wwv_flow_api.g_varchar2_table(156) := '732D686967682D636F6E74726173743A6E6F6E65292C282D6D732D686967682D636F6E74726173743A616374697665297B2E7377616C322D636F6E7461696E6572202E7377616C322D6D6F64616C7B6D617267696E3A3021696D706F7274616E747D7D2E';
wwv_flow_api.g_varchar2_table(157) := '7377616C322D636F6E7461696E65722E7377616C322D666164657B7472616E736974696F6E3A6261636B67726F756E642D636F6C6F72202E31737D2E7377616C322D636F6E7461696E65722E7377616C322D73686F776E7B6261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(158) := '6F6C6F723A7267626128302C302C302C2E34297D2E7377616C322D706F7075707B646973706C61793A6E6F6E653B706F736974696F6E3A72656C61746976653B626F782D73697A696E673A626F726465722D626F783B666C65782D646972656374696F6E';
wwv_flow_api.g_varchar2_table(159) := '3A636F6C756D6E3B6A7573746966792D636F6E74656E743A63656E7465723B77696474683A3332656D3B6D61782D77696474683A313030253B70616464696E673A312E3235656D3B626F726465723A6E6F6E653B626F726465722D7261646975733A2E33';
wwv_flow_api.g_varchar2_table(160) := '313235656D3B6261636B67726F756E643A236666663B666F6E742D66616D696C793A696E68657269743B666F6E742D73697A653A3172656D7D2E7377616C322D706F7075703A666F6375737B6F75746C696E653A307D2E7377616C322D706F7075702E73';
wwv_flow_api.g_varchar2_table(161) := '77616C322D6C6F6164696E677B6F766572666C6F772D793A68696464656E7D2E7377616C322D6865616465727B646973706C61793A666C65783B666C65782D646972656374696F6E3A636F6C756D6E3B616C69676E2D6974656D733A63656E7465727D2E';
wwv_flow_api.g_varchar2_table(162) := '7377616C322D7469746C657B706F736974696F6E3A72656C61746976653B6D61782D77696474683A313030253B6D617267696E3A302030202E34656D3B70616464696E673A303B636F6C6F723A233539353935393B666F6E742D73697A653A312E383735';
wwv_flow_api.g_varchar2_table(163) := '656D3B666F6E742D7765696768743A3630303B746578742D616C69676E3A63656E7465723B746578742D7472616E73666F726D3A6E6F6E653B776F72642D777261703A627265616B2D776F72647D2E7377616C322D616374696F6E737B7A2D696E646578';
wwv_flow_api.g_varchar2_table(164) := '3A313B666C65782D777261703A777261703B616C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465723B6D617267696E3A312E3235656D206175746F20307D2E7377616C322D616374696F6E733A6E6F7428';
wwv_flow_api.g_varchar2_table(165) := '2E7377616C322D6C6F6164696E6729202E7377616C322D7374796C65645B64697361626C65645D7B6F7061636974793A2E347D2E7377616C322D616374696F6E733A6E6F74282E7377616C322D6C6F6164696E6729202E7377616C322D7374796C65643A';
wwv_flow_api.g_varchar2_table(166) := '686F7665727B6261636B67726F756E642D696D6167653A6C696E6561722D6772616469656E74287267626128302C302C302C2E31292C7267626128302C302C302C2E3129297D2E7377616C322D616374696F6E733A6E6F74282E7377616C322D6C6F6164';
wwv_flow_api.g_varchar2_table(167) := '696E6729202E7377616C322D7374796C65643A6163746976657B6261636B67726F756E642D696D6167653A6C696E6561722D6772616469656E74287267626128302C302C302C2E32292C7267626128302C302C302C2E3229297D2E7377616C322D616374';
wwv_flow_api.g_varchar2_table(168) := '696F6E732E7377616C322D6C6F6164696E67202E7377616C322D7374796C65642E7377616C322D636F6E6669726D7B626F782D73697A696E673A626F726465722D626F783B77696474683A322E35656D3B6865696768743A322E35656D3B6D617267696E';
wwv_flow_api.g_varchar2_table(169) := '3A2E3436383735656D3B70616464696E673A303B2D7765626B69742D616E696D6174696F6E3A7377616C322D726F746174652D6C6F6164696E6720312E3573206C696E65617220307320696E66696E697465206E6F726D616C3B616E696D6174696F6E3A';
wwv_flow_api.g_varchar2_table(170) := '7377616C322D726F746174652D6C6F6164696E6720312E3573206C696E65617220307320696E66696E697465206E6F726D616C3B626F726465723A2E3235656D20736F6C6964207472616E73706172656E743B626F726465722D7261646975733A313030';
wwv_flow_api.g_varchar2_table(171) := '253B626F726465722D636F6C6F723A7472616E73706172656E743B6261636B67726F756E642D636F6C6F723A7472616E73706172656E7421696D706F7274616E743B636F6C6F723A7472616E73706172656E743B637572736F723A64656661756C743B2D';
wwv_flow_api.g_varchar2_table(172) := '7765626B69742D757365722D73656C6563743A6E6F6E653B2D6D6F7A2D757365722D73656C6563743A6E6F6E653B2D6D732D757365722D73656C6563743A6E6F6E653B757365722D73656C6563743A6E6F6E657D2E7377616C322D616374696F6E732E73';
wwv_flow_api.g_varchar2_table(173) := '77616C322D6C6F6164696E67202E7377616C322D7374796C65642E7377616C322D63616E63656C7B6D617267696E2D72696768743A333070783B6D617267696E2D6C6566743A333070787D2E7377616C322D616374696F6E732E7377616C322D6C6F6164';
wwv_flow_api.g_varchar2_table(174) := '696E67203A6E6F74282E7377616C322D7374796C6564292E7377616C322D636F6E6669726D3A3A61667465727B636F6E74656E743A22223B646973706C61793A696E6C696E652D626C6F636B3B77696474683A313570783B6865696768743A313570783B';
wwv_flow_api.g_varchar2_table(175) := '6D617267696E2D6C6566743A3570783B2D7765626B69742D616E696D6174696F6E3A7377616C322D726F746174652D6C6F6164696E6720312E3573206C696E65617220307320696E66696E697465206E6F726D616C3B616E696D6174696F6E3A7377616C';
wwv_flow_api.g_varchar2_table(176) := '322D726F746174652D6C6F6164696E6720312E3573206C696E65617220307320696E66696E697465206E6F726D616C3B626F726465723A33707820736F6C696420233939393B626F726465722D7261646975733A3530253B626F726465722D7269676874';
wwv_flow_api.g_varchar2_table(177) := '2D636F6C6F723A7472616E73706172656E743B626F782D736861646F773A317078203170782031707820236666667D2E7377616C322D7374796C65647B6D617267696E3A2E33313235656D3B70616464696E673A2E363235656D2032656D3B626F782D73';
wwv_flow_api.g_varchar2_table(178) := '6861646F773A6E6F6E653B666F6E742D7765696768743A3530307D2E7377616C322D7374796C65643A6E6F74285B64697361626C65645D297B637572736F723A706F696E7465727D2E7377616C322D7374796C65642E7377616C322D636F6E6669726D7B';
wwv_flow_api.g_varchar2_table(179) := '626F726465723A303B626F726465722D7261646975733A2E3235656D3B6261636B67726F756E643A696E697469616C3B6261636B67726F756E642D636F6C6F723A233330383564363B636F6C6F723A236666663B666F6E742D73697A653A312E30363235';
wwv_flow_api.g_varchar2_table(180) := '656D7D2E7377616C322D7374796C65642E7377616C322D63616E63656C7B626F726465723A303B626F726465722D7261646975733A2E3235656D3B6261636B67726F756E643A696E697469616C3B6261636B67726F756E642D636F6C6F723A236161613B';
wwv_flow_api.g_varchar2_table(181) := '636F6C6F723A236666663B666F6E742D73697A653A312E30363235656D7D2E7377616C322D7374796C65643A666F6375737B6F75746C696E653A303B626F782D736861646F773A30203020302032707820236666662C3020302030203470782072676261';
wwv_flow_api.g_varchar2_table(182) := '2835302C3130302C3135302C2E34297D2E7377616C322D7374796C65643A3A2D6D6F7A2D666F6375732D696E6E65727B626F726465723A307D2E7377616C322D666F6F7465727B6A7573746966792D636F6E74656E743A63656E7465723B6D617267696E';
wwv_flow_api.g_varchar2_table(183) := '3A312E3235656D203020303B70616464696E673A31656D203020303B626F726465722D746F703A31707820736F6C696420236565653B636F6C6F723A233534353435343B666F6E742D73697A653A31656D7D2E7377616C322D696D6167657B6D61782D77';
wwv_flow_api.g_varchar2_table(184) := '696474683A313030253B6D617267696E3A312E3235656D206175746F7D2E7377616C322D636C6F73657B706F736974696F6E3A6162736F6C7574653B746F703A303B72696768743A303B6A7573746966792D636F6E74656E743A63656E7465723B776964';
wwv_flow_api.g_varchar2_table(185) := '74683A312E32656D3B6865696768743A312E32656D3B70616464696E673A303B6F766572666C6F773A68696464656E3B7472616E736974696F6E3A636F6C6F72202E317320656173652D6F75743B626F726465723A6E6F6E653B626F726465722D726164';
wwv_flow_api.g_varchar2_table(186) := '6975733A303B6F75746C696E653A696E697469616C3B6261636B67726F756E643A3020303B636F6C6F723A236363633B666F6E742D66616D696C793A73657269663B666F6E742D73697A653A322E35656D3B6C696E652D6865696768743A312E323B6375';
wwv_flow_api.g_varchar2_table(187) := '72736F723A706F696E7465727D2E7377616C322D636C6F73653A686F7665727B2D7765626B69742D7472616E73666F726D3A6E6F6E653B7472616E73666F726D3A6E6F6E653B636F6C6F723A236632373437347D2E7377616C322D636F6E74656E747B7A';
wwv_flow_api.g_varchar2_table(188) := '2D696E6465783A313B6A7573746966792D636F6E74656E743A63656E7465723B6D617267696E3A303B70616464696E673A303B636F6C6F723A233534353435343B666F6E742D73697A653A312E313235656D3B666F6E742D7765696768743A3330303B6C';
wwv_flow_api.g_varchar2_table(189) := '696E652D6865696768743A6E6F726D616C3B776F72642D777261703A627265616B2D776F72647D237377616C322D636F6E74656E747B746578742D616C69676E3A63656E7465727D2E7377616C322D636865636B626F782C2E7377616C322D66696C652C';
wwv_flow_api.g_varchar2_table(190) := '2E7377616C322D696E7075742C2E7377616C322D726164696F2C2E7377616C322D73656C6563742C2E7377616C322D74657874617265617B6D617267696E3A31656D206175746F7D2E7377616C322D66696C652C2E7377616C322D696E7075742C2E7377';
wwv_flow_api.g_varchar2_table(191) := '616C322D74657874617265617B626F782D73697A696E673A626F726465722D626F783B77696474683A313030253B7472616E736974696F6E3A626F726465722D636F6C6F72202E33732C626F782D736861646F77202E33733B626F726465723A31707820';
wwv_flow_api.g_varchar2_table(192) := '736F6C696420236439643964393B626F726465722D7261646975733A2E31383735656D3B6261636B67726F756E643A696E68657269743B626F782D736861646F773A696E73657420302031707820317078207267626128302C302C302C2E3036293B636F';
wwv_flow_api.g_varchar2_table(193) := '6C6F723A696E68657269743B666F6E742D73697A653A312E313235656D7D2E7377616C322D66696C652E7377616C322D696E7075746572726F722C2E7377616C322D696E7075742E7377616C322D696E7075746572726F722C2E7377616C322D74657874';
wwv_flow_api.g_varchar2_table(194) := '617265612E7377616C322D696E7075746572726F727B626F726465722D636F6C6F723A2366323734373421696D706F7274616E743B626F782D736861646F773A30203020327078202366323734373421696D706F7274616E747D2E7377616C322D66696C';
wwv_flow_api.g_varchar2_table(195) := '653A666F6375732C2E7377616C322D696E7075743A666F6375732C2E7377616C322D74657874617265613A666F6375737B626F726465723A31707820736F6C696420236234646265643B6F75746C696E653A303B626F782D736861646F773A3020302033';
wwv_flow_api.g_varchar2_table(196) := '707820236334653666357D2E7377616C322D66696C653A3A2D7765626B69742D696E7075742D706C616365686F6C6465722C2E7377616C322D696E7075743A3A2D7765626B69742D696E7075742D706C616365686F6C6465722C2E7377616C322D746578';
wwv_flow_api.g_varchar2_table(197) := '74617265613A3A2D7765626B69742D696E7075742D706C616365686F6C6465727B636F6C6F723A236363637D2E7377616C322D66696C653A3A2D6D6F7A2D706C616365686F6C6465722C2E7377616C322D696E7075743A3A2D6D6F7A2D706C616365686F';
wwv_flow_api.g_varchar2_table(198) := '6C6465722C2E7377616C322D74657874617265613A3A2D6D6F7A2D706C616365686F6C6465727B636F6C6F723A236363637D2E7377616C322D66696C653A2D6D732D696E7075742D706C616365686F6C6465722C2E7377616C322D696E7075743A2D6D73';
wwv_flow_api.g_varchar2_table(199) := '2D696E7075742D706C616365686F6C6465722C2E7377616C322D74657874617265613A2D6D732D696E7075742D706C616365686F6C6465727B636F6C6F723A236363637D2E7377616C322D66696C653A3A2D6D732D696E7075742D706C616365686F6C64';
wwv_flow_api.g_varchar2_table(200) := '65722C2E7377616C322D696E7075743A3A2D6D732D696E7075742D706C616365686F6C6465722C2E7377616C322D74657874617265613A3A2D6D732D696E7075742D706C616365686F6C6465727B636F6C6F723A236363637D2E7377616C322D66696C65';
wwv_flow_api.g_varchar2_table(201) := '3A3A706C616365686F6C6465722C2E7377616C322D696E7075743A3A706C616365686F6C6465722C2E7377616C322D74657874617265613A3A706C616365686F6C6465727B636F6C6F723A236363637D2E7377616C322D72616E67657B6D617267696E3A';
wwv_flow_api.g_varchar2_table(202) := '31656D206175746F3B6261636B67726F756E643A696E68657269747D2E7377616C322D72616E676520696E7075747B77696474683A3830257D2E7377616C322D72616E6765206F75747075747B77696474683A3230253B636F6C6F723A696E6865726974';
wwv_flow_api.g_varchar2_table(203) := '3B666F6E742D7765696768743A3630303B746578742D616C69676E3A63656E7465727D2E7377616C322D72616E676520696E7075742C2E7377616C322D72616E6765206F75747075747B6865696768743A322E363235656D3B70616464696E673A303B66';
wwv_flow_api.g_varchar2_table(204) := '6F6E742D73697A653A312E313235656D3B6C696E652D6865696768743A322E363235656D7D2E7377616C322D696E7075747B6865696768743A322E363235656D3B70616464696E673A30202E3735656D7D2E7377616C322D696E7075745B747970653D6E';
wwv_flow_api.g_varchar2_table(205) := '756D6265725D7B6D61782D77696474683A3130656D7D2E7377616C322D66696C657B6261636B67726F756E643A696E68657269743B666F6E742D73697A653A312E313235656D7D2E7377616C322D74657874617265617B6865696768743A362E3735656D';
wwv_flow_api.g_varchar2_table(206) := '3B70616464696E673A2E3735656D7D2E7377616C322D73656C6563747B6D696E2D77696474683A3530253B6D61782D77696474683A313030253B70616464696E673A2E333735656D202E363235656D3B6261636B67726F756E643A696E68657269743B63';
wwv_flow_api.g_varchar2_table(207) := '6F6C6F723A696E68657269743B666F6E742D73697A653A312E313235656D7D2E7377616C322D636865636B626F782C2E7377616C322D726164696F7B616C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465';
wwv_flow_api.g_varchar2_table(208) := '723B6261636B67726F756E643A696E68657269743B636F6C6F723A696E68657269747D2E7377616C322D636865636B626F78206C6162656C2C2E7377616C322D726164696F206C6162656C7B6D617267696E3A30202E36656D3B666F6E742D73697A653A';
wwv_flow_api.g_varchar2_table(209) := '312E313235656D7D2E7377616C322D636865636B626F7820696E7075742C2E7377616C322D726164696F20696E7075747B6D617267696E3A30202E34656D7D2E7377616C322D76616C69646174696F6E2D6D6573736167657B646973706C61793A6E6F6E';
wwv_flow_api.g_varchar2_table(210) := '653B616C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465723B70616464696E673A2E363235656D3B6F766572666C6F773A68696464656E3B6261636B67726F756E643A236630663066303B636F6C6F723A';
wwv_flow_api.g_varchar2_table(211) := '233636363B666F6E742D73697A653A31656D3B666F6E742D7765696768743A3330307D2E7377616C322D76616C69646174696F6E2D6D6573736167653A3A6265666F72657B636F6E74656E743A2221223B646973706C61793A696E6C696E652D626C6F63';
wwv_flow_api.g_varchar2_table(212) := '6B3B77696474683A312E35656D3B6D696E2D77696474683A312E35656D3B6865696768743A312E35656D3B6D617267696E3A30202E363235656D3B7A6F6F6D3A6E6F726D616C3B626F726465722D7261646975733A3530253B6261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(213) := '636F6C6F723A236632373437343B636F6C6F723A236666663B666F6E742D7765696768743A3630303B6C696E652D6865696768743A312E35656D3B746578742D616C69676E3A63656E7465727D40737570706F72747320282D6D732D616363656C657261';
wwv_flow_api.g_varchar2_table(214) := '746F723A74727565297B2E7377616C322D72616E676520696E7075747B77696474683A3130302521696D706F7274616E747D2E7377616C322D72616E6765206F75747075747B646973706C61793A6E6F6E657D7D406D6564696120616C6C20616E642028';
wwv_flow_api.g_varchar2_table(215) := '2D6D732D686967682D636F6E74726173743A6E6F6E65292C282D6D732D686967682D636F6E74726173743A616374697665297B2E7377616C322D72616E676520696E7075747B77696474683A3130302521696D706F7274616E747D2E7377616C322D7261';
wwv_flow_api.g_varchar2_table(216) := '6E6765206F75747075747B646973706C61793A6E6F6E657D7D402D6D6F7A2D646F63756D656E742075726C2D70726566697828297B2E7377616C322D636C6F73653A666F6375737B6F75746C696E653A32707820736F6C696420726762612835302C3130';
wwv_flow_api.g_varchar2_table(217) := '302C3135302C2E34297D7D2E7377616C322D69636F6E7B706F736974696F6E3A72656C61746976653B626F782D73697A696E673A636F6E74656E742D626F783B6A7573746966792D636F6E74656E743A63656E7465723B77696474683A35656D3B686569';
wwv_flow_api.g_varchar2_table(218) := '6768743A35656D3B6D617267696E3A312E3235656D206175746F20312E383735656D3B7A6F6F6D3A6E6F726D616C3B626F726465723A2E3235656D20736F6C6964207472616E73706172656E743B626F726465722D7261646975733A3530253B6C696E65';
wwv_flow_api.g_varchar2_table(219) := '2D6865696768743A35656D3B637572736F723A64656661756C743B2D7765626B69742D757365722D73656C6563743A6E6F6E653B2D6D6F7A2D757365722D73656C6563743A6E6F6E653B2D6D732D757365722D73656C6563743A6E6F6E653B757365722D';
wwv_flow_api.g_varchar2_table(220) := '73656C6563743A6E6F6E657D2E7377616C322D69636F6E3A3A6265666F72657B646973706C61793A666C65783B616C69676E2D6974656D733A63656E7465723B6865696768743A3932253B666F6E742D73697A653A332E3735656D7D2E7377616C322D69';
wwv_flow_api.g_varchar2_table(221) := '636F6E2E7377616C322D6572726F727B626F726465722D636F6C6F723A236632373437347D2E7377616C322D69636F6E2E7377616C322D6572726F72202E7377616C322D782D6D61726B7B706F736974696F6E3A72656C61746976653B666C65782D6772';
wwv_flow_api.g_varchar2_table(222) := '6F773A317D2E7377616C322D69636F6E2E7377616C322D6572726F72205B636C6173735E3D7377616C322D782D6D61726B2D6C696E655D7B646973706C61793A626C6F636B3B706F736974696F6E3A6162736F6C7574653B746F703A322E33313235656D';
wwv_flow_api.g_varchar2_table(223) := '3B77696474683A322E39333735656D3B6865696768743A2E33313235656D3B626F726465722D7261646975733A2E313235656D3B6261636B67726F756E642D636F6C6F723A236632373437347D2E7377616C322D69636F6E2E7377616C322D6572726F72';
wwv_flow_api.g_varchar2_table(224) := '205B636C6173735E3D7377616C322D782D6D61726B2D6C696E655D5B636C617373243D6C6566745D7B6C6566743A312E30363235656D3B2D7765626B69742D7472616E73666F726D3A726F74617465283435646567293B7472616E73666F726D3A726F74';
wwv_flow_api.g_varchar2_table(225) := '617465283435646567297D2E7377616C322D69636F6E2E7377616C322D6572726F72205B636C6173735E3D7377616C322D782D6D61726B2D6C696E655D5B636C617373243D72696768745D7B72696768743A31656D3B2D7765626B69742D7472616E7366';
wwv_flow_api.g_varchar2_table(226) := '6F726D3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567297D2E7377616C322D69636F6E2E7377616C322D7761726E696E677B626F726465722D636F6C6F723A236661636561383B636F6C6F723A236638';
wwv_flow_api.g_varchar2_table(227) := '626238367D2E7377616C322D69636F6E2E7377616C322D7761726E696E673A3A6265666F72657B636F6E74656E743A2221227D2E7377616C322D69636F6E2E7377616C322D696E666F7B626F726465722D636F6C6F723A233964653066363B636F6C6F72';
wwv_flow_api.g_varchar2_table(228) := '3A233366633365657D2E7377616C322D69636F6E2E7377616C322D696E666F3A3A6265666F72657B636F6E74656E743A2269227D2E7377616C322D69636F6E2E7377616C322D7175657374696F6E7B626F726465722D636F6C6F723A236339646165313B';
wwv_flow_api.g_varchar2_table(229) := '636F6C6F723A233837616462647D2E7377616C322D69636F6E2E7377616C322D7175657374696F6E3A3A6265666F72657B636F6E74656E743A223F227D2E7377616C322D69636F6E2E7377616C322D7175657374696F6E2E7377616C322D617261626963';
wwv_flow_api.g_varchar2_table(230) := '2D7175657374696F6E2D6D61726B3A3A6265666F72657B636F6E74656E743A22D89F227D2E7377616C322D69636F6E2E7377616C322D737563636573737B626F726465722D636F6C6F723A236135646338367D2E7377616C322D69636F6E2E7377616C32';
wwv_flow_api.g_varchar2_table(231) := '2D73756363657373205B636C6173735E3D7377616C322D737563636573732D63697263756C61722D6C696E655D7B706F736974696F6E3A6162736F6C7574653B77696474683A332E3735656D3B6865696768743A372E35656D3B2D7765626B69742D7472';
wwv_flow_api.g_varchar2_table(232) := '616E73666F726D3A726F74617465283435646567293B7472616E73666F726D3A726F74617465283435646567293B626F726465722D7261646975733A3530257D2E7377616C322D69636F6E2E7377616C322D73756363657373205B636C6173735E3D7377';
wwv_flow_api.g_varchar2_table(233) := '616C322D737563636573732D63697263756C61722D6C696E655D5B636C617373243D6C6566745D7B746F703A2D2E34333735656D3B6C6566743A2D322E30363335656D3B2D7765626B69742D7472616E73666F726D3A726F74617465282D343564656729';
wwv_flow_api.g_varchar2_table(234) := '3B7472616E73666F726D3A726F74617465282D3435646567293B2D7765626B69742D7472616E73666F726D2D6F726967696E3A332E3735656D20332E3735656D3B7472616E73666F726D2D6F726967696E3A332E3735656D20332E3735656D3B626F7264';
wwv_flow_api.g_varchar2_table(235) := '65722D7261646975733A372E35656D2030203020372E35656D7D2E7377616C322D69636F6E2E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D63697263756C61722D6C696E655D5B636C617373243D72696768';
wwv_flow_api.g_varchar2_table(236) := '745D7B746F703A2D2E36383735656D3B6C6566743A312E383735656D3B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567293B2D7765626B69742D7472616E73';
wwv_flow_api.g_varchar2_table(237) := '666F726D2D6F726967696E3A3020332E3735656D3B7472616E73666F726D2D6F726967696E3A3020332E3735656D3B626F726465722D7261646975733A3020372E35656D20372E35656D20307D2E7377616C322D69636F6E2E7377616C322D7375636365';
wwv_flow_api.g_varchar2_table(238) := '7373202E7377616C322D737563636573732D72696E677B706F736974696F6E3A6162736F6C7574653B7A2D696E6465783A323B746F703A2D2E3235656D3B6C6566743A2D2E3235656D3B626F782D73697A696E673A636F6E74656E742D626F783B776964';
wwv_flow_api.g_varchar2_table(239) := '74683A313030253B6865696768743A313030253B626F726465723A2E3235656D20736F6C69642072676261283136352C3232302C3133342C2E33293B626F726465722D7261646975733A3530257D2E7377616C322D69636F6E2E7377616C322D73756363';
wwv_flow_api.g_varchar2_table(240) := '657373202E7377616C322D737563636573732D6669787B706F736974696F6E3A6162736F6C7574653B7A2D696E6465783A313B746F703A2E35656D3B6C6566743A312E363235656D3B77696474683A2E34333735656D3B6865696768743A352E36323565';
wwv_flow_api.g_varchar2_table(241) := '6D3B2D7765626B69742D7472616E73666F726D3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567297D2E7377616C322D69636F6E2E7377616C322D73756363657373205B636C6173735E3D7377616C322D';
wwv_flow_api.g_varchar2_table(242) := '737563636573732D6C696E655D7B646973706C61793A626C6F636B3B706F736974696F6E3A6162736F6C7574653B7A2D696E6465783A323B6865696768743A2E33313235656D3B626F726465722D7261646975733A2E313235656D3B6261636B67726F75';
wwv_flow_api.g_varchar2_table(243) := '6E642D636F6C6F723A236135646338367D2E7377616C322D69636F6E2E7377616C322D73756363657373205B636C6173735E3D7377616C322D737563636573732D6C696E655D5B636C617373243D7469705D7B746F703A322E383735656D3B6C6566743A';
wwv_flow_api.g_varchar2_table(244) := '2E383735656D3B77696474683A312E35363235656D3B2D7765626B69742D7472616E73666F726D3A726F74617465283435646567293B7472616E73666F726D3A726F74617465283435646567297D2E7377616C322D69636F6E2E7377616C322D73756363';
wwv_flow_api.g_varchar2_table(245) := '657373205B636C6173735E3D7377616C322D737563636573732D6C696E655D5B636C617373243D6C6F6E675D7B746F703A322E333735656D3B72696768743A2E35656D3B77696474683A322E39333735656D3B2D7765626B69742D7472616E73666F726D';
wwv_flow_api.g_varchar2_table(246) := '3A726F74617465282D3435646567293B7472616E73666F726D3A726F74617465282D3435646567297D2E7377616C322D70726F67726573732D73746570737B616C69676E2D6974656D733A63656E7465723B6D617267696E3A30203020312E3235656D3B';
wwv_flow_api.g_varchar2_table(247) := '70616464696E673A303B6261636B67726F756E643A696E68657269743B666F6E742D7765696768743A3630307D2E7377616C322D70726F67726573732D7374657073206C697B646973706C61793A696E6C696E652D626C6F636B3B706F736974696F6E3A';
wwv_flow_api.g_varchar2_table(248) := '72656C61746976657D2E7377616C322D70726F67726573732D7374657073202E7377616C322D70726F67726573732D737465707B7A2D696E6465783A32303B77696474683A32656D3B6865696768743A32656D3B626F726465722D7261646975733A3265';
wwv_flow_api.g_varchar2_table(249) := '6D3B6261636B67726F756E643A233330383564363B636F6C6F723A236666663B6C696E652D6865696768743A32656D3B746578742D616C69676E3A63656E7465727D2E7377616C322D70726F67726573732D7374657073202E7377616C322D70726F6772';
wwv_flow_api.g_varchar2_table(250) := '6573732D737465702E7377616C322D6163746976652D70726F67726573732D737465707B6261636B67726F756E643A233330383564367D2E7377616C322D70726F67726573732D7374657073202E7377616C322D70726F67726573732D737465702E7377';
wwv_flow_api.g_varchar2_table(251) := '616C322D6163746976652D70726F67726573732D737465707E2E7377616C322D70726F67726573732D737465707B6261636B67726F756E643A236164643865363B636F6C6F723A236666667D2E7377616C322D70726F67726573732D7374657073202E73';
wwv_flow_api.g_varchar2_table(252) := '77616C322D70726F67726573732D737465702E7377616C322D6163746976652D70726F67726573732D737465707E2E7377616C322D70726F67726573732D737465702D6C696E657B6261636B67726F756E643A236164643865367D2E7377616C322D7072';
wwv_flow_api.g_varchar2_table(253) := '6F67726573732D7374657073202E7377616C322D70726F67726573732D737465702D6C696E657B7A2D696E6465783A31303B77696474683A322E35656D3B6865696768743A2E34656D3B6D617267696E3A30202D3170783B6261636B67726F756E643A23';
wwv_flow_api.g_varchar2_table(254) := '3330383564367D5B636C6173735E3D7377616C325D7B2D7765626B69742D7461702D686967686C696768742D636F6C6F723A7472616E73706172656E747D2E7377616C322D73686F777B2D7765626B69742D616E696D6174696F6E3A7377616C322D7368';
wwv_flow_api.g_varchar2_table(255) := '6F77202E33733B616E696D6174696F6E3A7377616C322D73686F77202E33737D2E7377616C322D73686F772E7377616C322D6E6F616E696D6174696F6E7B2D7765626B69742D616E696D6174696F6E3A6E6F6E653B616E696D6174696F6E3A6E6F6E657D';
wwv_flow_api.g_varchar2_table(256) := '2E7377616C322D686964657B2D7765626B69742D616E696D6174696F6E3A7377616C322D68696465202E31357320666F7277617264733B616E696D6174696F6E3A7377616C322D68696465202E31357320666F7277617264737D2E7377616C322D686964';
wwv_flow_api.g_varchar2_table(257) := '652E7377616C322D6E6F616E696D6174696F6E7B2D7765626B69742D616E696D6174696F6E3A6E6F6E653B616E696D6174696F6E3A6E6F6E657D2E7377616C322D72746C202E7377616C322D636C6F73657B72696768743A6175746F3B6C6566743A307D';
wwv_flow_api.g_varchar2_table(258) := '2E7377616C322D616E696D6174652D737563636573732D69636F6E202E7377616C322D737563636573732D6C696E652D7469707B2D7765626B69742D616E696D6174696F6E3A7377616C322D616E696D6174652D737563636573732D6C696E652D746970';
wwv_flow_api.g_varchar2_table(259) := '202E3735733B616E696D6174696F6E3A7377616C322D616E696D6174652D737563636573732D6C696E652D746970202E3735737D2E7377616C322D616E696D6174652D737563636573732D69636F6E202E7377616C322D737563636573732D6C696E652D';
wwv_flow_api.g_varchar2_table(260) := '6C6F6E677B2D7765626B69742D616E696D6174696F6E3A7377616C322D616E696D6174652D737563636573732D6C696E652D6C6F6E67202E3735733B616E696D6174696F6E3A7377616C322D616E696D6174652D737563636573732D6C696E652D6C6F6E';
wwv_flow_api.g_varchar2_table(261) := '67202E3735737D2E7377616C322D616E696D6174652D737563636573732D69636F6E202E7377616C322D737563636573732D63697263756C61722D6C696E652D72696768747B2D7765626B69742D616E696D6174696F6E3A7377616C322D726F74617465';
wwv_flow_api.g_varchar2_table(262) := '2D737563636573732D63697263756C61722D6C696E6520342E32357320656173652D696E3B616E696D6174696F6E3A7377616C322D726F746174652D737563636573732D63697263756C61722D6C696E6520342E32357320656173652D696E7D2E737761';
wwv_flow_api.g_varchar2_table(263) := '6C322D616E696D6174652D6572726F722D69636F6E7B2D7765626B69742D616E696D6174696F6E3A7377616C322D616E696D6174652D6572726F722D69636F6E202E35733B616E696D6174696F6E3A7377616C322D616E696D6174652D6572726F722D69';
wwv_flow_api.g_varchar2_table(264) := '636F6E202E35737D2E7377616C322D616E696D6174652D6572726F722D69636F6E202E7377616C322D782D6D61726B7B2D7765626B69742D616E696D6174696F6E3A7377616C322D616E696D6174652D6572726F722D782D6D61726B202E35733B616E69';
wwv_flow_api.g_varchar2_table(265) := '6D6174696F6E3A7377616C322D616E696D6174652D6572726F722D782D6D61726B202E35737D402D7765626B69742D6B65796672616D6573207377616C322D726F746174652D6C6F6164696E677B30257B2D7765626B69742D7472616E73666F726D3A72';
wwv_flow_api.g_varchar2_table(266) := '6F746174652830293B7472616E73666F726D3A726F746174652830297D313030257B2D7765626B69742D7472616E73666F726D3A726F7461746528333630646567293B7472616E73666F726D3A726F7461746528333630646567297D7D406B6579667261';
wwv_flow_api.g_varchar2_table(267) := '6D6573207377616C322D726F746174652D6C6F6164696E677B30257B2D7765626B69742D7472616E73666F726D3A726F746174652830293B7472616E73666F726D3A726F746174652830297D313030257B2D7765626B69742D7472616E73666F726D3A72';
wwv_flow_api.g_varchar2_table(268) := '6F7461746528333630646567293B7472616E73666F726D3A726F7461746528333630646567297D7D406D65646961207072696E747B626F64792E7377616C322D73686F776E3A6E6F74282E7377616C322D6E6F2D6261636B64726F70293A6E6F74282E73';
wwv_flow_api.g_varchar2_table(269) := '77616C322D746F6173742D73686F776E297B6F766572666C6F772D793A7363726F6C6C21696D706F7274616E747D626F64792E7377616C322D73686F776E3A6E6F74282E7377616C322D6E6F2D6261636B64726F70293A6E6F74282E7377616C322D746F';
wwv_flow_api.g_varchar2_table(270) := '6173742D73686F776E293E5B617269612D68696464656E3D747275655D7B646973706C61793A6E6F6E657D626F64792E7377616C322D73686F776E3A6E6F74282E7377616C322D6E6F2D6261636B64726F70293A6E6F74282E7377616C322D746F617374';
wwv_flow_api.g_varchar2_table(271) := '2D73686F776E29202E7377616C322D636F6E7461696E65727B706F736974696F6E3A696E697469616C21696D706F7274616E747D7D';
null;
end;
/
begin
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(4870633381843573)
,p_file_name=>'sweetalert2.min.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
null;
end;
/
prompt --application/plugin_settings
begin
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(4725808258840616)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_DISPLAY_SELECTOR'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(4726128803840616)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_IG'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(4726477426840616)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_RICH_TEXT_EDITOR'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(4726704113840616)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_IR'
,p_attribute_01=>'IG'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(4727075822840616)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_CSS_CALENDAR'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(4727306285840616)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_COLOR_PICKER'
,p_attribute_01=>'modern'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(4727626057840617)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_YES_NO'
,p_attribute_01=>'Y'
,p_attribute_03=>'N'
,p_attribute_05=>'SWITCH'
);
end;
/
prompt --application/shared_components/security/authorizations/administration_rights
begin
wwv_flow_api.create_security_scheme(
 p_id=>wwv_flow_api.id(4859744315840685)
,p_name=>'Administration Rights'
,p_scheme_type=>'NATIVE_FUNCTION_BODY'
,p_attribute_01=>'return true;'
,p_error_message=>'Insufficient privileges, user is not an Administrator'
,p_caching=>'BY_USER_BY_PAGE_VIEW'
);
end;
/
prompt --application/shared_components/navigation/navigation_bar
begin
null;
end;
/
prompt --application/shared_components/logic/application_items
begin
null;
end;
/
prompt --application/shared_components/logic/application_computations
begin
null;
end;
/
prompt --application/shared_components/logic/application_settings
begin
null;
end;
/
prompt --application/shared_components/navigation/tabs/standard
begin
null;
end;
/
prompt --application/shared_components/navigation/tabs/parent
begin
null;
end;
/
prompt --application/shared_components/user_interface/lovs/login_remember_username
begin
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(4862372741840688)
,p_lov_name=>'LOGIN_REMEMBER_USERNAME'
,p_lov_query=>'.'||wwv_flow_api.id(4862372741840688)||'.'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(4862730181840688)
,p_lov_disp_sequence=>10
,p_lov_disp_value=>'Remember username'
,p_lov_return_value=>'Y'
);
end;
/
prompt --application/pages/page_groups
begin
wwv_flow_api.create_page_group(
 p_id=>wwv_flow_api.id(4860319877840685)
,p_group_name=>'Administration'
);
end;
/
prompt --application/comments
begin
null;
end;
/
prompt --application/shared_components/navigation/breadcrumbs/breadcrumb
begin
wwv_flow_api.create_menu(
 p_id=>wwv_flow_api.id(4728255056840617)
,p_name=>'Breadcrumb'
);
wwv_flow_api.create_menu_option(
 p_id=>wwv_flow_api.id(4728413428840617)
,p_short_name=>'Home'
,p_link=>'f?p=&APP_ID.:1:&APP_SESSION.::&DEBUG.'
,p_page_id=>1
);
end;
/
prompt --application/shared_components/user_interface/templates/page/master_detail
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(4729043420840618)
,p_theme_id=>42
,p_name=>'Marquee'
,p_internal_name=>'MASTER_DETAIL'
,p_is_popup=>false
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.stickyTableHeader#MIN#.js?v=#APEX_VERSION#',
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'))
,p_javascript_code_onload=>'apex.theme42.initializePage.masterDetail();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--masterDetail t-PageBody--hideLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Header-controlsIcon" aria-hidden="t'
||'rue"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-info" id="t_Body_info">#REGION_POSITION_02#</div>',
'        <div class="t-Body-contentInner" role="main">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>1996914646461572319
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4729309284840618)
,p_page_template_id=>wwv_flow_api.id(4729043420840618)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4729609214840618)
,p_page_template_id=>wwv_flow_api.id(4729043420840618)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4729938191840618)
,p_page_template_id=>wwv_flow_api.id(4729043420840618)
,p_name=>'Master Detail'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4730282034840618)
,p_page_template_id=>wwv_flow_api.id(4729043420840618)
,p_name=>'Right Side Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4730577825840618)
,p_page_template_id=>wwv_flow_api.id(4729043420840618)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4730825689840619)
,p_page_template_id=>wwv_flow_api.id(4729043420840618)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4731179826840619)
,p_page_template_id=>wwv_flow_api.id(4729043420840618)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4731406619840619)
,p_page_template_id=>wwv_flow_api.id(4729043420840618)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4731762100840619)
,p_page_template_id=>wwv_flow_api.id(4729043420840618)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/modal_dialog
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(4732123921840619)
,p_theme_id=>42
,p_name=>'Modal Dialog'
,p_internal_name=>'MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.modalDialog();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--standard #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'    <div class="t-Dialog-bodyWrapperIn">',
'      <div class="t-Dialog-body" role="main">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        #BODY#',
'      </div>',
'    </div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},''t-Dialog-page--standard ''+#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2098960803539086924
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4732489323840620)
,p_page_template_id=>wwv_flow_api.id(4732123921840619)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4732715414840620)
,p_page_template_id=>wwv_flow_api.id(4732123921840619)
,p_name=>'Dialog Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4733084241840620)
,p_page_template_id=>wwv_flow_api.id(4732123921840619)
,p_name=>'Dialog Footer'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/login
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(4733697402840620)
,p_theme_id=>42
,p_name=>'Login'
,p_internal_name=>'LOGIN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.appLogin();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody--login no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #REGION_POSITION_01#',
'  #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'  <div class="t-Body-wrap">',
'    <div class="t-Body-col t-Body-col--main">',
'      <div class="t-Login-container" role="main">#BODY#</div>',
'    </div>',
'  </div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>6
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2099711150063350616
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4733954305840620)
,p_page_template_id=>wwv_flow_api.id(4733697402840620)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4734246898840620)
,p_page_template_id=>wwv_flow_api.id(4733697402840620)
,p_name=>'Body Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/wizard_modal_dialog
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(4734410872840620)
,p_theme_id=>42
,p_name=>'Wizard Modal Dialog'
,p_internal_name=>'WIZARD_MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.wizardModal();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--wizard #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'    <div class="t-Dialog-bodyWrapperIn">',
'      <div class="t-Dialog-body" role="main">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        #BODY#',
'      </div>',
'    </div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},''t-Dialog-page--wizard ''+#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2120348229686426515
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4734773517840621)
,p_page_template_id=>wwv_flow_api.id(4734410872840620)
,p_name=>'Wizard Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4735084755840621)
,p_page_template_id=>wwv_flow_api.id(4734410872840620)
,p_name=>'Wizard Progress Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4735313612840621)
,p_page_template_id=>wwv_flow_api.id(4734410872840620)
,p_name=>'Wizard Buttons'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/left_side_column
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(4735916462840622)
,p_theme_id=>42
,p_name=>'Left Side Column'
,p_internal_name=>'LEFT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.leftSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Header-controlsIcon" aria-hidden="t'
||'rue"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">#NAVIGATION_BAR#</div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-side" id="t_Body_side">#REGION_POSITION_02#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525196570560608698
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4736230612840622)
,p_page_template_id=>wwv_flow_api.id(4735916462840622)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4736548589840622)
,p_page_template_id=>wwv_flow_api.id(4735916462840622)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4736893685840622)
,p_page_template_id=>wwv_flow_api.id(4735916462840622)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4737134138840623)
,p_page_template_id=>wwv_flow_api.id(4735916462840622)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4737478107840623)
,p_page_template_id=>wwv_flow_api.id(4735916462840622)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4737744945840623)
,p_page_template_id=>wwv_flow_api.id(4735916462840622)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4738070457840623)
,p_page_template_id=>wwv_flow_api.id(4735916462840622)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4738375393840623)
,p_page_template_id=>wwv_flow_api.id(4735916462840622)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/right_side_column
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(4738704996840623)
,p_theme_id=>42
,p_name=>'Right Side Column'
,p_internal_name=>'RIGHT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.rightSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8"> ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Header-controlsIcon" aria-hidden="t'
||'rue"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">#NAVIGATION_BAR#</div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" aria-label="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button'
||'>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525200116240651575
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4739048477840623)
,p_page_template_id=>wwv_flow_api.id(4738704996840623)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4739327279840623)
,p_page_template_id=>wwv_flow_api.id(4738704996840623)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4739681173840624)
,p_page_template_id=>wwv_flow_api.id(4738704996840623)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4739962123840624)
,p_page_template_id=>wwv_flow_api.id(4738704996840623)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4740280856840624)
,p_page_template_id=>wwv_flow_api.id(4738704996840623)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4740520977840624)
,p_page_template_id=>wwv_flow_api.id(4738704996840623)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4740842196840624)
,p_page_template_id=>wwv_flow_api.id(4738704996840623)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4741101772840624)
,p_page_template_id=>wwv_flow_api.id(4738704996840623)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/left_and_right_side_columns
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(4741553021840624)
,p_theme_id=>42
,p_name=>'Left and Right Side Columns'
,p_internal_name=>'LEFT_AND_RIGHT_SIDE_COLUMNS'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.bothSideCols();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">  ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Header-controlsIcon" aria-hidden="t'
||'rue"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">#NAVIGATION_BAR#</div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-side" id="t_Body_side">#REGION_POSITION_02#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525203692562657055
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4741882362840625)
,p_page_template_id=>wwv_flow_api.id(4741553021840624)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>6
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4742192339840625)
,p_page_template_id=>wwv_flow_api.id(4741553021840624)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4742432617840625)
,p_page_template_id=>wwv_flow_api.id(4741553021840624)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>3
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4742756064840625)
,p_page_template_id=>wwv_flow_api.id(4741553021840624)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>3
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4743072158840625)
,p_page_template_id=>wwv_flow_api.id(4741553021840624)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4743364760840625)
,p_page_template_id=>wwv_flow_api.id(4741553021840624)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>6
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4743691989840625)
,p_page_template_id=>wwv_flow_api.id(4741553021840624)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4743998156840625)
,p_page_template_id=>wwv_flow_api.id(4741553021840624)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4744288962840625)
,p_page_template_id=>wwv_flow_api.id(4741553021840624)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>6
);
end;
/
prompt --application/shared_components/user_interface/templates/page/minimal_no_navigation
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(4744616798840626)
,p_theme_id=>42
,p_name=>'Minimal (No Navigation)'
,p_internal_name=>'MINIMAL_NO_NAVIGATION'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#  ',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES# t-PageBody--noNav" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'</header>',
'    '))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>4
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2977628563533209425
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4744959642840626)
,p_page_template_id=>wwv_flow_api.id(4744616798840626)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4745258083840626)
,p_page_template_id=>wwv_flow_api.id(4744616798840626)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4745592326840626)
,p_page_template_id=>wwv_flow_api.id(4744616798840626)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4745875221840626)
,p_page_template_id=>wwv_flow_api.id(4744616798840626)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4746130173840627)
,p_page_template_id=>wwv_flow_api.id(4744616798840626)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4746492598840627)
,p_page_template_id=>wwv_flow_api.id(4744616798840626)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4746712867840627)
,p_page_template_id=>wwv_flow_api.id(4744616798840626)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/page/standard
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(4747187057840627)
,p_theme_id=>42
,p_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Header-controlsIcon" aria-hidden="t'
||'rue"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">#NAVIGATION_BAR#</div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>1
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>4070909157481059304
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4747417526840627)
,p_page_template_id=>wwv_flow_api.id(4747187057840627)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4747793259840627)
,p_page_template_id=>wwv_flow_api.id(4747187057840627)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4748007694840627)
,p_page_template_id=>wwv_flow_api.id(4747187057840627)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4748328290840627)
,p_page_template_id=>wwv_flow_api.id(4747187057840627)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4748620507840628)
,p_page_template_id=>wwv_flow_api.id(4747187057840627)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4748934961840628)
,p_page_template_id=>wwv_flow_api.id(4747187057840627)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(4749242861840628)
,p_page_template_id=>wwv_flow_api.id(4747187057840627)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/button/icon
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(4833947698840672)
,p_template_name=>'Icon'
,p_internal_name=>'ICON'
,p_template=>'<button class="t-Button t-Button--noLabel t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL#" aria-label="#LABEL#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"><'
||'/span></button>'
,p_hot_template=>'<button class="t-Button t-Button--noLabel t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL#" aria-label="#LABEL#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-h'
||'idden="true"></span></button>'
,p_reference_id=>2347660919680321258
,p_translate_this_template=>'N'
,p_theme_class_id=>5
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(4834644392840672)
,p_template_name=>'Text'
,p_internal_name=>'TEXT'
,p_template=>'<button onclick="#JAVASCRIPT#" class="t-Button #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_hot_template=>'<button onclick="#JAVASCRIPT#" class="t-Button t-Button--hot #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_reference_id=>4070916158035059322
,p_translate_this_template=>'N'
,p_theme_class_id=>1
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text_with_icon
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(4834771691840672)
,p_template_name=>'Text with Icon'
,p_internal_name=>'TEXT_WITH_ICON'
,p_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-label">#LABEL#'
||'</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_hot_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-'
||'label">#LABEL#</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_reference_id=>2081382742158699622
,p_translate_this_template=>'N'
,p_theme_class_id=>4
,p_preset_template_options=>'t-Button--iconRight'
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/region/alert
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4749694593840628)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">#BODY#</div>',
'    </div>',
'    <div class="t-Alert-buttons">#PREVIOUS##CLOSE##CREATE##NEXT#</div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Alert'
,p_internal_name=>'ALERT'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--warning'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2039236646100190748
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4749935626840628)
,p_plug_template_id=>wwv_flow_api.id(4749694593840628)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4753397256840630)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="#REGION_CSS_CLASSES#"> ',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Blank with Attributes'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>4499993862448380551
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes_no_grid
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4753552971840630)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="#REGION_CSS_CLASSES#"> ',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Blank with Attributes (No Grid)'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES_NO_GRID'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3369790999010910123
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4753861176840630)
,p_plug_template_id=>wwv_flow_api.id(4753552971840630)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4754195898840630)
,p_plug_template_id=>wwv_flow_api.id(4753552971840630)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/buttons_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4754365122840630)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ButtonRegion t-Form--floatLeft #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-ButtonRegion-wrap">',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##CLOSE##DELETE#</div></div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--content">',
'      <h2 class="t-ButtonRegion-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'      #BODY#',
'      <div class="t-ButtonRegion-buttons">#CHANGE#</div>',
'    </div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Buttons Container'
,p_internal_name=>'BUTTONS_CONTAINER'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>17
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2124982336649579661
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4754625950840630)
,p_plug_template_id=>wwv_flow_api.id(4754365122840630)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4754962535840630)
,p_plug_template_id=>wwv_flow_api.id(4754365122840630)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/carousel_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4756521543840631)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--carousel #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'    <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #BODY#',
'   <div class="t-Region-carouselRegions">',
'     #SUB_REGIONS#',
'   </div>',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'    <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'   </div>',
' </div>',
'</div>'))
,p_sub_plug_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div data-label="#SUB_REGION_TITLE#" id="SR_#SUB_REGION_ID#">',
'  #SUB_REGION#',
'</div>'))
,p_page_plug_template_name=>'Carousel Container'
,p_internal_name=>'CAROUSEL_CONTAINER'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#',
'#IMAGE_PREFIX#plugins/com.oracle.apex.carousel/1.1/com.oracle.apex.carousel#MIN#.js?v=#APEX_VERSION#'))
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-Region--showCarouselControls'
,p_preset_template_options=>'t-Region--hiddenOverflow'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2865840475322558786
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4756837237840631)
,p_plug_template_id=>wwv_flow_api.id(4756521543840631)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4757147385840631)
,p_plug_template_id=>wwv_flow_api.id(4756521543840631)
,p_name=>'Slides'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/collapsible
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4763749647840634)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--hideShow #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems  t-Region-headerItems--controls"><button class="t-Button t-Button--icon t-Button--hideShow" type="button"></button></div>',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <h2 class="t-Region-title">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#EDIT#</div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#CLOSE#</div>',
'    <div class="t-Region-buttons-right">#CREATE#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #COPY#',
'     #BODY#',
'     #SUB_REGIONS#',
'     #CHANGE#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
' </div>',
'</div>'))
,p_page_plug_template_name=>'Collapsible'
,p_internal_name=>'COLLAPSIBLE'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>1
,p_preset_template_options=>'is-expanded:t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2662888092628347716
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4764084263840634)
,p_plug_template_id=>wwv_flow_api.id(4763749647840634)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4764334977840634)
,p_plug_template_id=>wwv_flow_api.id(4763749647840634)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/content_block
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4769111389840636)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ContentBlock #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-ContentBlock-header">',
'    <div class="t-ContentBlock-headerItems t-ContentBlock-headerItems--title">',
'      <span class="t-ContentBlock-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'      <h1 class="t-ContentBlock-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h1>',
'      #EDIT#',
'    </div>',
'    <div class="t-ContentBlock-headerItems t-ContentBlock-headerItems--buttons">#CHANGE#</div>',
'  </div>',
'  <div class="t-ContentBlock-body">#BODY#</div>',
'  <div class="t-ContentBlock-buttons">#PREVIOUS##NEXT#</div>',
'</div>',
''))
,p_page_plug_template_name=>'Content Block'
,p_internal_name=>'CONTENT_BLOCK'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-ContentBlock--h1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2320668864738842174
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/hero
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4771185100840637)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-HeroRegion #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-HeroRegion-wrap">',
'    <div class="t-HeroRegion-col t-HeroRegion-col--left"><span class="t-HeroRegion-icon t-Icon #ICON_CSS_CLASSES#"></span></div>',
'    <div class="t-HeroRegion-col t-HeroRegion-col--content">',
'      <h1 class="t-HeroRegion-title">#TITLE#</h1>',
'      #BODY#',
'    </div>',
'    <div class="t-HeroRegion-col t-HeroRegion-col--right"><div class="t-HeroRegion-form">#SUB_REGIONS#</div><div class="t-HeroRegion-buttons">#NEXT#</div></div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Hero'
,p_internal_name=>'HERO'
,p_theme_id=>42
,p_theme_class_id=>22
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2672571031438297268
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4771475379840637)
,p_plug_template_id=>wwv_flow_api.id(4771185100840637)
,p_name=>'Region Body'
,p_placeholder=>'#BODY#'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_dialog
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4773279516840638)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'<div id="#REGION_STATIC_ID#"  class="t-DialogRegion #REGION_CSS_CLASSES# js-regionDialog" #REGION_ATTRIBUTES# style="display:none" title="#TITLE#">',
'  <div class="t-DialogRegion-wrap">',
'    <div class="t-DialogRegion-bodyWrapperOut"><div class="t-DialogRegion-bodyWrapperIn"><div class="t-DialogRegion-body">#BODY#</div></div></div>',
'    <div class="t-DialogRegion-buttons">',
'       <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'         <div class="t-ButtonRegion-wrap">',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div></div>',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'         </div>',
'       </div>',
'    </div>',
'  </div>',
'</div>',
'</div>'))
,p_page_plug_template_name=>'Inline Dialog'
,p_internal_name=>'INLINE_DIALOG'
,p_theme_id=>42
,p_theme_class_id=>24
,p_default_template_options=>'js-modal:js-draggable:js-resizable'
,p_preset_template_options=>'js-dialog-size600x400'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2671226943886536762
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4773545332840638)
,p_plug_template_id=>wwv_flow_api.id(4773279516840638)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_popup
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4775599419840639)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'<div id="#REGION_STATIC_ID#"  class="t-DialogRegion #REGION_CSS_CLASSES# js-regionPopup" #REGION_ATTRIBUTES# style="display:none" title="#TITLE#">',
'  <div class="t-DialogRegion-wrap">',
'    <div class="t-DialogRegion-bodyWrapperOut"><div class="t-DialogRegion-bodyWrapperIn"><div class="t-DialogRegion-body">#BODY#</div></div></div>',
'    <div class="t-DialogRegion-buttons">',
'       <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'         <div class="t-ButtonRegion-wrap">',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div></div>',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'         </div>',
'       </div>',
'    </div>',
'  </div>',
'</div>',
'</div>'))
,p_page_plug_template_name=>'Inline Popup'
,p_internal_name=>'INLINE_POPUP'
,p_theme_id=>42
,p_theme_class_id=>24
,p_preset_template_options=>'js-dialog-size600x400'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>1483922538999385230
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4775807236840639)
,p_plug_template_id=>wwv_flow_api.id(4775599419840639)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/interactive_report
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4777412361840639)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="t-IRR-region #REGION_CSS_CLASSES#">',
'  <h2 class="u-VisuallyHidden" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Interactive Report'
,p_internal_name=>'INTERACTIVE_REPORT'
,p_theme_id=>42
,p_theme_class_id=>9
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2099079838218790610
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/login
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4778008892840640)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Login-region t-Form--stretchInputs t-Form--labelsAbove #REGION_CSS_CLASSES#" id="#REGION_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Login-header">',
'    <span class="t-Login-logo #ICON_CSS_CLASSES#"></span>',
'    <h1 class="t-Login-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h1>',
'  </div>',
'  <div class="t-Login-body">',
'    #BODY#',
'  </div>',
'  <div class="t-Login-buttons">',
'    #NEXT#',
'  </div>',
'  <div class="t-Login-links">',
'    #EDIT##CREATE#',
'  </div>',
'  #SUB_REGIONS#',
'</div>'))
,p_page_plug_template_name=>'Login'
,p_internal_name=>'LOGIN'
,p_theme_id=>42
,p_theme_class_id=>23
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2672711194551076376
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4778300928840640)
,p_plug_template_id=>wwv_flow_api.id(4778008892840640)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/standard
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4778514467840640)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'    <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #BODY#',
'     #SUB_REGIONS#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'    <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'   </div>',
' </div>',
'</div>',
''))
,p_page_plug_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>4070912133526059312
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4778871623840640)
,p_plug_template_id=>wwv_flow_api.id(4778514467840640)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4779102438840640)
,p_plug_template_id=>wwv_flow_api.id(4778514467840640)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/tabs_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4785399478840643)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-TabsRegion #REGION_CSS_CLASSES# apex-tabs-region" #REGION_ATTRIBUTES# id="#REGION_STATIC_ID#">',
'  #BODY#',
'  <div class="t-TabsRegion-items">',
'    #SUB_REGIONS#',
'  </div>',
'</div>'))
,p_sub_plug_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div data-label="#SUB_REGION_TITLE#" id="SR_#SUB_REGION_ID#">',
'  #SUB_REGION#',
'</div>'))
,p_page_plug_template_name=>'Tabs Container'
,p_internal_name=>'TABS_CONTAINER'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>5
,p_preset_template_options=>'t-TabsRegion-mod--simple'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3221725015618492759
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4785670084840643)
,p_plug_template_id=>wwv_flow_api.id(4785399478840643)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4785957260840643)
,p_plug_template_id=>wwv_flow_api.id(4785399478840643)
,p_name=>'Tabs'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/title_bar
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4787983946840644)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="t-BreadcrumbRegion #REGION_CSS_CLASSES#"> ',
'  <div class="t-BreadcrumbRegion-body">',
'    <div class="t-BreadcrumbRegion-breadcrumb">',
'      #BODY#',
'    </div>',
'    <div class="t-BreadcrumbRegion-title">',
'      <h1 class="t-BreadcrumbRegion-titleText">#TITLE#</h1>',
'    </div>',
'  </div>',
'  <div class="t-BreadcrumbRegion-buttons">#PREVIOUS##CLOSE##DELETE##HELP##CHANGE##EDIT##COPY##CREATE##NEXT#</div>',
'</div>'))
,p_page_plug_template_name=>'Title Bar'
,p_internal_name=>'TITLE_BAR'
,p_theme_id=>42
,p_theme_class_id=>6
,p_default_template_options=>'t-BreadcrumbRegion--showBreadcrumb'
,p_preset_template_options=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2530016523834132090
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/wizard_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(4788910847840644)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Wizard #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Wizard-header">',
'    <h1 class="t-Wizard-title">#TITLE#</h1>',
'    <div class="u-Table t-Wizard-controls">',
'      <div class="u-Table-fit t-Wizard-buttons">#PREVIOUS##CLOSE#</div>',
'      <div class="u-Table-fill t-Wizard-steps">',
'        #BODY#',
'      </div>',
'      <div class="u-Table-fit t-Wizard-buttons">#NEXT#</div>',
'    </div>',
'  </div>',
'  <div class="t-Wizard-body">',
'    #SUB_REGIONS#',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Wizard Container'
,p_internal_name=>'WIZARD_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Wizard--hideStepsXSmall'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2117602213152591491
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(4789243313840645)
,p_plug_template_id=>wwv_flow_api.id(4788910847840644)
,p_name=>'Wizard Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_tabs
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4811035078840657)
,p_list_template_current=>'<li class="t-NavTabs-item #A03# is-active" id="#A01#"><a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-NavTabs-label">#TEXT_ESC_SC#</span><span class'
||'="t-NavTabs-badge #A05#">#A02#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-NavTabs-item #A03#" id="#A01#"><a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-NavTabs-label">#TEXT_ESC_SC#</span><span class="t-NavTab'
||'s-badge #A05#">#A02#</span></a></li>'
,p_list_template_name=>'Top Navigation Tabs'
,p_internal_name=>'TOP_NAVIGATION_TABS'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-NavTabs--inlineLabels-lg:t-NavTabs--displayLabels-sm'
,p_list_template_before_rows=>'<ul class="t-NavTabs #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_navtabs">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'List Item ID'
,p_a02_label=>'Badge Value'
,p_a03_label=>'List Item Class'
,p_a04_label=>'Link Class'
,p_a05_label=>'Badge Class'
,p_reference_id=>1453011561172885578
);
end;
/
prompt --application/shared_components/user_interface/templates/list/wizard_progress
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4812626449840660)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-WizardSteps-step is-active" id="#LIST_ITEM_ID#"><div class="t-WizardSteps-wrap" data-link="#LINK#"><span class="t-WizardSteps-marker"></span><span class="t-WizardSteps-label">#TEXT# <span class="t-WizardSteps-labelState"></span></span></'
||'div></li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-WizardSteps-step" id="#LIST_ITEM_ID#"><div class="t-WizardSteps-wrap" data-link="#LINK#"><span class="t-WizardSteps-marker"></span><span class="t-WizardSteps-label">#TEXT# <span class="t-WizardSteps-labelState"></span></span></div></li>',
''))
,p_list_template_name=>'Wizard Progress'
,p_internal_name=>'WIZARD_PROGRESS'
,p_javascript_code_onload=>'apex.theme.initWizardProgressBar();'
,p_theme_id=>42
,p_theme_class_id=>17
,p_preset_template_options=>'t-WizardSteps--displayLabels'
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<h2 class="u-VisuallyHidden">#CURRENT_PROGRESS#</h2>',
'<ul class="t-WizardSteps #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'))
,p_list_template_after_rows=>'</ul>'
,p_reference_id=>2008702338707394488
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_bar
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4814079269840660)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Menu Bar'
,p_internal_name=>'MENU_BAR'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menubar", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  iconType: ''fa'',',
'  slide: e.hasClass("js-slide"),',
'  menubar: true,',
'  menubarOverflow: true',
'});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-showSubMenuIcons'
,p_list_template_before_rows=>'<div class="t-MenuBar #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_menubar"><ul style="display:none">'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_reference_id=>2008709236185638887
);
end;
/
prompt --application/shared_components/user_interface/templates/list/badge_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4815066095840661)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02#">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'  <span class="t-BadgeList-label">#TEXT#</span>',
'  <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02#">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'  <span class="t-BadgeList-label">#TEXT#</span>',
'  <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_theme_id=>42
,p_theme_class_id=>3
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--cols t-BadgeList--3cols:t-BadgeList--circular'
,p_list_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Value'
,p_a02_label=>'List item CSS Classes'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'Link Classes'
,p_reference_id=>2062482847268086664
,p_list_template_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'A01: Large Number',
'A02: List Item Classes',
'A03: Link Attributes'))
);
end;
/
prompt --application/shared_components/user_interface/templates/list/media_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4819023105840662)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item is-active #A04#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#TEXT#</h3>',
'            <p class="t-MediaList-desc">#A01#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#A02#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item  #A04#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#TEXT#</h3>',
'            <p class="t-MediaList-desc">#A01#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#A02#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_list_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-MediaList--showIcons:t-MediaList--showDesc'
,p_list_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Badge Value'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Class'
,p_a06_label=>'Icon Color Class'
,p_reference_id=>2066548068783481421
);
end;
/
prompt --application/shared_components/user_interface/templates/list/side_navigation_menu
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4822046932840664)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Side Navigation Menu'
,p_internal_name=>'SIDE_NAVIGATION_MENU'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.treeView#MIN#.js?v=#APEX_VERSION#'
,p_javascript_code_onload=>'apex.jQuery(''body'').addClass(''t-PageBody--leftNav'');'
,p_theme_id=>42
,p_theme_class_id=>19
,p_preset_template_options=>'t-TreeNav--styleA'
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-nav" id="t_Body_nav" role="navigation" aria-label="&APP_TITLE!ATTR.">',
'<div class="t-TreeNav #COMPONENT_CSS_CLASSES#" id="t_TreeNav" data-id="#PARENT_STATIC_ID#_tree" aria-label="&APP_TITLE!ATTR."><ul style="display:none">'))
,p_list_template_after_rows=>'</ul></div></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Disabled True/False'
,p_a04_label=>'Title'
,p_reference_id=>2466292414354694776
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_menu
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4823010221840665)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Top Navigation Menu'
,p_internal_name=>'TOP_NAVIGATION_MENU'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menubar", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  if ( apex.actions ) {',
'    apex.actions.addFromMarkup( e );',
'  } else {',
'    apex.debug.warn("Include actions.js to support menu shortcuts");',
'  }',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  slide: e.hasClass("js-slide"),',
'  menubar: true,',
'  menubarOverflow: true',
'});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-tabLike'
,p_list_template_before_rows=>'<div class="t-Header-nav-list #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_menubar"><ul style="display:none">'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Disabled True / False'
,p_a03_label=>'Hide'
,p_a04_label=>'Title Attribute'
,p_a05_label=>'Shortcut Key'
,p_reference_id=>2525307901300239072
);
end;
/
prompt --application/shared_components/user_interface/templates/list/navigation_bar
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4824031403840665)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Navigation Bar'
,p_internal_name=>'NAVIGATION_BAR'
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<ul class="t-NavigationBar #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<div class="t-NavigationBar-menu" style="display: none" id="menu_#PARENT_LIST_ITEM_ID#"><ul>'
,p_after_sub_list=>'</ul></div></li>'
,p_sub_list_item_current=>'<li data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar js-menuButton" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow"></span>',
'  </button>'))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar js-menuButton" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow"></span>',
'  </button>'))
,p_sub_templ_curr_w_child=>'<li data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_sub_templ_noncurr_w_child=>'<li data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_a01_label=>'Badge Value'
,p_a02_label=>'List  Item CSS Classes'
,p_reference_id=>2846096252961119197
);
end;
/
prompt --application/shared_components/user_interface/templates/list/cards
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4824279737840665)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item is-active #A04#">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#TEXT#</h3><h4 class="t-Card-subtitle">#A07#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #A04#">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#TEXT#</h3><h4 class="t-Card-subtitle">#A07#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_list_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Secondary Information'
,p_a03_label=>'Initials'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Attributes'
,p_a06_label=>'Card Color Class'
,p_a07_label=>'Subtitle'
,p_reference_id=>2885322685880632508
);
end;
/
prompt --application/shared_components/user_interface/templates/list/tabs
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4829689941840667)
,p_list_template_current=>'<li class="t-Tabs-item is-active"><a href="#LINK#" class="t-Tabs-link"><span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Tabs-label">#TEXT#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-Tabs-item"><a href="#LINK#" class="t-Tabs-link"><span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Tabs-label">#TEXT#</span></a></li>'
,p_list_template_name=>'Tabs'
,p_internal_name=>'TABS'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Tabs--simple'
,p_list_template_before_rows=>'<ul class="t-Tabs #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_reference_id=>3288206686691809997
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_popup
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4831264292840668)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_name=>'Menu Popup'
,p_internal_name=>'MENU_POPUP'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menu", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({ slide: e.hasClass("js-slide"), iconType: ''fa''});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<div id="#PARENT_STATIC_ID#_menu" class="#COMPONENT_CSS_CLASSES#" style="display:none;"><ul>'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'Data ID'
,p_a02_label=>'Disabled (True/False)'
,p_a03_label=>'Hidden (True/False)'
,p_a04_label=>'Title Attribute'
,p_a05_label=>'Shortcut'
,p_reference_id=>3492264004432431646
);
end;
/
prompt --application/shared_components/user_interface/templates/list/links_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(4831662328840669)
,p_list_template_current=>'<li class="t-LinksList-item is-current #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-b'
||'adge">#A01#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_list_template_name=>'Links List'
,p_internal_name=>'LINKS_LIST'
,p_theme_id=>42
,p_theme_class_id=>18
,p_list_template_before_rows=>'<ul class="t-LinksList #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<ul class="t-LinksList-list">'
,p_after_sub_list=>'</ul>'
,p_sub_list_item_current=>'<li class="t-LinksList-item is-current #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-b'
||'adge">#A01#</span></a></li>'
,p_sub_list_item_noncurrent=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_item_templ_curr_w_child=>'<li class="t-LinksList-item is-current is-expanded #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t'
||'-LinksList-badge">#A01#</span></a>#SUB_LISTS#</li>'
,p_item_templ_noncurr_w_child=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_a01_label=>'Badge Value'
,p_a02_label=>'Link Attributes'
,p_a03_label=>'List Item CSS Classes'
,p_reference_id=>4070914341144059318
);
end;
/
prompt --application/shared_components/user_interface/templates/report/timeline
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(4790208613840645)
,p_row_template_name=>'Timeline'
,p_internal_name=>'TIMELINE'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <div class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':EVENT_LINK is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <a href="#EVENT_LINK#" class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </a>',
'</li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-Timeline #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_timeline" data-region-id="#REGION_STATIC_ID#">',
''))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_reference_id=>1513373588340069864
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/media_list
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(4790890141840645)
,p_row_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item #LIST_CLASS#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #LINK_CLASS#" #LINK_ATTR#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #ICON_COLOR_CLASS#"><span class="t-Icon #ICON_CLASS#"></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#LIST_TITLE#</h3>',
'            <p class="t-MediaList-desc">#LIST_TEXT#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#LIST_BADGE#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_default_template_options=>'t-MediaList--showDesc:t-MediaList--showIcons'
,p_preset_template_options=>'t-MediaList--stack'
,p_reference_id=>2092157460408299055
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_row
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(4794204348840647)
,p_row_template_name=>'Value Attribute Pairs - Row'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_ROW'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #1#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #2#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="report_#REGION_STATIC_ID#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068321678681753
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_column
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(4796228444840648)
,p_row_template_name=>'Value Attribute Pairs - Column'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_COLUMN'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #COLUMN_HEADER#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #COLUMN_VALUE#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068636272681754
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/badge_list
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(4798004910840649)
,p_row_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item">',
' <span class="t-BadgeList-wrap u-color">',
'  <span class="t-BadgeList-label">#COLUMN_HEADER#</span>',
'  <span class="t-BadgeList-value">#COLUMN_VALUE#</span>',
' </span>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--fixed:t-BadgeList--circular'
,p_reference_id=>2103197159775914759
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/standard
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(4801605947840650)
,p_row_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_row_template1=>'<td class="t-Report-cell" #ALIGNMENT# headers="#COLUMN_HEADER_NAME#">#COLUMN_VALUE#</td>'
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Report #COMPONENT_CSS_CLASSES#" id="report_#REGION_STATIC_ID#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">',
'  <div class="t-Report-wrap">',
'    <table class="t-Report-pagination" role="presentation">#TOP_PAGINATION#</table>',
'    <div class="t-Report-tableWrap">',
'    <table class="t-Report-report" aria-label="#REGION_TITLE#">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'      </tbody>',
'    </table>',
'    </div>',
'    <div class="t-Report-links">#EXTERNAL_LINK##CSV_LINK#</div>',
'    <table class="t-Report-pagination t-Report-pagination--bottom" role="presentation">#PAGINATION#</table>',
'  </div>',
'</div>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_before_column_heading=>'<thead>'
,p_column_heading_template=>'<th class="t-Report-colHead" #ALIGNMENT# id="#COLUMN_HEADER_NAME#" #COLUMN_WIDTH#>#COLUMN_HEADER#</th>'
,p_after_column_heading=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</thead>',
'<tbody>'))
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Report--altRowsDefault:t-Report--rowHighlight'
,p_reference_id=>2537207537838287671
,p_translate_this_template=>'N'
);
begin
wwv_flow_api.create_row_template_patch(
 p_id=>wwv_flow_api.id(4801605947840650)
,p_row_template_before_first=>'<tr>'
,p_row_template_after_last=>'</tr>'
);
exception when others then null;
end;
end;
/
prompt --application/shared_components/user_interface/templates/report/comments
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(4804290531840651)
,p_row_template_name=>'Comments'
,p_internal_name=>'COMMENTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Comments-item #COMMENT_MODIFIERS#">',
'    <div class="t-Comments-icon">',
'        <div class="t-Comments-userIcon #ICON_MODIFIER#" aria-hidden="true">#USER_ICON#</div>',
'    </div>',
'    <div class="t-Comments-body">',
'        <div class="t-Comments-info">',
'            #USER_NAME# <span class="t-Comments-date">#COMMENT_DATE#</span> <span class="t-Comments-actions">#ACTIONS#</span>',
'        </div>',
'        <div class="t-Comments-comment">',
'            #COMMENT_TEXT##ATTRIBUTE_1##ATTRIBUTE_2##ATTRIBUTE_3##ATTRIBUTE_4#',
'        </div>',
'    </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Comments #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>',
''))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Comments--chat'
,p_reference_id=>2611722012730764232
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/alerts
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(4805403013840652)
,p_row_template_name=>'Alerts'
,p_internal_name=>'ALERTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--horizontal t-Alert--colorBG t-Alert--defaultIcons t-Alert--#ALERT_TYPE#" role="alert">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title">#ALERT_TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">',
'        #ALERT_DESC#',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      #ALERT_ACTION#',
'    </div>',
'  </div>',
'</div>'))
,p_row_template_before_rows=>'<div class="t-Alerts #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_alerts" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</div>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>14
,p_reference_id=>2881456138952347027
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/cards
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(4805693174840652)
,p_row_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <a href="#CARD_LINK#" class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':CARD_LINK is not null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <div class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_cards" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_reference_id=>2973535649510699732
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/search_results
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(4810852621840654)
,p_row_template_name=>'Search Results'
,p_internal_name=>'SEARCH_RESULTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition1=>':LABEL_02 is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition2=>':LABEL_03 is null'
,p_row_template3=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition3=>':LABEL_04 is null'
,p_row_template4=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'      <span class="t-SearchResults-misc">#LABEL_04#: #VALUE_04#</span>',
'    </div>',
'  </li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-SearchResults #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">',
'<ul class="t-SearchResults-list">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>',
'</div>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'NOT_CONDITIONAL'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070913431524059316
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/hidden
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(4833268193840670)
,p_template_name=>'Hidden'
,p_internal_name=>'HIDDEN'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer t-Form-labelContainer--hiddenLabel col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label u-VisuallyHidden">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--hiddenLabel rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>13
,p_reference_id=>2039339104148359505
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(4833391810840671)
,p_template_name=>'Optional'
,p_internal_name=>'OPTIONAL'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>',
''))
,p_before_item=>'<div class="t-Form-fieldContainer rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>2317154212072806530
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_above
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(4833429578840671)
,p_template_name=>'Optional - Above'
,p_internal_name=>'OPTIONAL_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>#HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>3030114864004968404
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_floating
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(4833583314840671)
,p_template_name=>'Optional - Floating'
,p_internal_name=>'OPTIONAL_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>1607675164727151865
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(4833673040840671)
,p_template_name=>'Required'
,p_internal_name=>'REQUIRED'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer is-required rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>2525313812251712801
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_above
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(4833739098840671)
,p_template_name=>'Required - Above'
,p_internal_name=>'REQUIRED_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label> #HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>3030115129444970113
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_floating
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(4833876124840671)
,p_template_name=>'Required - Floating'
,p_internal_name=>'REQUIRED_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>1607675344320152883
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/breadcrumb/breadcrumb
begin
wwv_flow_api.create_menu_template(
 p_id=>wwv_flow_api.id(4836019715840672)
,p_name=>'Breadcrumb'
,p_internal_name=>'BREADCRUMB'
,p_before_first=>'<ul class="t-Breadcrumb #COMPONENT_CSS_CLASSES#">'
,p_current_page_option=>'<li class="t-Breadcrumb-item is-active"><h1 class="t-Breadcrumb-label">#NAME#</h1></li>'
,p_non_current_page_option=>'<li class="t-Breadcrumb-item"><a href="#LINK#" class="t-Breadcrumb-label">#NAME#</a></li>'
,p_after_last=>'</ul>'
,p_max_levels=>6
,p_start_with_node=>'PARENT_TO_LEAF'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916542570059325
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/popuplov
begin
wwv_flow_api.create_popup_lov_template(
 p_id=>wwv_flow_api.id(4836287560840673)
,p_page_name=>'winlov'
,p_page_title=>'Search Dialog'
,p_page_html_head=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html lang="&BROWSER_LANGUAGE.">',
'<head>',
'<title>#TITLE#</title>',
'#APEX_CSS#',
'#THEME_CSS#',
'#THEME_STYLE_CSS#',
'#FAVICONS#',
'#APEX_JAVASCRIPT#',
'#THEME_JAVASCRIPT#',
'<meta name="viewport" content="width=device-width,initial-scale=1.0" />',
'</head>'))
,p_page_body_attr=>'onload="first_field()" class="t-Page t-Page--popupLOV"'
,p_before_field_text=>'<div class="t-PopupLOV-actions t-Form--large">'
,p_filter_width=>'20'
,p_filter_max_width=>'100'
,p_filter_text_attr=>'class="apex-item-text"'
,p_find_button_text=>'Search'
,p_find_button_attr=>'class="t-Button t-Button--hot t-Button--padLeft"'
,p_close_button_text=>'Close'
,p_close_button_attr=>'class="t-Button u-pullRight"'
,p_next_button_text=>'Next &gt;'
,p_next_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_prev_button_text=>'&lt; Previous'
,p_prev_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_after_field_text=>'</div>'
,p_scrollbars=>'1'
,p_resizable=>'1'
,p_width=>'380'
,p_result_row_x_of_y=>'<div class="t-PopupLOV-pagination">Row(s) #FIRST_ROW# - #LAST_ROW#</div>'
,p_result_rows_per_pg=>100
,p_before_result_set=>'<div class="t-PopupLOV-links">'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>2885398517835871876
,p_translate_this_template=>'N'
,p_after_result_set=>'</div>'
);
end;
/
prompt --application/shared_components/user_interface/templates/calendar/calendar
begin
wwv_flow_api.create_calendar_template(
 p_id=>wwv_flow_api.id(4836116437840673)
,p_cal_template_name=>'Calendar'
,p_internal_name=>'CALENDAR'
,p_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" aria-label="#IMONTH# #YYYY#">'
,p_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>',
''))
,p_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_day_close_format=>'</td>'
,p_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_close_format=>'</td>'
,p_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_nonday_close_format=>'</td>'
,p_week_open_format=>'<tr>'
,p_week_close_format=>'</tr> '
,p_daily_title_format=>'<table cellspacing="0" cellpadding="0" border="0" summary="" class="t1DayCalendarHolder"> <tr> <td class="t1MonthTitle">#IMONTH# #DD#, #YYYY#</td> </tr> <tr> <td>'
,p_daily_open_format=>'<tr>'
,p_daily_close_format=>'</tr>'
,p_weekly_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--weekly">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_weekly_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_weekly_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" aria-label="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_weekly_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_weekly_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_day_close_format=>'</div></td>'
,p_weekly_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_close_format=>'</div></td>'
,p_weekly_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_weekly_time_close_format=>'</th>'
,p_weekly_time_title_format=>'#TIME#'
,p_weekly_hour_open_format=>'<tr>'
,p_weekly_hour_close_format=>'</tr>'
,p_daily_day_of_week_format=>'<th scope="col" id="#DY#" class="t-ClassicCalendar-dayColumn">#IDAY#</th>'
,p_daily_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--daily">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #DD#, #YYYY#</h1>'))
,p_daily_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" aria-label="#CALENDAR_TITLE# #START_DL#" class="t-ClassicCalendar-calendar">'
,p_daily_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_daily_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_day_close_format=>'</div></td>'
,p_daily_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol" id="#TIME#">'
,p_daily_time_close_format=>'</th>'
,p_daily_time_title_format=>'#TIME#'
,p_daily_hour_open_format=>'<tr>'
,p_daily_hour_close_format=>'</tr>'
,p_cust_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_cust_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_cust_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" aria-label="#IMONTH# #YYYY#">'
,p_cust_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_week_open_format=>'<tr>'
,p_cust_week_close_format=>'</tr> '
,p_cust_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_day_close_format=>'</td>'
,p_cust_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">'
,p_cust_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_cust_nonday_close_format=>'</td>'
,p_cust_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">'
,p_cust_weekend_close_format=>'</td>'
,p_cust_hour_open_format=>'<tr>'
,p_cust_hour_close_format=>'</tr>'
,p_cust_time_title_format=>'#TIME#'
,p_cust_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_cust_time_close_format=>'</th>'
,p_cust_wk_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_cust_wk_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_cust_wk_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" summary="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_cust_wk_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_wk_week_open_format=>'<tr>'
,p_cust_wk_week_close_format=>'</tr> '
,p_cust_wk_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_day_close_format=>'</div></td>'
,p_cust_wk_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_weekend_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_wk_weekend_close_format=>'</td>'
,p_agenda_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--list">',
'  <div class="t-ClassicCalendar-title">#IMONTH# #YYYY#</div>',
'  <ul class="t-ClassicCalendar-list">',
'    #DAYS#',
'  </ul>',
'</div>'))
,p_agenda_past_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-past">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_today_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-today">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_future_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-future">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_past_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-past">#DATA#</li>'
,p_agenda_today_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-today">#DATA#</li>'
,p_agenda_future_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-future">#DATA#</li>'
,p_month_data_format=>'#DAYS#'
,p_month_data_entry_format=>'<span class="t-ClassicCalendar-event">#DATA#</span>'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916747979059326
);
end;
/
prompt --application/shared_components/user_interface/themes
begin
wwv_flow_api.create_theme(
 p_id=>wwv_flow_api.id(4837414360840674)
,p_theme_id=>42
,p_theme_name=>'Universal Theme'
,p_theme_internal_name=>'UNIVERSAL_THEME'
,p_ui_type_name=>'DESKTOP'
,p_navigation_type=>'L'
,p_nav_bar_type=>'LIST'
,p_reference_id=>4070917134413059350
,p_is_locked=>false
,p_default_page_template=>wwv_flow_api.id(4747187057840627)
,p_default_dialog_template=>wwv_flow_api.id(4732123921840619)
,p_error_template=>wwv_flow_api.id(4733697402840620)
,p_printer_friendly_template=>wwv_flow_api.id(4747187057840627)
,p_breadcrumb_display_point=>'REGION_POSITION_01'
,p_sidebar_display_point=>'REGION_POSITION_02'
,p_login_template=>wwv_flow_api.id(4733697402840620)
,p_default_button_template=>wwv_flow_api.id(4834644392840672)
,p_default_region_template=>wwv_flow_api.id(4778514467840640)
,p_default_chart_template=>wwv_flow_api.id(4778514467840640)
,p_default_form_template=>wwv_flow_api.id(4778514467840640)
,p_default_reportr_template=>wwv_flow_api.id(4778514467840640)
,p_default_tabform_template=>wwv_flow_api.id(4778514467840640)
,p_default_wizard_template=>wwv_flow_api.id(4778514467840640)
,p_default_menur_template=>wwv_flow_api.id(4787983946840644)
,p_default_listr_template=>wwv_flow_api.id(4778514467840640)
,p_default_irr_template=>wwv_flow_api.id(4777412361840639)
,p_default_report_template=>wwv_flow_api.id(4801605947840650)
,p_default_label_template=>wwv_flow_api.id(4833583314840671)
,p_default_menu_template=>wwv_flow_api.id(4836019715840672)
,p_default_calendar_template=>wwv_flow_api.id(4836116437840673)
,p_default_list_template=>wwv_flow_api.id(4831662328840669)
,p_default_nav_list_template=>wwv_flow_api.id(4823010221840665)
,p_default_top_nav_list_temp=>wwv_flow_api.id(4823010221840665)
,p_default_side_nav_list_temp=>wwv_flow_api.id(4822046932840664)
,p_default_nav_list_position=>'SIDE'
,p_default_dialogbtnr_template=>wwv_flow_api.id(4754365122840630)
,p_default_dialogr_template=>wwv_flow_api.id(4753397256840630)
,p_default_option_label=>wwv_flow_api.id(4833583314840671)
,p_default_required_label=>wwv_flow_api.id(4833876124840671)
,p_default_page_transition=>'NONE'
,p_default_popup_transition=>'NONE'
,p_default_navbar_list_template=>wwv_flow_api.id(4824031403840665)
,p_file_prefix => nvl(wwv_flow_application_install.get_static_theme_file_prefix(42),'#IMAGE_PREFIX#themes/theme_42/1.3/')
,p_files_version=>62
,p_icon_library=>'FONTAPEX'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.stickyWidget#MIN#.js?v=#APEX_VERSION#',
'#THEME_IMAGES#js/theme42#MIN#.js?v=#APEX_VERSION#'))
,p_css_file_urls=>'#THEME_IMAGES#css/Core#MIN#.css?v=#APEX_VERSION#'
);
end;
/
prompt --application/shared_components/user_interface/theme_style
begin
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(4836457006840673)
,p_theme_id=>42
,p_name=>'Vista'
,p_css_file_urls=>'#THEME_IMAGES#css/Vista#MIN#.css?v=#APEX_VERSION#'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_read_only=>true
,p_reference_id=>4007676303523989775
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(4836650212840673)
,p_theme_id=>42
,p_name=>'Vita'
,p_is_current=>true
,p_is_public=>true
,p_is_accessible=>true
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>2719875314571594493
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(4836809064840673)
,p_theme_id=>42
,p_name=>'Vita - Dark'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Dark.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Dark#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3543348412015319650
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(4837019589840673)
,p_theme_id=>42
,p_name=>'Vita - Red'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Red.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Red#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>1938457712423918173
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(4837256746840673)
,p_theme_id=>42
,p_name=>'Vita - Slate'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Slate.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Slate#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3291983347983194966
);
end;
/
prompt --application/shared_components/user_interface/theme_files
begin
null;
end;
/
prompt --application/shared_components/user_interface/theme_display_points
begin
null;
end;
/
prompt --application/shared_components/user_interface/template_opt_groups
begin
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4750261892840628)
,p_theme_id=>42
,p_name=>'ALERT_TITLE'
,p_display_name=>'Alert Title'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the title of the alert is displayed.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4750861143840629)
,p_theme_id=>42
,p_name=>'ALERT_ICONS'
,p_display_name=>'Alert Icons'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets how icons are handled for the Alert Region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4751266727840629)
,p_theme_id=>42
,p_name=>'ALERT_TYPE'
,p_display_name=>'Alert Type'
,p_display_sequence=>3
,p_template_types=>'REGION'
,p_help_text=>'Sets the type of alert which can be used to determine the icon, icon color, and the background color.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4751851961840629)
,p_theme_id=>42
,p_name=>'ALERT_DISPLAY'
,p_display_name=>'Alert Display'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the layout of the Alert Region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4755228906840630)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the region is styled. Use the "Remove Borders" template option to remove the region''s borders and shadows.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4755627655840631)
,p_theme_id=>42
,p_name=>'BODY_PADDING'
,p_display_name=>'Body Padding'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body padding for the region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4757409797840631)
,p_theme_id=>42
,p_name=>'BODY_HEIGHT'
,p_display_name=>'Body Height'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body height. You can also specify a custom height by modifying the Region''s CSS Classes and using the height helper classes "i-hXXX" where XXX is any increment of 10 from 100 to 800.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4758490811840632)
,p_theme_id=>42
,p_name=>'TIMER'
,p_display_name=>'Timer'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets the timer for when to automatically navigate to the next region within the Carousel Region.'
,p_null_text=>'No Timer'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4759898333840632)
,p_theme_id=>42
,p_name=>'ACCENT'
,p_display_name=>'Accent'
,p_display_sequence=>30
,p_template_types=>'REGION'
,p_help_text=>'Set the Region''s accent. This accent corresponds to a Theme-Rollable color and sets the background of the Region''s Header.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4761037434840633)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the animation when navigating within the Carousel Region.'
,p_null_text=>'Fade'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4761609242840633)
,p_theme_id=>42
,p_name=>'BODY_OVERFLOW'
,p_display_name=>'Body Overflow'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines the scroll behavior when the region contents are larger than their container.'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4762064314840633)
,p_theme_id=>42
,p_name=>'HEADER'
,p_display_name=>'Header'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Determines the display of the Region Header which also contains the Region Title.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4765498983840635)
,p_theme_id=>42
,p_name=>'DEFAULT_STATE'
,p_display_name=>'Default State'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the default state of the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4767296700840635)
,p_theme_id=>42
,p_name=>'COLLAPSIBLE_ICON_POSITION'
,p_display_name=>'Collapsible Icon Position'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines the position of the expand and collapse toggle for the region.'
,p_null_text=>'Start'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4767858829840635)
,p_theme_id=>42
,p_name=>'COLLAPSIBLE_BUTTON_ICONS'
,p_display_name=>'Collapsible Button Icons'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines which arrows to use to represent the icons for the collapse and expand button.'
,p_null_text=>'Arrows'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4769418634840636)
,p_theme_id=>42
,p_name=>'REGION_TITLE'
,p_display_name=>'Region Title'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the source of the Title Bar region''s title.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4770250462840636)
,p_theme_id=>42
,p_name=>'BODY_STYLE'
,p_display_name=>'Body Style'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Controls the display of the region''s body container.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4772100790840637)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON'
,p_display_name=>'Display Icon'
,p_display_sequence=>50
,p_template_types=>'REGION'
,p_help_text=>'Display the Hero Region icon.'
,p_null_text=>'Yes (Default)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4772531747840637)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'REGION'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Rounded Corners'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4774072286840638)
,p_theme_id=>42
,p_name=>'DIALOG_SIZE'
,p_display_name=>'Dialog Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4786415913840643)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4786887824840644)
,p_theme_id=>42
,p_name=>'TABS_SIZE'
,p_display_name=>'Tabs Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4787270689840644)
,p_theme_id=>42
,p_name=>'TAB_STYLE'
,p_display_name=>'Tab Style'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4789548977840645)
,p_theme_id=>42
,p_name=>'HIDE_STEPS_FOR'
,p_display_name=>'Hide Steps For'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4790542402840645)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the overall style for the component.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4791102565840646)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Determines the layout of Cards in the report.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4792392510840646)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'REPORT'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Circle'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4792997788840646)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>35
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4794539279840647)
,p_theme_id=>42
,p_name=>'LABEL_WIDTH'
,p_display_name=>'Label Width'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4800178588840649)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4801914440840650)
,p_theme_id=>42
,p_name=>'ALTERNATING_ROWS'
,p_display_name=>'Alternating Rows'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Shades alternate rows in the report with slightly different background colors.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4802379560840650)
,p_theme_id=>42
,p_name=>'REPORT_BORDER'
,p_display_name=>'Report Border'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of the Report''s borders.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4803125950840651)
,p_theme_id=>42
,p_name=>'ROW_HIGHLIGHTING'
,p_display_name=>'Row Highlighting'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Determines whether you want the row to be highlighted on hover.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4804503621840651)
,p_theme_id=>42
,p_name=>'COMMENTS_STYLE'
,p_display_name=>'Comments Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the style in which comments are displayed.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4806505985840652)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>70
,p_template_types=>'REPORT'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4807726619840653)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'REPORT'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4808551350840653)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Controls how to handle icons in the report.'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4811307482840658)
,p_theme_id=>42
,p_name=>'MOBILE'
,p_display_name=>'Mobile'
,p_display_sequence=>100
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a mobile-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4811791899840658)
,p_theme_id=>42
,p_name=>'DESKTOP'
,p_display_name=>'Desktop'
,p_display_sequence=>90
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a desktop-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4813115382840660)
,p_theme_id=>42
,p_name=>'LABEL_DISPLAY'
,p_display_name=>'Label Display'
,p_display_sequence=>50
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4815343119840661)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4815795657840661)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4817538969840662)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>70
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4820336165840663)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'LIST'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Circle'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4820923718840663)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>1
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4825159121840666)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>80
,p_template_types=>'LIST'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4826323993840666)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'LIST'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4827162436840666)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4832796743840670)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4834164273840672)
,p_theme_id=>42
,p_name=>'ICON_HOVER_ANIMATION'
,p_display_name=>'Icon Hover Animation'
,p_display_sequence=>55
,p_template_types=>'BUTTON'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4835301141840672)
,p_theme_id=>42
,p_name=>'ICON_POSITION'
,p_display_name=>'Icon Position'
,p_display_sequence=>50
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the position of the icon relative to the label.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4837654095840674)
,p_theme_id=>42
,p_name=>'BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the bottom margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4838055804840674)
,p_theme_id=>42
,p_name=>'REGION_BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>210
,p_template_types=>'REGION'
,p_help_text=>'Set the bottom margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4839624523840675)
,p_theme_id=>42
,p_name=>'LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the left margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4840043201840675)
,p_theme_id=>42
,p_name=>'REGION_LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'REGION'
,p_help_text=>'Set the left margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4841652611840676)
,p_theme_id=>42
,p_name=>'RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'FIELD'
,p_help_text=>'Set the right margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4842093876840676)
,p_theme_id=>42
,p_name=>'REGION_RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'REGION'
,p_help_text=>'Set the right margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4843648104840676)
,p_theme_id=>42
,p_name=>'TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'FIELD'
,p_help_text=>'Set the top margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4844084333840676)
,p_theme_id=>42
,p_name=>'REGION_TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'REGION'
,p_help_text=>'Set the top margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4845646661840677)
,p_theme_id=>42
,p_name=>'TYPE'
,p_display_name=>'Type'
,p_display_sequence=>20
,p_template_types=>'BUTTON'
,p_null_text=>'Normal'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4846091283840677)
,p_theme_id=>42
,p_name=>'SPACING_BOTTOM'
,p_display_name=>'Spacing Bottom'
,p_display_sequence=>100
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the bottom of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4846426856840677)
,p_theme_id=>42
,p_name=>'SPACING_LEFT'
,p_display_name=>'Spacing Left'
,p_display_sequence=>70
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the left of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4846846308840677)
,p_theme_id=>42
,p_name=>'SPACING_RIGHT'
,p_display_name=>'Spacing Right'
,p_display_sequence=>80
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the right of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4847220991840678)
,p_theme_id=>42
,p_name=>'SPACING_TOP'
,p_display_name=>'Spacing Top'
,p_display_sequence=>90
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the top of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4847658375840678)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the size of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4848026167840678)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>30
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the style of the button. Use the "Simple" option for secondary actions or sets of buttons. Use the "Remove UI Decoration" option to make the button appear as text.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4849433941840678)
,p_theme_id=>42
,p_name=>'BUTTON_SET'
,p_display_name=>'Button Set'
,p_display_sequence=>40
,p_template_types=>'BUTTON'
,p_help_text=>'Enables you to group many buttons together into a pill. You can use this option to specify where the button is within this set. Set the option to Default if this button is not part of a button set.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4850890480840679)
,p_theme_id=>42
,p_name=>'WIDTH'
,p_display_name=>'Width'
,p_display_sequence=>60
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the width of the button.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4851826670840679)
,p_theme_id=>42
,p_name=>'LABEL_POSITION'
,p_display_name=>'Label Position'
,p_display_sequence=>140
,p_template_types=>'REGION'
,p_help_text=>'Sets the position of the label relative to the form item.'
,p_null_text=>'Inline - Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4852217113840680)
,p_theme_id=>42
,p_name=>'ITEM_SIZE'
,p_display_name=>'Item Size'
,p_display_sequence=>110
,p_template_types=>'REGION'
,p_help_text=>'Sets the size of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4852617700840680)
,p_theme_id=>42
,p_name=>'LABEL_ALIGNMENT'
,p_display_name=>'Label Alignment'
,p_display_sequence=>130
,p_template_types=>'REGION'
,p_help_text=>'Set the label text alignment for items within this region.'
,p_null_text=>'Right'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4853001332840680)
,p_theme_id=>42
,p_name=>'ITEM_PADDING'
,p_display_name=>'Item Padding'
,p_display_sequence=>100
,p_template_types=>'REGION'
,p_help_text=>'Sets the padding around items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4853684305840680)
,p_theme_id=>42
,p_name=>'ITEM_WIDTH'
,p_display_name=>'Item Width'
,p_display_sequence=>120
,p_template_types=>'REGION'
,p_help_text=>'Sets the width of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4854218225840680)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'FIELD'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4854617657840681)
,p_theme_id=>42
,p_name=>'ITEM_POST_TEXT'
,p_display_name=>'Item Post Text'
,p_display_sequence=>30
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Post Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4855065810840681)
,p_theme_id=>42
,p_name=>'ITEM_PRE_TEXT'
,p_display_name=>'Item Pre Text'
,p_display_sequence=>20
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Pre Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4855409270840681)
,p_theme_id=>42
,p_name=>'RADIO_GROUP_DISPLAY'
,p_display_name=>'Item Group Display'
,p_display_sequence=>300
,p_template_types=>'FIELD'
,p_help_text=>'Determines the display style for radio and check box items.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(4856276142840681)
,p_theme_id=>42
,p_name=>'PAGINATION_DISPLAY'
,p_display_name=>'Pagination Display'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of pagination for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
end;
/
prompt --application/shared_components/user_interface/template_options
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4732091887840619)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(4729043420840618)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4733356376840620)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_api.id(4732123921840619)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4733561233840620)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>1
,p_page_template_id=>wwv_flow_api.id(4732123921840619)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4735603782840622)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_api.id(4734410872840620)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4735833400840622)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_api.id(4734410872840620)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4738645712840623)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(4735916462840622)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4741463685840624)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(4738704996840623)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4744568370840626)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(4741553021840624)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4747024417840627)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(4744616798840626)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4749571562840628)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(4747187057840627)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4750424564840629)
,p_theme_id=>42
,p_name=>'HIDDENHEADER'
,p_display_name=>'Hidden but Accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--accessibleHeading'
,p_group_id=>wwv_flow_api.id(4750261892840628)
,p_template_types=>'REGION'
,p_help_text=>'Visually hides the alert title, but assistive technologies can still read it.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4750636167840629)
,p_theme_id=>42
,p_name=>'COLOREDBACKGROUND'
,p_display_name=>'Highlight Background'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--colorBG'
,p_template_types=>'REGION'
,p_help_text=>'Set alert background color to that of the alert type (warning, success, etc.)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4751025714840629)
,p_theme_id=>42
,p_name=>'SHOW_CUSTOM_ICONS'
,p_display_name=>'Show Custom Icons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--customIcons'
,p_group_id=>wwv_flow_api.id(4750861143840629)
,p_template_types=>'REGION'
,p_help_text=>'Set custom icons by modifying the Alert Region''s Icon CSS Classes property.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4751449432840629)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--danger'
,p_group_id=>wwv_flow_api.id(4751266727840629)
,p_template_types=>'REGION'
,p_help_text=>'Show an error or danger alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4751689231840629)
,p_theme_id=>42
,p_name=>'USEDEFAULTICONS'
,p_display_name=>'Show Default Icons'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--defaultIcons'
,p_group_id=>wwv_flow_api.id(4750861143840629)
,p_template_types=>'REGION'
,p_help_text=>'Uses default icons for alert types.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4752094838840629)
,p_theme_id=>42
,p_name=>'HORIZONTAL'
,p_display_name=>'Horizontal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--horizontal'
,p_group_id=>wwv_flow_api.id(4751851961840629)
,p_template_types=>'REGION'
,p_help_text=>'Show horizontal alert with buttons to the right.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4752280928840629)
,p_theme_id=>42
,p_name=>'INFORMATION'
,p_display_name=>'Information'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--info'
,p_group_id=>wwv_flow_api.id(4751266727840629)
,p_template_types=>'REGION'
,p_help_text=>'Show informational alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4752411280840629)
,p_theme_id=>42
,p_name=>'HIDE_ICONS'
,p_display_name=>'Hide Icons'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--noIcon'
,p_group_id=>wwv_flow_api.id(4750861143840629)
,p_template_types=>'REGION'
,p_help_text=>'Hides alert icons'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4752646900840629)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--removeHeading'
,p_group_id=>wwv_flow_api.id(4750261892840628)
,p_template_types=>'REGION'
,p_help_text=>'Hides the Alert Title from being displayed.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4752833337840629)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--success'
,p_group_id=>wwv_flow_api.id(4751266727840629)
,p_template_types=>'REGION'
,p_help_text=>'Show success alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4753047569840630)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--warning'
,p_group_id=>wwv_flow_api.id(4751266727840629)
,p_template_types=>'REGION'
,p_help_text=>'Show a warning alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4753233915840630)
,p_theme_id=>42
,p_name=>'WIZARD'
,p_display_name=>'Wizard'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4749694593840628)
,p_css_classes=>'t-Alert--wizard'
,p_group_id=>wwv_flow_api.id(4751851961840629)
,p_template_types=>'REGION'
,p_help_text=>'Show the alert in a wizard style region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4755438977840631)
,p_theme_id=>42
,p_name=>'BORDERLESS'
,p_display_name=>'Borderless'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(4754365122840630)
,p_css_classes=>'t-ButtonRegion--noBorder'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4755818481840631)
,p_theme_id=>42
,p_name=>'NOPADDING'
,p_display_name=>'No Padding'
,p_display_sequence=>3
,p_region_template_id=>wwv_flow_api.id(4754365122840630)
,p_css_classes=>'t-ButtonRegion--noPadding'
,p_group_id=>wwv_flow_api.id(4755627655840631)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4756095471840631)
,p_theme_id=>42
,p_name=>'REMOVEUIDECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>4
,p_region_template_id=>wwv_flow_api.id(4754365122840630)
,p_css_classes=>'t-ButtonRegion--noUI'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4756299624840631)
,p_theme_id=>42
,p_name=>'SLIMPADDING'
,p_display_name=>'Slim Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_api.id(4754365122840630)
,p_css_classes=>'t-ButtonRegion--slimPadding'
,p_group_id=>wwv_flow_api.id(4755627655840631)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4756411580840631)
,p_theme_id=>42
,p_name=>'STICK_TO_BOTTOM'
,p_display_name=>'Stick to Bottom for Mobile'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4754365122840630)
,p_css_classes=>'t-ButtonRegion--stickToBottom'
,p_template_types=>'REGION'
,p_help_text=>'This will position the button container region to the bottom of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4757673542840631)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4757849671840631)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4758098417840632)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4758207573840632)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4758641793840632)
,p_theme_id=>42
,p_name=>'10_SECONDS'
,p_display_name=>'10 Seconds'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'js-cycle10s'
,p_group_id=>wwv_flow_api.id(4758490811840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4758804710840632)
,p_theme_id=>42
,p_name=>'15_SECONDS'
,p_display_name=>'15 Seconds'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'js-cycle15s'
,p_group_id=>wwv_flow_api.id(4758490811840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4759015127840632)
,p_theme_id=>42
,p_name=>'20_SECONDS'
,p_display_name=>'20 Seconds'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'js-cycle20s'
,p_group_id=>wwv_flow_api.id(4758490811840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4759259480840632)
,p_theme_id=>42
,p_name=>'5_SECONDS'
,p_display_name=>'5 Seconds'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'js-cycle5s'
,p_group_id=>wwv_flow_api.id(4758490811840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4759496709840632)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4759666358840632)
,p_theme_id=>42
,p_name=>'REMEMBER_CAROUSEL_SLIDE'
,p_display_name=>'Remember Carousel Slide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4760061137840632)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4760251796840632)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4760454037840633)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4760612812840633)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4760824166840633)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4761245687840633)
,p_theme_id=>42
,p_name=>'SLIDE'
,p_display_name=>'Slide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--carouselSlide'
,p_group_id=>wwv_flow_api.id(4761037434840633)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4761479727840633)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--carouselSpin'
,p_group_id=>wwv_flow_api.id(4761037434840633)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4761806770840633)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(4761609242840633)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4762262547840633)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_api.id(4762064314840633)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4762494865840633)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4762698874840633)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4762835044840633)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--removeHeader'
,p_group_id=>wwv_flow_api.id(4762064314840633)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4763063528840634)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(4761609242840633)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4763254343840634)
,p_theme_id=>42
,p_name=>'SHOW_NEXT_AND_PREVIOUS_BUTTONS'
,p_display_name=>'Show Next and Previous Buttons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--showCarouselControls'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4763483774840634)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4763616245840634)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4756521543840631)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4764675212840634)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4764842876840634)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4765093307840634)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 480px.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4765249820840634)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 640px.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4765618461840635)
,p_theme_id=>42
,p_name=>'COLLAPSED'
,p_display_name=>'Collapsed'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'is-collapsed'
,p_group_id=>wwv_flow_api.id(4765498983840635)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4765896748840635)
,p_theme_id=>42
,p_name=>'EXPANDED'
,p_display_name=>'Expanded'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'is-expanded'
,p_group_id=>wwv_flow_api.id(4765498983840635)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4766083514840635)
,p_theme_id=>42
,p_name=>'REMEMBER_COLLAPSIBLE_STATE'
,p_display_name=>'Remember Collapsible State'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
,p_help_text=>'This option saves the current state of the collapsible region for the duration of the session.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4766234655840635)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4766440561840635)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4766663267840635)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4766899602840635)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4767036560840635)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4767495039840635)
,p_theme_id=>42
,p_name=>'CONRTOLS_POSITION_END'
,p_display_name=>'End'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--controlsPosEnd'
,p_group_id=>wwv_flow_api.id(4767296700840635)
,p_template_types=>'REGION'
,p_help_text=>'Position the expand / collapse button to the end of the region header.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4767661644840635)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(4761609242840633)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4768079539840636)
,p_theme_id=>42
,p_name=>'ICONS_PLUS_OR_MINUS'
,p_display_name=>'Plus or Minus'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--hideShowIconsMath'
,p_group_id=>wwv_flow_api.id(4767858829840635)
,p_template_types=>'REGION'
,p_help_text=>'Use the plus and minus icons for the expand and collapse button.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4768246070840636)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4768427376840636)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4768673333840636)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4768829504840636)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(4761609242840633)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4769071313840636)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4763749647840634)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4769625788840636)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H1'
,p_display_name=>'Heading Level 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4769111389840636)
,p_css_classes=>'t-ContentBlock--h1'
,p_group_id=>wwv_flow_api.id(4769418634840636)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4769887277840636)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H2'
,p_display_name=>'Heading Level 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4769111389840636)
,p_css_classes=>'t-ContentBlock--h2'
,p_group_id=>wwv_flow_api.id(4769418634840636)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4770000534840636)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H3'
,p_display_name=>'Heading Level 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4769111389840636)
,p_css_classes=>'t-ContentBlock--h3'
,p_group_id=>wwv_flow_api.id(4769418634840636)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4770458436840636)
,p_theme_id=>42
,p_name=>'LIGHT_BACKGROUND'
,p_display_name=>'Light Background'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4769111389840636)
,p_css_classes=>'t-ContentBlock--lightBG'
,p_group_id=>wwv_flow_api.id(4770250462840636)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly lighter background.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4770689726840637)
,p_theme_id=>42
,p_name=>'ADD_BODY_PADDING'
,p_display_name=>'Add Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4769111389840636)
,p_css_classes=>'t-ContentBlock--padded'
,p_template_types=>'REGION'
,p_help_text=>'Adds padding to the region''s body container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4770854493840637)
,p_theme_id=>42
,p_name=>'SHADOW_BACKGROUND'
,p_display_name=>'Shadow Background'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4769111389840636)
,p_css_classes=>'t-ContentBlock--shadowBG'
,p_group_id=>wwv_flow_api.id(4770250462840636)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly darker background.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4771026707840637)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4769111389840636)
,p_css_classes=>'t-ContentBlock--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4771777399840637)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4771185100840637)
,p_css_classes=>'t-HeroRegion--featured'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4771937093840637)
,p_theme_id=>42
,p_name=>'STACKED_FEATURED'
,p_display_name=>'Stacked Featured'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4771185100840637)
,p_css_classes=>'t-HeroRegion--featured t-HeroRegion--centered'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4772328880840637)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON_NO'
,p_display_name=>'No'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4771185100840637)
,p_css_classes=>'t-HeroRegion--hideIcon'
,p_group_id=>wwv_flow_api.id(4772100790840637)
,p_template_types=>'REGION'
,p_help_text=>'Hide the Hero Region icon.'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4772743727840637)
,p_theme_id=>42
,p_name=>'ICONS_CIRCULAR'
,p_display_name=>'Circle'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4771185100840637)
,p_css_classes=>'t-HeroRegion--iconsCircle'
,p_group_id=>wwv_flow_api.id(4772531747840637)
,p_template_types=>'REGION'
,p_help_text=>'The icons are displayed within a circle.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4772964870840637)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4771185100840637)
,p_css_classes=>'t-HeroRegion--iconsSquare'
,p_group_id=>wwv_flow_api.id(4772531747840637)
,p_template_types=>'REGION'
,p_help_text=>'The icons are displayed within a square.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4773181176840638)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4771185100840637)
,p_css_classes=>'t-HeroRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the hero region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4773877060840638)
,p_theme_id=>42
,p_name=>'AUTO_HEIGHT_INLINE_DIALOG'
,p_display_name=>'Auto Height'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(4773279516840638)
,p_css_classes=>'js-dialog-autoheight'
,p_template_types=>'REGION'
,p_help_text=>'This option will set the height of the dialog to fit its contents.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4774275978840638)
,p_theme_id=>42
,p_name=>'SMALL_480X320'
,p_display_name=>'Small (480x320)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4773279516840638)
,p_css_classes=>'js-dialog-size480x320'
,p_group_id=>wwv_flow_api.id(4774072286840638)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4774495795840638)
,p_theme_id=>42
,p_name=>'MEDIUM_600X400'
,p_display_name=>'Medium (600x400)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4773279516840638)
,p_css_classes=>'js-dialog-size600x400'
,p_group_id=>wwv_flow_api.id(4774072286840638)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4774606147840638)
,p_theme_id=>42
,p_name=>'LARGE_720X480'
,p_display_name=>'Large (720x480)'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4773279516840638)
,p_css_classes=>'js-dialog-size720x480'
,p_group_id=>wwv_flow_api.id(4774072286840638)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4774856483840638)
,p_theme_id=>42
,p_name=>'DRAGGABLE'
,p_display_name=>'Draggable'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4773279516840638)
,p_css_classes=>'js-draggable'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4775066981840638)
,p_theme_id=>42
,p_name=>'MODAL'
,p_display_name=>'Modal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4773279516840638)
,p_css_classes=>'js-modal'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4775244792840638)
,p_theme_id=>42
,p_name=>'RESIZABLE'
,p_display_name=>'Resizable'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4773279516840638)
,p_css_classes=>'js-resizable'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4775406190840638)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_api.id(4773279516840638)
,p_css_classes=>'t-DialogRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the region body.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4776181687840639)
,p_theme_id=>42
,p_name=>'AUTO_HEIGHT_INLINE_DIALOG'
,p_display_name=>'Auto Height'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(4775599419840639)
,p_css_classes=>'js-dialog-autoheight'
,p_template_types=>'REGION'
,p_help_text=>'This option will set the height of the dialog to fit its contents.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4776322487840639)
,p_theme_id=>42
,p_name=>'NONE'
,p_display_name=>'None'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(4775599419840639)
,p_css_classes=>'js-dialog-nosize'
,p_group_id=>wwv_flow_api.id(4774072286840638)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4776501325840639)
,p_theme_id=>42
,p_name=>'SMALL_480X320'
,p_display_name=>'Small (480x320)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4775599419840639)
,p_css_classes=>'js-dialog-size480x320'
,p_group_id=>wwv_flow_api.id(4774072286840638)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4776713869840639)
,p_theme_id=>42
,p_name=>'MEDIUM_600X400'
,p_display_name=>'Medium (600x400)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4775599419840639)
,p_css_classes=>'js-dialog-size600x400'
,p_group_id=>wwv_flow_api.id(4774072286840638)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4776987037840639)
,p_theme_id=>42
,p_name=>'LARGE_720X480'
,p_display_name=>'Large (720x480)'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4775599419840639)
,p_css_classes=>'js-dialog-size720x480'
,p_group_id=>wwv_flow_api.id(4774072286840638)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4777130791840639)
,p_theme_id=>42
,p_name=>'REMOVE_PAGE_OVERLAY'
,p_display_name=>'Remove Page Overlay'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4775599419840639)
,p_css_classes=>'js-popup-noOverlay'
,p_template_types=>'REGION'
,p_help_text=>'This option will display the inline dialog without an overlay on the background.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4777316196840639)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4775599419840639)
,p_css_classes=>'t-DialogRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the region body.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4777771756840639)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4777412361840639)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Interactive Reports toolbar to maximize the report. Clicking this button will toggle the maximize state and stretch the report to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4777906812840639)
,p_theme_id=>42
,p_name=>'REMOVEBORDERS'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4777412361840639)
,p_css_classes=>'t-IRR-region--noBorders'
,p_template_types=>'REGION'
,p_help_text=>'Removes borders around the Interactive Report'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4779405426840640)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4779699462840641)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4779825618840641)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4780079711840641)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(4757409797840631)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4780253834840641)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4780471258840641)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4780648092840641)
,p_theme_id=>42
,p_name=>'ACCENT_10'
,p_display_name=>'Accent 10'
,p_display_sequence=>100
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent10'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4780872884840641)
,p_theme_id=>42
,p_name=>'ACCENT_11'
,p_display_name=>'Accent 11'
,p_display_sequence=>110
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent11'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4781020830840641)
,p_theme_id=>42
,p_name=>'ACCENT_12'
,p_display_name=>'Accent 12'
,p_display_sequence=>120
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent12'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4781280352840641)
,p_theme_id=>42
,p_name=>'ACCENT_13'
,p_display_name=>'Accent 13'
,p_display_sequence=>130
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent13'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4781409379840641)
,p_theme_id=>42
,p_name=>'ACCENT_14'
,p_display_name=>'Accent 14'
,p_display_sequence=>140
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent14'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4781620463840642)
,p_theme_id=>42
,p_name=>'ACCENT_15'
,p_display_name=>'Accent 15'
,p_display_sequence=>150
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent15'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4781827403840642)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4782041744840642)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4782270951840642)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4782450248840642)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4782605285840642)
,p_theme_id=>42
,p_name=>'ACCENT_6'
,p_display_name=>'Accent 6'
,p_display_sequence=>60
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent6'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4782826258840642)
,p_theme_id=>42
,p_name=>'ACCENT_7'
,p_display_name=>'Accent 7'
,p_display_sequence=>70
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent7'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4783085200840642)
,p_theme_id=>42
,p_name=>'ACCENT_8'
,p_display_name=>'Accent 8'
,p_display_sequence=>80
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent8'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4783245469840642)
,p_theme_id=>42
,p_name=>'ACCENT_9'
,p_display_name=>'Accent 9'
,p_display_sequence=>90
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--accent9'
,p_group_id=>wwv_flow_api.id(4759898333840632)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4783443434840642)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(4761609242840633)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4783608318840642)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_api.id(4762064314840633)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4783866847840642)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4784011826840642)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4784211545840643)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4784484396840643)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--removeHeader'
,p_group_id=>wwv_flow_api.id(4762064314840633)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4784669639840643)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(4761609242840633)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4784881674840643)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4785097497840643)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4785276206840643)
,p_theme_id=>42
,p_name=>'TEXT_CONTENT'
,p_display_name=>'Text Content'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(4778514467840640)
,p_css_classes=>'t-Region--textContent'
,p_group_id=>wwv_flow_api.id(4755228906840630)
,p_template_types=>'REGION'
,p_help_text=>'Useful for displaying primarily text-based content, such as FAQs and more.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4786259188840643)
,p_theme_id=>42
,p_name=>'REMEMBER_ACTIVE_TAB'
,p_display_name=>'Remember Active Tab'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4785399478840643)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4786656023840644)
,p_theme_id=>42
,p_name=>'FILL_TAB_LABELS'
,p_display_name=>'Fill Tab Labels'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4785399478840643)
,p_css_classes=>'t-TabsRegion-mod--fillLabels'
,p_group_id=>wwv_flow_api.id(4786415913840643)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4787019714840644)
,p_theme_id=>42
,p_name=>'TABSLARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4785399478840643)
,p_css_classes=>'t-TabsRegion-mod--large'
,p_group_id=>wwv_flow_api.id(4786887824840644)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4787433486840644)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4785399478840643)
,p_css_classes=>'t-TabsRegion-mod--pill'
,p_group_id=>wwv_flow_api.id(4787270689840644)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4787637230840644)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4785399478840643)
,p_css_classes=>'t-TabsRegion-mod--simple'
,p_group_id=>wwv_flow_api.id(4787270689840644)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4787843045840644)
,p_theme_id=>42
,p_name=>'TABS_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4785399478840643)
,p_css_classes=>'t-TabsRegion-mod--small'
,p_group_id=>wwv_flow_api.id(4786887824840644)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4788227284840644)
,p_theme_id=>42
,p_name=>'USE_COMPACT_STYLE'
,p_display_name=>'Use Compact Style'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4787983946840644)
,p_css_classes=>'t-BreadcrumbRegion--compactTitle'
,p_template_types=>'REGION'
,p_help_text=>'Uses a compact style for the breadcrumbs.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4788474964840644)
,p_theme_id=>42
,p_name=>'HIDE_BREADCRUMB'
,p_display_name=>'Show Breadcrumbs'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(4787983946840644)
,p_css_classes=>'t-BreadcrumbRegion--showBreadcrumb'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4788664117840644)
,p_theme_id=>42
,p_name=>'GET_TITLE_FROM_BREADCRUMB'
,p_display_name=>'Use Current Breadcrumb Entry'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(4787983946840644)
,p_css_classes=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_group_id=>wwv_flow_api.id(4769418634840636)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4788860385840644)
,p_theme_id=>42
,p_name=>'REGION_HEADER_VISIBLE'
,p_display_name=>'Use Region Title'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(4787983946840644)
,p_css_classes=>'t-BreadcrumbRegion--useRegionTitle'
,p_group_id=>wwv_flow_api.id(4769418634840636)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4789756052840645)
,p_theme_id=>42
,p_name=>'HIDESMALLSCREENS'
,p_display_name=>'Small Screens (Tablet)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(4788910847840644)
,p_css_classes=>'t-Wizard--hideStepsSmall'
,p_group_id=>wwv_flow_api.id(4789548977840645)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4789985213840645)
,p_theme_id=>42
,p_name=>'HIDEXSMALLSCREENS'
,p_display_name=>'X Small Screens (Mobile)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4788910847840644)
,p_css_classes=>'t-Wizard--hideStepsXSmall'
,p_group_id=>wwv_flow_api.id(4789548977840645)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4790119035840645)
,p_theme_id=>42
,p_name=>'SHOW_TITLE'
,p_display_name=>'Show Title'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(4788910847840644)
,p_css_classes=>'t-Wizard--showTitle'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4790719848840645)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_api.id(4790208613840645)
,p_css_classes=>'t-Timeline--compact'
,p_group_id=>wwv_flow_api.id(4790542402840645)
,p_template_types=>'REPORT'
,p_help_text=>'Displays a compact version of timeline with smaller text and fewer columns.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4791328671840646)
,p_theme_id=>42
,p_name=>'2_COLUMN_GRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4791512337840646)
,p_theme_id=>42
,p_name=>'3_COLUMN_GRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4791732995840646)
,p_theme_id=>42
,p_name=>'4_COLUMN_GRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4791913273840646)
,p_theme_id=>42
,p_name=>'5_COLUMN_GRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4792148060840646)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4792554376840646)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--iconsRounded'
,p_group_id=>wwv_flow_api.id(4792392510840646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4792795992840646)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--iconsSquare'
,p_group_id=>wwv_flow_api.id(4792392510840646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4793172733840646)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_api.id(4792997788840646)
,p_template_types=>'REPORT'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4793353927840647)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4793537455840647)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4793714167840647)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4793969746840647)
,p_theme_id=>42
,p_name=>'STACK'
,p_display_name=>'Stack'
,p_display_sequence=>5
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'t-MediaList--stack'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4794155739840647)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(4790890141840645)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4794752089840647)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(4794204348840647)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4794910127840647)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4794204348840647)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4795116485840647)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4794204348840647)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4795349871840647)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4794204348840647)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4795561670840647)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4794204348840647)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4795790484840648)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(4794204348840647)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4795989845840648)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(4794204348840647)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4796186538840648)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(4794204348840647)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4796591307840648)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(4796228444840648)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4796763591840648)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4796228444840648)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4796982058840648)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4796228444840648)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4797141965840648)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4796228444840648)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4797318881840648)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4796228444840648)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4797520083840648)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(4796228444840648)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4797709543840648)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(4796228444840648)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4797907591840649)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(4796228444840648)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_api.id(4794539279840647)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4798363365840649)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_api.id(4790542402840645)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4798588818840649)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4798710576840649)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4798949904840649)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4799163827840649)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4799323610840649)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_api.id(4790542402840645)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4799598839840649)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4799721081840649)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4799970325840649)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4800307294840650)
,p_theme_id=>42
,p_name=>'64PX'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_api.id(4800178588840649)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4800590050840650)
,p_theme_id=>42
,p_name=>'48PX'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_api.id(4800178588840649)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4800797365840650)
,p_theme_id=>42
,p_name=>'32PX'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_api.id(4800178588840649)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4800948729840650)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4801109375840650)
,p_theme_id=>42
,p_name=>'96PX'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_api.id(4800178588840649)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4801380699840650)
,p_theme_id=>42
,p_name=>'128PX'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_api.id(4800178588840649)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4801506060840650)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4798004910840649)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4802155883840650)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4801605947840650)
,p_css_classes=>'t-Report--altRowsDefault'
,p_group_id=>wwv_flow_api.id(4801914440840650)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4802525286840650)
,p_theme_id=>42
,p_name=>'HORIZONTALBORDERS'
,p_display_name=>'Horizontal Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4801605947840650)
,p_css_classes=>'t-Report--horizontalBorders'
,p_group_id=>wwv_flow_api.id(4802379560840650)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4802750918840651)
,p_theme_id=>42
,p_name=>'REMOVEOUTERBORDERS'
,p_display_name=>'No Outer Borders'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(4801605947840650)
,p_css_classes=>'t-Report--inline'
,p_group_id=>wwv_flow_api.id(4802379560840650)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4802954097840651)
,p_theme_id=>42
,p_name=>'REMOVEALLBORDERS'
,p_display_name=>'No Borders'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(4801605947840650)
,p_css_classes=>'t-Report--noBorders'
,p_group_id=>wwv_flow_api.id(4802379560840650)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4803363991840651)
,p_theme_id=>42
,p_name=>'ENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4801605947840650)
,p_css_classes=>'t-Report--rowHighlight'
,p_group_id=>wwv_flow_api.id(4803125950840651)
,p_template_types=>'REPORT'
,p_help_text=>'Enable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4803529409840651)
,p_theme_id=>42
,p_name=>'ROWHIGHLIGHTDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4801605947840650)
,p_css_classes=>'t-Report--rowHighlightOff'
,p_group_id=>wwv_flow_api.id(4803125950840651)
,p_template_types=>'REPORT'
,p_help_text=>'Disable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4803789984840651)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4801605947840650)
,p_css_classes=>'t-Report--staticRowColors'
,p_group_id=>wwv_flow_api.id(4801914440840650)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4803993974840651)
,p_theme_id=>42
,p_name=>'STRETCHREPORT'
,p_display_name=>'Stretch Report'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4801605947840650)
,p_css_classes=>'t-Report--stretch'
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4804170409840651)
,p_theme_id=>42
,p_name=>'VERTICALBORDERS'
,p_display_name=>'Vertical Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4801605947840650)
,p_css_classes=>'t-Report--verticalBorders'
,p_group_id=>wwv_flow_api.id(4802379560840650)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4804736982840651)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4804290531840651)
,p_css_classes=>'t-Comments--basic'
,p_group_id=>wwv_flow_api.id(4804503621840651)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4804950171840651)
,p_theme_id=>42
,p_name=>'SPEECH_BUBBLES'
,p_display_name=>'Speech Bubbles'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4804290531840651)
,p_css_classes=>'t-Comments--chat'
,p_group_id=>wwv_flow_api.id(4804503621840651)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4805117712840652)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4804290531840651)
,p_css_classes=>'t-Comments--iconsRounded'
,p_group_id=>wwv_flow_api.id(4792392510840646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4805393693840652)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4804290531840651)
,p_css_classes=>'t-Comments--iconsSquare'
,p_group_id=>wwv_flow_api.id(4792392510840646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4805919068840652)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4806187502840652)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4806329642840652)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4806716988840652)
,p_theme_id=>42
,p_name=>'CARDS_COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_api.id(4806505985840652)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4806912403840652)
,p_theme_id=>42
,p_name=>'CARD_RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_api.id(4806505985840652)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4807190906840652)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_api.id(4790542402840645)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4807326193840653)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>15
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4807543585840653)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_api.id(4790542402840645)
,p_template_types=>'REPORT'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4807984971840653)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_api.id(4807726619840653)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4808117611840653)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_api.id(4807726619840653)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4808339817840653)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_api.id(4807726619840653)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4808748000840653)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_api.id(4808551350840653)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4808908353840653)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_api.id(4808551350840653)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4809188248840653)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4809349262840653)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_api.id(4790542402840645)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4809567391840653)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_api.id(4790542402840645)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4809738604840653)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4809915765840654)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_api.id(4807726619840653)
,p_template_types=>'REPORT'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4810115478840654)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--iconsRounded'
,p_group_id=>wwv_flow_api.id(4792392510840646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4810334802840654)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--iconsSquare'
,p_group_id=>wwv_flow_api.id(4792392510840646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4810535420840654)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_api.id(4791102565840646)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4810794329840654)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(4805693174840652)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4811577916840658)
,p_theme_id=>42
,p_name=>'DISPLAY_LABELS_SM'
,p_display_name=>'Display labels'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(4811035078840657)
,p_css_classes=>'t-NavTabs--displayLabels-sm'
,p_group_id=>wwv_flow_api.id(4811307482840658)
,p_template_types=>'LIST'
,p_help_text=>'Displays the label for the list items below the icon'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4811921819840659)
,p_theme_id=>42
,p_name=>'NO_LABEL_LG'
,p_display_name=>'Do not display labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4811035078840657)
,p_css_classes=>'t-NavTabs--hiddenLabels-lg'
,p_group_id=>wwv_flow_api.id(4811791899840658)
,p_template_types=>'LIST'
,p_help_text=>'Hides the label for the list item'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4812199295840659)
,p_theme_id=>42
,p_name=>'HIDE_LABELS_SM'
,p_display_name=>'Do not display labels'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(4811035078840657)
,p_css_classes=>'t-NavTabs--hiddenLabels-sm'
,p_group_id=>wwv_flow_api.id(4811307482840658)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4812310652840659)
,p_theme_id=>42
,p_name=>'LABEL_INLINE_LG'
,p_display_name=>'Display labels inline'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4811035078840657)
,p_css_classes=>'t-NavTabs--inlineLabels-lg'
,p_group_id=>wwv_flow_api.id(4811791899840658)
,p_template_types=>'LIST'
,p_help_text=>'Display the label inline with the icon and badge'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4812552542840660)
,p_theme_id=>42
,p_name=>'LABEL_ABOVE_LG'
,p_display_name=>'Display labels above'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4811035078840657)
,p_css_classes=>'t-NavTabs--stacked'
,p_group_id=>wwv_flow_api.id(4811791899840658)
,p_template_types=>'LIST'
,p_help_text=>'Display the label stacked above the icon and badge'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4812955439840660)
,p_theme_id=>42
,p_name=>'WIZARD_PROGRESS_LINKS'
,p_display_name=>'Make Wizard Steps Clickable'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(4812626449840660)
,p_css_classes=>'js-wizardProgressLinks'
,p_template_types=>'LIST'
,p_help_text=>'This option will make the wizard steps clickable links.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4813332377840660)
,p_theme_id=>42
,p_name=>'CURRENTSTEPONLY'
,p_display_name=>'Current Step Only'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4812626449840660)
,p_css_classes=>'t-WizardSteps--displayCurrentLabelOnly'
,p_group_id=>wwv_flow_api.id(4813115382840660)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4813578877840660)
,p_theme_id=>42
,p_name=>'ALLSTEPS'
,p_display_name=>'All Steps'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4812626449840660)
,p_css_classes=>'t-WizardSteps--displayLabels'
,p_group_id=>wwv_flow_api.id(4813115382840660)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4813761737840660)
,p_theme_id=>42
,p_name=>'HIDELABELS'
,p_display_name=>'Hide Labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4812626449840660)
,p_css_classes=>'t-WizardSteps--hideLabels'
,p_group_id=>wwv_flow_api.id(4813115382840660)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4813995093840660)
,p_theme_id=>42
,p_name=>'VERTICAL_LIST'
,p_display_name=>'Vertical Orientation'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4812626449840660)
,p_css_classes=>'t-WizardSteps--vertical'
,p_template_types=>'LIST'
,p_help_text=>'Displays the wizard progress list in a vertical orientation and is suitable for displaying within a side column of a page.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4814393218840661)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(4814079269840660)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4814553685840661)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4814079269840660)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4814742855840661)
,p_theme_id=>42
,p_name=>'ENABLE_SLIDE_ANIMATION'
,p_display_name=>'Enable Slide Animation'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4814079269840660)
,p_css_classes=>'js-slide'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4814961078840661)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4814079269840660)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4815596202840661)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4815972422840661)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4816166054840661)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4816338895840661)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in 4 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4816590428840662)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 5 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4816793639840662)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4816988049840662)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_help_text=>'Span badges horizontally'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4817112324840662)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_help_text=>'Use flexbox to arrange items'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4817322980840662)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_help_text=>'Float badges to left'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4817789783840662)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_api.id(4817538969840662)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4817989484840662)
,p_theme_id=>42
,p_name=>'MEDIUM'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_api.id(4817538969840662)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4818181601840662)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_api.id(4817538969840662)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4818398397840662)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_help_text=>'Stack badges on top of each other'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4818512327840662)
,p_theme_id=>42
,p_name=>'XLARGE'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_api.id(4817538969840662)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4818750319840662)
,p_theme_id=>42
,p_name=>'XXLARGE'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_api.id(4817538969840662)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4818951830840662)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4815066095840661)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4819365792840663)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4819575259840663)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4819734686840663)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4819960140840663)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4820166371840663)
,p_theme_id=>42
,p_name=>'SPANHORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_help_text=>'Show all list items in one horizontal row.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4820553416840663)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'t-MediaList--iconsRounded'
,p_group_id=>wwv_flow_api.id(4820336165840663)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4820762996840663)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'t-MediaList--iconsSquare'
,p_group_id=>wwv_flow_api.id(4820336165840663)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4821183980840663)
,p_theme_id=>42
,p_name=>'LIST_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_api.id(4820923718840663)
,p_template_types=>'LIST'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4821369176840663)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'LIST'
,p_help_text=>'Show a badge (Attribute 2) to the right of the list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4821519937840664)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'LIST'
,p_help_text=>'Shows the description (Attribute 1) for each list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4821749548840664)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'LIST'
,p_help_text=>'Display an icon next to the list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4821943877840664)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(4819023105840662)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies colors from the Theme''s color palette to icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4822349000840664)
,p_theme_id=>42
,p_name=>'COLLAPSED_DEFAULT'
,p_display_name=>'Collapsed by Default'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4822046932840664)
,p_css_classes=>'js-defaultCollapsed'
,p_template_types=>'LIST'
,p_help_text=>'This option will load the side navigation menu in a collapsed state by default.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4822546369840664)
,p_theme_id=>42
,p_name=>'STYLE_C'
,p_display_name=>'Classic'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4822046932840664)
,p_css_classes=>'t-TreeNav--classic'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
,p_help_text=>'Classic Style'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4822779581840665)
,p_theme_id=>42
,p_name=>'STYLE_A'
,p_display_name=>'Style A'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4822046932840664)
,p_css_classes=>'t-TreeNav--styleA'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
,p_help_text=>'Style Variation A'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4822995110840665)
,p_theme_id=>42
,p_name=>'STYLE_B'
,p_display_name=>'Style B'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4822046932840664)
,p_css_classes=>'t-TreeNav--styleB'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
,p_help_text=>'Style Variation B'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4823387413840665)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(4823010221840665)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4823589032840665)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(4823010221840665)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4823728429840665)
,p_theme_id=>42
,p_name=>'ENABLE_SLIDE_ANIMATION'
,p_display_name=>'Enable Slide Animation'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(4823010221840665)
,p_css_classes=>'js-slide'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4823907952840665)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(4823010221840665)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4824571458840665)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4824762900840665)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4824927274840666)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4825340932840666)
,p_theme_id=>42
,p_name=>'COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_api.id(4825159121840666)
,p_template_types=>'LIST'
,p_help_text=>'Fills the card background with the color of the icon or default link style.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4825542291840666)
,p_theme_id=>42
,p_name=>'RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_api.id(4825159121840666)
,p_template_types=>'LIST'
,p_help_text=>'Raises the card so it pops up.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4825750154840666)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4825969762840666)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4826161657840666)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4826592708840666)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_api.id(4826323993840666)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4826795317840666)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_api.id(4826323993840666)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4826993615840666)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_api.id(4826323993840666)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4827335601840666)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_api.id(4827162436840666)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4827542261840667)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_api.id(4827162436840666)
,p_template_types=>'LIST'
,p_help_text=>'Initials come from List Attribute 3'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4827789465840667)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4827901301840667)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4828131236840667)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4828341748840667)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4828537420840667)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_api.id(4826323993840666)
,p_template_types=>'LIST'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4828738454840667)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--iconsRounded'
,p_group_id=>wwv_flow_api.id(4820336165840663)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4828980453840667)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--iconsSquare'
,p_group_id=>wwv_flow_api.id(4820336165840663)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4829116804840667)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4829352849840667)
,p_theme_id=>42
,p_name=>'CARDS_STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'t-Cards--stacked'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_help_text=>'Stacks the cards on top of each other.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4829533711840667)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4824279737840665)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies the colors from the theme''s color palette to the icons or initials within cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4829934198840667)
,p_theme_id=>42
,p_name=>'FILL_LABELS'
,p_display_name=>'Fill Labels'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(4829689941840667)
,p_css_classes=>'t-Tabs--fillLabels'
,p_group_id=>wwv_flow_api.id(4815795657840661)
,p_template_types=>'LIST'
,p_help_text=>'Stretch tabs to fill to the width of the tabs container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4830135939840668)
,p_theme_id=>42
,p_name=>'ABOVE_LABEL'
,p_display_name=>'Above Label'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4829689941840667)
,p_css_classes=>'t-Tabs--iconsAbove'
,p_group_id=>wwv_flow_api.id(4827162436840666)
,p_template_types=>'LIST'
,p_help_text=>'Places icons above tab label.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4830316024840668)
,p_theme_id=>42
,p_name=>'INLINE_WITH_LABEL'
,p_display_name=>'Inline with Label'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4829689941840667)
,p_css_classes=>'t-Tabs--inlineIcons'
,p_group_id=>wwv_flow_api.id(4827162436840666)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4830544022840668)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4829689941840667)
,p_css_classes=>'t-Tabs--large'
,p_group_id=>wwv_flow_api.id(4820923718840663)
,p_template_types=>'LIST'
,p_help_text=>'Increases font size and white space around tab items.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4830737430840668)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4829689941840667)
,p_css_classes=>'t-Tabs--pill'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
,p_help_text=>'Displays tabs in a pill container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4830972094840668)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4829689941840667)
,p_css_classes=>'t-Tabs--simple'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
,p_help_text=>'A very simplistic tab UI.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4831169675840668)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_api.id(4829689941840667)
,p_css_classes=>'t-Tabs--small'
,p_group_id=>wwv_flow_api.id(4820923718840663)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4831545669840669)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4831264292840668)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Enables you to define a keyboard shortcut to activate the menu item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4831972302840669)
,p_theme_id=>42
,p_name=>'ACTIONS'
,p_display_name=>'Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4831662328840669)
,p_css_classes=>'t-LinksList--actions'
,p_group_id=>wwv_flow_api.id(4815343119840661)
,p_template_types=>'LIST'
,p_help_text=>'Render as actions to be placed on the right side column.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4832124863840669)
,p_theme_id=>42
,p_name=>'DISABLETEXTWRAPPING'
,p_display_name=>'Disable Text Wrapping'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(4831662328840669)
,p_css_classes=>'t-LinksList--nowrap'
,p_template_types=>'LIST'
,p_help_text=>'Do not allow link text to wrap to new lines. Truncate with ellipsis.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4832329924840670)
,p_theme_id=>42
,p_name=>'SHOWGOTOARROW'
,p_display_name=>'Show Right Arrow'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4831662328840669)
,p_css_classes=>'t-LinksList--showArrow'
,p_template_types=>'LIST'
,p_help_text=>'Show arrow to the right of link'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4832505682840670)
,p_theme_id=>42
,p_name=>'SHOWBADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4831662328840669)
,p_css_classes=>'t-LinksList--showBadge'
,p_template_types=>'LIST'
,p_help_text=>'Show badge to right of link (requires Attribute 1 to be populated)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4832923438840670)
,p_theme_id=>42
,p_name=>'SHOWICONS'
,p_display_name=>'For All Items'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(4831662328840669)
,p_css_classes=>'t-LinksList--showIcons'
,p_group_id=>wwv_flow_api.id(4832796743840670)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4833178854840670)
,p_theme_id=>42
,p_name=>'SHOWTOPICONS'
,p_display_name=>'For Top Level Items Only'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(4831662328840669)
,p_css_classes=>'t-LinksList--showTopIcons'
,p_group_id=>wwv_flow_api.id(4832796743840670)
,p_template_types=>'LIST'
,p_help_text=>'This will show icons for top level items of the list only. It will not show icons for sub lists.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4834367266840672)
,p_theme_id=>42
,p_name=>'PUSH'
,p_display_name=>'Push'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_api.id(4833947698840672)
,p_css_classes=>'t-Button--hoverIconPush'
,p_group_id=>wwv_flow_api.id(4834164273840672)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will animate to the right or left on button hover or focus.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4834544218840672)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_api.id(4833947698840672)
,p_css_classes=>'t-Button--hoverIconSpin'
,p_group_id=>wwv_flow_api.id(4834164273840672)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will spin on button hover or focus.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4834905739840672)
,p_theme_id=>42
,p_name=>'PUSH'
,p_display_name=>'Push'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_api.id(4834771691840672)
,p_css_classes=>'t-Button--hoverIconPush'
,p_group_id=>wwv_flow_api.id(4834164273840672)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will animate to the right or left on button hover or focus.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4835144178840672)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_api.id(4834771691840672)
,p_css_classes=>'t-Button--hoverIconSpin'
,p_group_id=>wwv_flow_api.id(4834164273840672)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will spin on button hover or focus.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4835561341840672)
,p_theme_id=>42
,p_name=>'LEFTICON'
,p_display_name=>'Left'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_api.id(4834771691840672)
,p_css_classes=>'t-Button--iconLeft'
,p_group_id=>wwv_flow_api.id(4835301141840672)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4835732147840672)
,p_theme_id=>42
,p_name=>'RIGHTICON'
,p_display_name=>'Right'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_api.id(4834771691840672)
,p_css_classes=>'t-Button--iconRight'
,p_group_id=>wwv_flow_api.id(4835301141840672)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4835933548840672)
,p_theme_id=>42
,p_name=>'HIDE_LABEL_ON_MOBILE'
,p_display_name=>'Hide Label on Mobile'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_api.id(4834771691840672)
,p_css_classes=>'t-Button--mobileHideLabel'
,p_template_types=>'BUTTON'
,p_help_text=>'This template options hides the button label on small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4837832581840674)
,p_theme_id=>42
,p_name=>'FBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_api.id(4837654095840674)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4838214110840674)
,p_theme_id=>42
,p_name=>'RBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_api.id(4838055804840674)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4838427846840674)
,p_theme_id=>42
,p_name=>'FBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_api.id(4837654095840674)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4838600260840674)
,p_theme_id=>42
,p_name=>'RBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_api.id(4838055804840674)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4838896534840674)
,p_theme_id=>42
,p_name=>'FBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_api.id(4837654095840674)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4839055190840675)
,p_theme_id=>42
,p_name=>'RBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_api.id(4838055804840674)
,p_template_types=>'REGION'
,p_help_text=>'Removes the bottom margin for this region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4839288247840675)
,p_theme_id=>42
,p_name=>'FBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_api.id(4837654095840674)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4839455662840675)
,p_theme_id=>42
,p_name=>'RBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_api.id(4838055804840674)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4839859063840675)
,p_theme_id=>42
,p_name=>'FLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_api.id(4839624523840675)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4840205298840675)
,p_theme_id=>42
,p_name=>'RLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_api.id(4840043201840675)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4840456192840675)
,p_theme_id=>42
,p_name=>'FLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_api.id(4839624523840675)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4840610772840675)
,p_theme_id=>42
,p_name=>'RLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_api.id(4840043201840675)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4840807597840675)
,p_theme_id=>42
,p_name=>'FLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_api.id(4839624523840675)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4841044909840675)
,p_theme_id=>42
,p_name=>'RLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_api.id(4840043201840675)
,p_template_types=>'REGION'
,p_help_text=>'Removes the left margin from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4841216107840675)
,p_theme_id=>42
,p_name=>'FLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_api.id(4839624523840675)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4841406511840675)
,p_theme_id=>42
,p_name=>'RLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_api.id(4840043201840675)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small left margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4841859668840676)
,p_theme_id=>42
,p_name=>'FRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_api.id(4841652611840676)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4842257840840676)
,p_theme_id=>42
,p_name=>'RRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_api.id(4842093876840676)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4842471225840676)
,p_theme_id=>42
,p_name=>'FRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_api.id(4841652611840676)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4842644924840676)
,p_theme_id=>42
,p_name=>'RRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_api.id(4842093876840676)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4842831158840676)
,p_theme_id=>42
,p_name=>'FRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_api.id(4841652611840676)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4843053409840676)
,p_theme_id=>42
,p_name=>'RRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_api.id(4842093876840676)
,p_template_types=>'REGION'
,p_help_text=>'Removes the right margin from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4843282851840676)
,p_theme_id=>42
,p_name=>'FRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_api.id(4841652611840676)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4843479918840676)
,p_theme_id=>42
,p_name=>'RRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_api.id(4842093876840676)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small right margin to the region.'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4843810070840676)
,p_theme_id=>42
,p_name=>'FTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_api.id(4843648104840676)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4844281838840676)
,p_theme_id=>42
,p_name=>'RTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_api.id(4844084333840676)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large top margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4844444821840677)
,p_theme_id=>42
,p_name=>'FTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_api.id(4843648104840676)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4844605938840677)
,p_theme_id=>42
,p_name=>'RTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_api.id(4844084333840676)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium top margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4844886776840677)
,p_theme_id=>42
,p_name=>'FTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_api.id(4843648104840676)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4845056450840677)
,p_theme_id=>42
,p_name=>'RTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_api.id(4844084333840676)
,p_template_types=>'REGION'
,p_help_text=>'Removes the top margin for this region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4845277188840677)
,p_theme_id=>42
,p_name=>'FTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_api.id(4843648104840676)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4845441716840677)
,p_theme_id=>42
,p_name=>'RTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_api.id(4844084333840676)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small top margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4845839046840677)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>30
,p_css_classes=>'t-Button--danger'
,p_group_id=>wwv_flow_api.id(4845646661840677)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4846274249840677)
,p_theme_id=>42
,p_name=>'LARGEBOTTOMMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapBottom'
,p_group_id=>wwv_flow_api.id(4846091283840677)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4846642403840677)
,p_theme_id=>42
,p_name=>'LARGELEFTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapLeft'
,p_group_id=>wwv_flow_api.id(4846426856840677)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4847013089840678)
,p_theme_id=>42
,p_name=>'LARGERIGHTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapRight'
,p_group_id=>wwv_flow_api.id(4846846308840677)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4847446138840678)
,p_theme_id=>42
,p_name=>'LARGETOPMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapTop'
,p_group_id=>wwv_flow_api.id(4847220991840678)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4847825974840678)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>30
,p_css_classes=>'t-Button--large'
,p_group_id=>wwv_flow_api.id(4847658375840678)
,p_template_types=>'BUTTON'
,p_help_text=>'A large button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4848244750840678)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_LINK'
,p_display_name=>'Display as Link'
,p_display_sequence=>30
,p_css_classes=>'t-Button--link'
,p_group_id=>wwv_flow_api.id(4848026167840678)
,p_template_types=>'BUTTON'
,p_help_text=>'This option makes the button appear as a text link.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4848441113840678)
,p_theme_id=>42
,p_name=>'NOUI'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>20
,p_css_classes=>'t-Button--noUI'
,p_group_id=>wwv_flow_api.id(4848026167840678)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4848607149840678)
,p_theme_id=>42
,p_name=>'SMALLBOTTOMMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padBottom'
,p_group_id=>wwv_flow_api.id(4846091283840677)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4848895662840678)
,p_theme_id=>42
,p_name=>'SMALLLEFTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padLeft'
,p_group_id=>wwv_flow_api.id(4846426856840677)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4849041985840678)
,p_theme_id=>42
,p_name=>'SMALLRIGHTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padRight'
,p_group_id=>wwv_flow_api.id(4846846308840677)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4849251582840678)
,p_theme_id=>42
,p_name=>'SMALLTOPMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padTop'
,p_group_id=>wwv_flow_api.id(4847220991840678)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4849636079840678)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Inner Button'
,p_display_sequence=>20
,p_css_classes=>'t-Button--pill'
,p_group_id=>wwv_flow_api.id(4849433941840678)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4849890139840679)
,p_theme_id=>42
,p_name=>'PILLEND'
,p_display_name=>'Last Button'
,p_display_sequence=>30
,p_css_classes=>'t-Button--pillEnd'
,p_group_id=>wwv_flow_api.id(4849433941840678)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4850094777840679)
,p_theme_id=>42
,p_name=>'PILLSTART'
,p_display_name=>'First Button'
,p_display_sequence=>10
,p_css_classes=>'t-Button--pillStart'
,p_group_id=>wwv_flow_api.id(4849433941840678)
,p_template_types=>'BUTTON'
,p_help_text=>'Use this for the start of a pill button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4850217736840679)
,p_theme_id=>42
,p_name=>'PRIMARY'
,p_display_name=>'Primary'
,p_display_sequence=>10
,p_css_classes=>'t-Button--primary'
,p_group_id=>wwv_flow_api.id(4845646661840677)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4850485897840679)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_css_classes=>'t-Button--simple'
,p_group_id=>wwv_flow_api.id(4848026167840678)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4850680879840679)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'t-Button--small'
,p_group_id=>wwv_flow_api.id(4847658375840678)
,p_template_types=>'BUTTON'
,p_help_text=>'A small button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4851061435840679)
,p_theme_id=>42
,p_name=>'STRETCH'
,p_display_name=>'Stretch'
,p_display_sequence=>10
,p_css_classes=>'t-Button--stretch'
,p_group_id=>wwv_flow_api.id(4850890480840679)
,p_template_types=>'BUTTON'
,p_help_text=>'Stretches button to fill container'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4851271385840679)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_css_classes=>'t-Button--success'
,p_group_id=>wwv_flow_api.id(4845646661840677)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4851486497840679)
,p_theme_id=>42
,p_name=>'TINY'
,p_display_name=>'Tiny'
,p_display_sequence=>10
,p_css_classes=>'t-Button--tiny'
,p_group_id=>wwv_flow_api.id(4847658375840678)
,p_template_types=>'BUTTON'
,p_help_text=>'A very small button.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4851661414840679)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>20
,p_css_classes=>'t-Button--warning'
,p_group_id=>wwv_flow_api.id(4845646661840677)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4852036124840680)
,p_theme_id=>42
,p_name=>'SHOWFORMLABELSABOVE'
,p_display_name=>'Show Form Labels Above'
,p_display_sequence=>10
,p_css_classes=>'t-Form--labelsAbove'
,p_group_id=>wwv_flow_api.id(4851826670840679)
,p_template_types=>'REGION'
,p_help_text=>'Show form labels above input fields.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4852413662840680)
,p_theme_id=>42
,p_name=>'FORMSIZELARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form--large'
,p_group_id=>wwv_flow_api.id(4852217113840680)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4852892635840680)
,p_theme_id=>42
,p_name=>'FORMLEFTLABELS'
,p_display_name=>'Left'
,p_display_sequence=>20
,p_css_classes=>'t-Form--leftLabels'
,p_group_id=>wwv_flow_api.id(4852617700840680)
,p_template_types=>'REGION'
,p_help_text=>'Align form labels to left.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4853204322840680)
,p_theme_id=>42
,p_name=>'FORMREMOVEPADDING'
,p_display_name=>'Remove Padding'
,p_display_sequence=>20
,p_css_classes=>'t-Form--noPadding'
,p_group_id=>wwv_flow_api.id(4853001332840680)
,p_template_types=>'REGION'
,p_help_text=>'Removes padding between items.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4853479151840680)
,p_theme_id=>42
,p_name=>'FORMSLIMPADDING'
,p_display_name=>'Slim Padding'
,p_display_sequence=>10
,p_css_classes=>'t-Form--slimPadding'
,p_group_id=>wwv_flow_api.id(4853001332840680)
,p_template_types=>'REGION'
,p_help_text=>'Reduces form item padding to 4px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4853879567840680)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_FIELDS'
,p_display_name=>'Stretch Form Fields'
,p_display_sequence=>10
,p_css_classes=>'t-Form--stretchInputs'
,p_group_id=>wwv_flow_api.id(4853684305840680)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4854093400840680)
,p_theme_id=>42
,p_name=>'FORMSIZEXLARGE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form--xlarge'
,p_group_id=>wwv_flow_api.id(4852217113840680)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4854471642840680)
,p_theme_id=>42
,p_name=>'LARGE_FIELD'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--large'
,p_group_id=>wwv_flow_api.id(4854218225840680)
,p_template_types=>'FIELD'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4854850639840681)
,p_theme_id=>42
,p_name=>'POST_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--postTextBlock'
,p_group_id=>wwv_flow_api.id(4854617657840681)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Post Text in a block style immediately after the item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4855257364840681)
,p_theme_id=>42
,p_name=>'PRE_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--preTextBlock'
,p_group_id=>wwv_flow_api.id(4855065810840681)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Pre Text in a block style immediately before the item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4855615829840681)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_PILL_BUTTON'
,p_display_name=>'Display as Pill Button'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--radioButtonGroup'
,p_group_id=>wwv_flow_api.id(4855409270840681)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the radio buttons to look like a button set / pill button.  Note that the the radio buttons must all be in the same row for this option to work.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4855885389840681)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_ITEM'
,p_display_name=>'Stretch Form Item'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--stretchInputs'
,p_template_types=>'FIELD'
,p_help_text=>'Stretches the form item to fill its container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4856031565840681)
,p_theme_id=>42
,p_name=>'X_LARGE_SIZE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form-fieldContainer--xlarge'
,p_group_id=>wwv_flow_api.id(4854218225840680)
,p_template_types=>'FIELD'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(4856481738840681)
,p_theme_id=>42
,p_name=>'HIDE_WHEN_ALL_ROWS_DISPLAYED'
,p_display_name=>'Hide when all rows displayed'
,p_display_sequence=>10
,p_css_classes=>'t-Report--hideNoPagination'
,p_group_id=>wwv_flow_api.id(4856276142840681)
,p_template_types=>'REPORT'
,p_help_text=>'This option will hide the pagination when all rows are displayed.'
);
end;
/
prompt --application/shared_components/logic/build_options
begin
null;
end;
/
prompt --application/shared_components/globalization/language
begin
null;
end;
/
prompt --application/shared_components/globalization/translations
begin
null;
end;
/
prompt --application/shared_components/globalization/messages
begin
null;
end;
/
prompt --application/shared_components/globalization/dyntranslations
begin
null;
end;
/
prompt --application/shared_components/user_interface/shortcuts/delete_confirm_msg
begin
wwv_flow_api.create_shortcut(
 p_id=>wwv_flow_api.id(4860107654840685)
,p_shortcut_name=>'DELETE_CONFIRM_MSG'
,p_shortcut_type=>'TEXT_ESCAPE_JS'
,p_shortcut=>'Would you like to perform this delete action?'
);
end;
/
prompt --application/shared_components/security/authentications/application_express_authentication
begin
wwv_flow_api.create_authentication(
 p_id=>wwv_flow_api.id(4727943901840617)
,p_name=>'Application Express Authentication'
,p_scheme_type=>'NATIVE_APEX_ACCOUNTS'
,p_invalid_session_type=>'LOGIN'
,p_use_secure_cookie_yn=>'N'
,p_ras_mode=>0
);
end;
/
prompt --application/user_interfaces
begin
wwv_flow_api.create_user_interface(
 p_id=>wwv_flow_api.id(4857225410840682)
,p_ui_type_name=>'DESKTOP'
,p_display_name=>'Desktop'
,p_display_seq=>10
,p_use_auto_detect=>false
,p_is_default=>true
,p_theme_id=>42
,p_home_url=>'f?p=&APP_ID.:1:&SESSION.'
,p_login_url=>'f?p=&APP_ID.:LOGIN_DESKTOP:&SESSION.'
,p_theme_style_by_user_pref=>false
,p_built_with_love=>false
,p_global_page_id=>0
,p_navigation_list_id=>wwv_flow_api.id(4728767344840617)
,p_navigation_list_position=>'SIDE'
,p_navigation_list_template_id=>wwv_flow_api.id(4822046932840664)
,p_nav_list_template_options=>'#DEFAULT#:t-TreeNav--styleA'
,p_css_file_urls=>'#APP_IMAGES#app-icon.css?version=#APP_VERSION#'
,p_nav_bar_type=>'LIST'
,p_nav_bar_list_id=>wwv_flow_api.id(4856912734840682)
,p_nav_bar_list_template_id=>wwv_flow_api.id(4824031403840665)
,p_nav_bar_template_options=>'#DEFAULT#'
);
end;
/
prompt --application/user_interfaces/combined_files
begin
null;
end;
/
prompt --application/pages/page_00000
begin
wwv_flow_api.create_page(
 p_id=>0
,p_user_interface_id=>wwv_flow_api.id(4857225410840682)
,p_name=>'Global Page - Desktop'
,p_step_title=>'Global Page - Desktop'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'D'
,p_last_updated_by=>'ADMIN'
,p_last_upd_yyyymmddhh24miss=>'20190504143939'
);
end;
/
prompt --application/pages/page_00001
begin
wwv_flow_api.create_page(
 p_id=>1
,p_user_interface_id=>wwv_flow_api.id(4857225410840682)
,p_name=>'Home'
,p_alias=>'HOME'
,p_step_title=>'Sweet Alert 2'
,p_autocomplete_on_off=>'OFF'
,p_javascript_file_urls=>'#APP_IMAGES#sweetalert2.all.min.js'
,p_css_file_urls=>'#APP_IMAGES#sweetalert2.min.css'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.btn-success {',
'    color: #fff;',
'    background-color: #28a745;',
'    border-color: #28a745;',
'}',
'',
'',
'.btn-danger {',
'    color: #fff;',
'    background-color: #dc3545;',
'    border-color: #dc3545;',
'}',
'',
'.btn {',
'    display: inline-block;',
'    font-weight: normal;',
'    text-align: center;',
'    white-space: nowrap;',
'    vertical-align: middle;',
'    -webkit-user-select: none;',
'    -moz-user-select: none;',
'    -ms-user-select: none;',
'    user-select: none;',
'    border: 1px solid transparent;',
'    margin: 0 0.5rem;',
'    padding: 0.5rem 0.75rem;',
'    font-size: 2rem;',
'    line-height: 1.25;',
'    border-radius: 0.25rem;',
'    transition: all 0.15s ease-in-out;',
'}',
'',
'.swal2-popup {',
'    font-size: 2rem !important;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'ADMIN'
,p_last_upd_yyyymmddhh24miss=>'20190504144510'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3176892956385529)
,p_plug_name=>'New'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(4778514467840640)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(4868069304840692)
,p_plug_name=>'Sweet Alert 2'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(4771185100840637)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_num_rows=>15
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(3176989189385530)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(3176892956385529)
,p_button_name=>'Confirm'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(4834771691840672)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Confirm'
,p_button_position=>'BODY'
,p_warn_on_unsaved_changes=>null
,p_grid_new_row=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(3177033601385531)
,p_name=>'Confirm'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(3176989189385530)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(3177113302385532)
,p_event_id=>wwv_flow_api.id(3177033601385531)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Swal.fire({',
'  position: ''top-end'',',
'  type: ''success'',',
'  title: ''Your work has been saved'',',
'  showConfirmButton: false,',
'  timer: 1500',
'})'))
);
end;
/
prompt --application/pages/page_09999
begin
wwv_flow_api.create_page(
 p_id=>9999
,p_user_interface_id=>wwv_flow_api.id(4857225410840682)
,p_name=>'Login Page'
,p_alias=>'LOGIN_DESKTOP'
,p_step_title=>'Sweet Alert 2 - Sign In'
,p_warn_on_unsaved_changes=>'N'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_api.id(4733697402840620)
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_last_updated_by=>'ADMIN'
,p_last_upd_yyyymmddhh24miss=>'20190504143939'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(4861203721840687)
,p_plug_name=>'Sweet Alert 2'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(4778008892840640)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(4865969573840690)
,p_plug_name=>'Language Selector'
,p_parent_plug_id=>wwv_flow_api.id(4861203721840687)
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(4753397256840630)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>'apex_lang.emit_language_selector_list;'
,p_plug_source_type=>'NATIVE_PLSQL'
,p_plug_query_num_rows=>15
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(4864054285840689)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(4861203721840687)
,p_button_name=>'LOGIN'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(4834644392840672)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Sign In'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_alignment=>'LEFT'
,p_grid_new_grid=>false
,p_grid_new_row=>'Y'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(4861664857840687)
,p_name=>'P9999_USERNAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(4861203721840687)
,p_prompt=>'username'
,p_placeholder=>'username'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>40
,p_cMaxlength=>100
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_api.id(4833268193840670)
,p_item_icon_css_classes=>'fa-user'
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(4862017907840687)
,p_name=>'P9999_PASSWORD'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(4861203721840687)
,p_prompt=>'password'
,p_placeholder=>'password'
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>40
,p_cMaxlength=>100
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_api.id(4833268193840670)
,p_item_icon_css_classes=>'fa-key'
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(4863150422840688)
,p_name=>'P9999_REMEMBER'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(4861203721840687)
,p_prompt=>'Remember username'
,p_display_as=>'NATIVE_CHECKBOX'
,p_named_lov=>'LOGIN_REMEMBER_USERNAME'
,p_lov=>'.'||wwv_flow_api.id(4862372741840688)||'.'
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_api.id(4833268193840670)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>',
'If you select this checkbox, the application will save your username in a persistent browser cookie named "LOGIN_USERNAME_COOKIE".',
'When you go to the login page the next time,',
'the username field will be automatically populated with this value.',
'</p>',
'<p>',
'If you deselect this checkbox and your username is already saved in the cookie,',
'the application will overwrite it with an empty value.',
'You can also use your browser''s developer tools to completely remove the cookie.',
'</p>'))
,p_attribute_01=>'1'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(4864862900840689)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Set Username Cookie'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.send_login_username_cookie (',
'    p_username => lower(:P9999_USERNAME),',
'    p_consent  => :P9999_REMEMBER = ''Y'' );'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(4864495658840689)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Login'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.login(',
'    p_username => :P9999_USERNAME,',
'    p_password => :P9999_PASSWORD );'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(4865639954840690)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'Clear Page(s) Cache'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(4865216728840689)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get Username Cookie'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P9999_USERNAME := apex_authentication.get_login_username_cookie;',
':P9999_REMEMBER := case when :P9999_USERNAME is not null then ''Y'' end;'))
);
end;
/
prompt --application/deployment/definition
begin
null;
end;
/
prompt --application/deployment/checks
begin
null;
end;
/
prompt --application/deployment/buildoptions
begin
null;
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
